<?php
    class Backup_BrandController extends Application_Admin_ControllerAction
    {
        public function init()
        {
            parent::init();
            $this->breadcrumbs->add('System Maintenance', $this->getUrl('index', 'index', 'system'));
            $this->breadcrumbs->add('Backup Manager', $this->getUrl('index', 'index', 'backup'));
            $this->breadcrumbs->add('Brand Backups', $this->getUrl('index'));
        }

        public function indexAction()
        {
            $this->view->brands  = Application_Brand::GetBrands();
        }

        public function exportAction()
        {
            $request = $this->getRequest();
            $brandId = (int) $request->getQuery('brand');

            $brand = new Application_Brand();
            $brand->load($brandId);

            if (!$brand->saved()) {
                throw new Exception('Invalid brand');
            }

            $xml = Application_Brand_Exporter::GetXml($brand);

            $options = array(
                'filename' => sprintf('brand-%s.xml', Text::Urlize($brand)),
                'attach'   => true
            );

            $this->noRender();
            HTTP::SendDataAsFile($this->getResponse(), $xml, $options);
        }

        public function importAction()
        {
            try {
                $brand = Application_Brand_Importer::ProcessUpload('file');
                $url   = $this->getUrl('view', 'index', 'brands') . '?id=' . $brand->getId();

                $this->_redirect($url);
            }
            catch (Exception $ex) {
                $this->messengerError($ex->getMessage());
                $this->_redirect($this->getUrl('index'));
            }
        }
    }
?>