<?php
    class Brands_DriversController extends Application_Admin_ControllerAction
    {
        protected $_brand;

        public function init()
        {
            parent::init();
            $this->breadcrumbs->addStep('Brands', $this->getUrl('index', 'index'));
        }

        public function preDispatch()
        {
            parent::preDispatch();

            $request = $this->getRequest();
            $brand_id = $request->getQuery('id');

            $this->_brand = new Application_Brand();
            $this->_brand->load($brand_id);

            if (!$this->_brand->saved()) {
                $this->_redirect($this->getUrl('index', 'index'));
            }

            $this->breadcrumbs->addStep($this->_brand, $this->getUrl('view', 'index') . '?id=' . $this->_brand->getId());
            $this->breadcrumbs->addStep('Modules and Drivers', $this->getUrl('index') . '?id=' . $this->_brand->getId());
            $this->view->brand = $this->_brand;
        }

        public function indexAction()
        {
            $summary = Application_Module_Manager::GetFullSummary($this->_brand, true);
            $this->view->summary = $summary;
        }

        public function processAction()
        {
            $request = $this->getRequest();

            if ($request->getPost('submit')) {
                try {
                    Application_Module_Manager::SetModulesAndDrivers(
                        $this->_brand,
                        $request->getPost('modules'),
                        $request->getPost('drivers')
                    );

                    $this->messenger->addMessage('Brand drivers set');
                }
                catch (Exception $ex)
                {
                    $this->messengerError($ex->getMessage());
                }
            }

            $this->_redirect($this->getUrl('index') . '?id=' . $this->_brand->getId());
        }
    }
?>