<?php
    class Clients_DriversController extends Application_Admin_ControllerAction
    {
        protected $_client;

        public function init()
        {
            parent::init();
            $this->breadcrumbs->addStep('Clients', $this->getUrl('index', 'index'));
        }

        public function preDispatch()
        {
            parent::preDispatch();

            $request = $this->getRequest();
            $client_id = $request->getQuery('id');

            $this->_client = new Application_Client();
            $this->_client->load($client_id);

            if (!$this->_client->saved()) {
                $this->_redirect($this->getUrl('index', 'index'));
            }

            Application::SetClient($this->_client);

            $this->breadcrumbs->addStep($this->_client, $this->getUrl('view', 'index') . '?id=' . $this->_client->getId());
            $this->breadcrumbs->addStep('Modules and Drivers', $this->getUrl('index') . '?id=' . $this->_client->getId());
            $this->view->client = $this->_client;
        }

        public function indexAction()
        {
            $summary = Application_Module_Manager::GetFullSummary($this->_client, true);
            $this->view->summary = $summary;
        }

        public function processAction()
        {
            $request = $this->getRequest();

            if ($request->getPost('submit')) {
                try {
                    Application_Module_Manager::SetModulesAndDrivers(
                        $this->_client,
                        $request->getPost('modules'),
                        $request->getPost('drivers')
                    );
                }
                catch (Exception $ex)
                { }

                $this->messenger->addMessage('Client drivers set');
            }

            $this->_redirect($this->getUrl('index') . '?id=' . $this->_client->getId());
        }
    }
?>