<?php
    class AuthController extends Application_Admin_ControllerAction
    {
        public function indexAction()
        {
            $this->_forward('login');
        }

        public function loginAction()
        {
            if ($this->auth->hasIdentity()) {
                $this->_redirect('/');
            }

            $request = $this->getRequest();

            $fp = new Application_Admin_Login($request, $this->getUrl('login'), '/');

            if ($request->isPost() && $fp->process($request)) {
                $this->_redirect($fp->redirect);
            }

            $this->breadcrumbs->add(translate('Log In'));
            $this->view->fp = $fp;
        }

        public function resetPasswordAction()
        {
            $request  = $this->getRequest();
            $complete = (bool) $request->getQuery('complete');

            if (!$complete) {
                $fp = new Application_Admin_Login_ResetPassword();

                if ($request->isPost() && $fp->process($request)) {
                    $this->_redirect($this->getUrl('reset-password') . '?complete=1');
                }

                $this->view->fp = $fp;
            }

            $this->breadcrumbs->add(translate('Reset Password'));
            $this->view->complete = $complete;
        }

        public function changePasswordAction()
        {
            $request  = $this->getRequest();
            $complete = (bool) $request->getQuery('complete');

            if (!$complete) {
                $fp = new Application_Admin_Login_ChangePassword($request);

                if ($request->isPost() && $fp->process($request)) {
                    $this->_redirect($this->getUrl('change-password') . '?complete=1');
                }

                $this->view->fp = $fp;
            }

            $this->breadcrumbs->add(translate('Change Password'));
            $this->view->complete = $complete;
        }

        public function logoutAction()
        {
            Application_Admin_Login::Logout();
            $this->_redirect('/');
        }
    }
?>