<?php
    class ErrorController extends Application_Admin_ControllerAction
    {
        public function errorAction()
        {
            $request = $this->getRequest();
            $error = $request->getParam('error_handler');

            switch ($error->type) {
                case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_ROUTE:
                case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_CONTROLLER:
                case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_ACTION:
                    $this->_forward('error404');
                    return;

                case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_OTHER:
                default:
                    // fall through
            }

            $this->getResponse()->clearBody();

            if ($error->exception instanceof Exception) {
                $this->view->exception = $error->exception;
            }
            else {
                $this->view->exception = new Exception('Unknown error occurred');
            }
        }

        public function error401Action()
        {
            $request = $this->getRequest();
            $error   = $request->getParam('error_handler');
            $uri     = $request->getRequestUri();

            $this->getResponse()->setHttpResponseCode(401);

            $this->breadcrumbs->addStep('Unauthorized');
            $this->view->requestedUri = $uri;
        }

        public function error404Action()
        {
            $request = $this->getRequest();
            $error   = $request->getParam('error_handler');
            $uri     = $request->getRequestUri();

            $this->getResponse()->setHttpResponseCode(404);

            $this->breadcrumbs->addStep('File Not Found');
            $this->view->requestedUri = $uri;
        }
    }
?>