<?php
    class System_CacheController extends Application_Admin_ControllerAction
    {
        public function init()
        {
            parent::init();
            $this->breadcrumbs->add('System Maintenance', $this->getUrl('index', 'index', 'system'));
            $this->breadcrumbs->addStep('Cache Management', $this->getUrl('index'));
        }

        public function indexAction()
        {
            $this->view->cacheEnabled = Application_Cache::CachingIsEnabled();
        }

        public function disableCacheAction()
        {
            $request = $this->getRequest();

            if ($request->getPost('clear')) {
                Application_Cache::ClearAllCaches();
                $this->messenger->addMessage('All caches cleared');
            }
            else {
                Application_Cache::DisableCaching();
                $this->messenger->addMessage('Caching disabled');
            }

            $this->_redirect($this->getUrl('index'));
        }

        public function enableCacheAction()
        {
            Application_Cache::EnableCaching();
            $this->messenger->addMessage('Caching enabled');
            $this->_redirect($this->getUrl('index'));
        }
    }
?>