<?php
    class System_MaintenanceController extends Application_Admin_ControllerAction
    {
        public function init()
        {
            parent::init();
            $this->breadcrumbs->add('System Maintenance', $this->getUrl('index', 'index'));
            $this->breadcrumbs->add('Maintenance Queue', $this->getUrl('index'));
        }

        public function indexAction()
        {
            $this->view->queue = Application_Maintenance::getQueue();
        }

        public function bulkAction()
        {
            $request = $this->getRequest();
            $ids     = ArrayTools::Clean($request->getPost('ids'), true);

            $count = 0;

            if ($request->getPost('delete')) {
                foreach ($ids as $id) {
                    if (Application_Maintenance::Unqueue($id)) {
                        $count++;
                    }
                }
            }

            if ($count > 0) {
                $this->messenger->addMessage(sprintf('%s action%s deleted', $count, $count != 1 ? 's' : ''));
            }
            else {
                $this->messengerError('No action performed');
            }

            $this->_redirect($this->getUrl('index'));
        }

        public function helpAction()
        {
            $this->view->scriptPath = Application_Maintenance::GetProcessScriptPath();
            $this->view->cliPath    = Application_Maintenance::GetCliPath();
        }

        public function winTaskXmlAction()
        {
            $request = $this->getRequest();
            $path    = $request->getPost('path');

            $xml = Application_Maintenance_Windows::GetScheduledTaskXml($path);

            $options = array(
                'filename' => 'Recite CMS Scheduled Task.xml',
                'mime'     => 'text/xml',
                'attach'   => true
            );

            $this->noRender();
            HTTP::SendDataAsFile($this->getResponse(), $xml, $options);
        }
    }
?>