<?php
    class System_ReportsController extends Application_Admin_ControllerAction
    {
        public function init()
        {
            parent::init();
            $this->breadcrumbs->add('Reports', $this->getUrl('index'));
        }

        public function indexAction()
        {

        }

        public function assetsAction()
        {
            try {
                Application_Loader::AssertCanLoadClass('Module_Assets_Reports_ClientUsage');

                $this->view->report = Module_Assets_Reports_ClientUsage::GetSummary();
            }
            catch (Exception $ex) {
                $this->view->report = null;
            }

            $this->breadcrumbs->add('Client Assets');
        }

        public function clientmodulesAction()
        {
            $modules = Application_Module_Manager::GetModules();
            $clients = Application_Client::GetClients();

            $report = array();

            foreach ($modules as $module) {
                if (!$module->isClientModule()) {
                    continue;
                }

                $name = $module->getName();

                $report[$name] = array(
                    'module'  => $module,
                    'clients' => array()
                );
            }

            foreach ($clients as $client) {
                foreach ($client->getModules() as $module) {
                    $report[$module->getName()]['clients'][$client->getId()] = $client;
                }
            }

            $this->breadcrumbs->add('Client Module Summary');
            $this->view->report  = $report;
            $this->view->clients = $clients;
        }
    }
?>