<?php
    class System_WebserverController extends Application_Admin_ControllerAction
    {
        public function init()
        {
            parent::init();
            $this->breadcrumbs->addStep('System Maintenance', $this->getUrl('index', 'index'));
            $this->breadcrumbs->addStep('Web Server Configuration', $this->getUrl('index'));
        }

        public function indexAction()
        {
            $this->_redirect($this->getUrl('index', 'index'));
        }

        public function configAction()
        {
            $request = $this->getRequest();

            $fp = new Application_HttpdConfig_Editor();

            if ($request->isPost() && $fp->process($request)) {
                foreach ($fp->report['messages'] as $message) {
                    $this->messenger->addMessage($message);
                }

                foreach ($fp->report['errors'] as $message) {
                    $this->messengerError($message);
                }

                $this->_redirect($this->getUrl('config'));
            }

            $this->view->fp = $fp;
        }

        public function brandAction()
        {
            $request = $this->getRequest();
            $brandId = (int) $request->getQuery('brand');

            $brand = new Application_Brand();
            $brand->load($brandId);

            if (!$brand->saved()) {
                throw new Exception('Invalid brand');
            }

            $config = Application_HttpdConfig::GetConfig($brand);

            $this->breadcrumbs->addStep('Brand Configuration: ' . $brand);
            $this->view->brand  = $brand;
            $this->view->config = $config;
        }

        public function clientAction()
        {
            $request  = $this->getRequest();
            $clientId = (int) $request->getQuery('client');

            $client = new Application_Client();
            $client->load($clientId);

            if (!$client->saved()) {
                throw new Exception('Invalid brand');
            }

            $config = Application_HttpdConfig::GetConfig($client);

            $this->breadcrumbs->addStep('Client Configuration: ' . $client);
            $this->view->client = $client;
            $this->view->config = $config;
        }

        public function rebuildAction()
        {
            $request = $this->getRequest();
            $return  = $request->getPost('return');

            if ($request->isPost()) {
                $succ = Application_HttpdConfig::RebuildAll();
            }

            foreach ($succ['messages'] as $message) {
                $this->messenger->addMessage($message);
            }

            foreach ($succ['errors'] as $message) {
                $this->messengerError($message);
            }

            if (strlen($return) == 0) {
                $return = $this->getUrl('index');
            }

            $this->_redirect($return);
        }
    }
?>