<?php
    class Webservices_ClientsController extends Application_Admin_ControllerAction_Webservices
    {
        public function createAction()
        {
            $request = $this->getRequest();

            $ret = array(
                'errors' => array()
            );

            try {
                $fp = new Application_Client_Editor_Webservices();

                $succ = $fp->process($request);

                if ($succ) {
                    $ret['client'] = array(
                        'id'     => $fp->obj->getId(),
                        'name'   => (string) $fp->obj,
                        'status' => $fp->obj->status,
                        'url'    => $fp->obj->getPrimaryDomain()
                    );
                    $ret['brand'] = array(
                        'id'    => $fp->brand->getId(),
                        'title' => (string) $fp->brand,
                        'url'   => $fp->brand->getPrimaryDomain()
                    );

                    if ($fp->user instanceof Application_User) {
                        $ret['user'] = $fp->user->getClientTemplateData();
                    }
                }
                else {
                    foreach ($fp->getErrors() as $error) {
                        $ret['errors'][] = $fp->getErrors();
                    }
                }
            }
            catch (Exception $ex) {
                $ret['errors'][] = $ex->getMessage();
            }

            $this->sendJson($ret);
        }

        public function setStatusAction()
        {
            $request  = $this->getRequest();
            $clientId = (int) $request->getPost('client_id');

            $ret = array(
                'errors' => array()
            );

            try {
                $client = new Application_Client();
                $client->load($clientId);

                if (!$client->saved()) {
                    throw new Exception('Invalid client specified');
                }

                $client->setStatus($request->getPost('status'));
                $client->save();

                $ret['client'] = array(
                    'id'     => $client->getId(),
                    'name'   => (string) $client,
                    'status' => $client->status,
                    'url'    => $client->getPrimaryDomain()
                );
            }
            catch (Exception $ex) {
                $ret['errors'][] = $ex->getMessage();
            }


            $this->sendJson($ret);
        }
    }
?>