<?php
    class Webservices_MailinglistsController extends Application_Admin_ControllerAction_Webservices
    {
        public function createAction()
        {
            $request = $this->getRequest();
            
            $driver = $request->getPost('driver', null);
            $clientId = (int) $request->getPost('client_id');

            $ret = array(
                'errors' => array()
            );

            try {
                $client = new Application_Client();
                $client->load($clientId);

                if (!$client->saved()) {
                    throw new Exception('Invalid client specified');
                }
                
                Application::SetClient($client);
                
                $fp = new Module_MailingLists_MailingList_Editor(0, $driver);

                $succ = $fp->process($request);

                if ($succ) {
                    $ret['list'] = array(
                        'id'     => $fp->obj->getId(),
                        'name'   => (string) $fp->obj
                    );
                }
                else {
                    foreach ($fp->getErrors() as $error) {
                        $ret['errors'][] = $error;
                    }
                }
            }
            catch (Exception $ex) {
                $ret['errors'][] = $ex->getMessage();
            }

            $this->sendJson($ret);
        }
    }
?>
