{include file='header.tpl' active='system'}

<form method="post" action="{geturl target='backup:client:export'}">
    {status class='submit'}
        Backup existing client:
        {if $clients|@count == 0}
            <select disabled="disabled">
                <option value="">No clients found to export</option>
            </select>

            <input type="submit" value="Export Client" disabled="disabled" />
        {else}
            <select name="client_id">
                <option value="0"></option>
                {html_options options=$clients}
            </select>

            <input type="submit" value="Export Client" />
        {/if}
    {/status}
</form>

{hr}

<form method="post" action="{geturl target='backup:client:upload'}" enctype="multipart/form-data">
    {status class='submit'}
        Upload backup:
        <input type="file" name="file" />
        <input type="submit" value="Upload Backup" />
    {/status}
</form>

{hr}

<h2>Available Backups</h2>

<table class="data full">
    <tr>
        <th class="title">Name</th>
        <th class="title">Last Modified</th>
        {if $brands|@count > 0}
            <th>Import</th>
        {/if}
        <th>Delete</th>
    </tr>
    {foreach from=$dumps item=dump}
        <tr>
            <td>
                <a href="{geturl target='backup:client:download}?dump={$dump->getName()|escape}">{$dump|escape}
            </td>
            <td>{$dump->getTimestamp()|date_format:'%b %e, %Y @ %H:%M'}</td>
            {if $brands|@count > 0}
                <td class="value">
                    <form method="post" action="{geturl target='backup:client:import'}">
                        <div>
                            <select name="target">
                                <option value=""></option>
                                <optgroup label="Create new client on brand">
                                    {foreach from=$brands item=brand}
                                        <option value="brand_{$brand->getId()}">{$brand|escape}</option>
                                    {/foreach}
                                </optgroup>
                                {if $clients|@count > 0}
                                    <optgroup label="Import to existing client">
                                        {html_options options=$clients}
                                    </optgroup>
                                {/if}
                            </select>

                            <input type="hidden" name="dump" value="{$dump->getName()|escape}" />
                            <input type="submit" value="Import" />
                        </div>
                    </form>
                </td>
            {/if}
            <td class="value">
                <form method="post" action="{geturl target='backup:client:delete'}" onclick="return confirm('Click OK to delete this backup')">
                    <div>
                        <input type="hidden" name="dump" value="{$dump->getName()|escape}" />
                        <input type="submit" value="Delete..." />
                    </div>
                </form>
            </td>
        </tr>
    {foreachelse}
        <tr class="options">
            <td class="value" colspan="{if $brands|@count == 0}3{else}4{/if}">
                <em>No client backups were found</em>
            </td>
        </tr>
    {/foreach}
</table>

{include file='footer.tpl'}
