{include file='header.tpl' active='brands'}

{status}
    Set the default modules and drivers that newly created clients on this
    brand will receive.
{/status}

{if $summary|@count == 0}
    {status class='no'}
        There are no modules or drivers installed.
        <a href="{geturl target='upgrade:index:index'}">Manage packages &raquo;</a>
    {/status}
{else}
    {status class='submit'}
        <input type="button" name="select-all" value="Select All" />
        <input type="button" name="select-none" value="Select None" />
    {/status}

    <form method="post" action="{geturl target='brands:drivers:process'}?id={$brand->getId()}">
        {foreach from=$summary item=module}
            <div class="assign-module">
                <h2>
                    {if $module.module instanceof Application_Module_Abstract}
                        <label>
                            <input type="checkbox" name="modules[]" value="{$module.module->getName()|escape}"{if $module.has} checked="checked"{/if} />
                            {$module.module|escape}
                        </label>
                    {else}
                        {$module.module|escape}
                    {/if}
                </h2>

                {if $module.categories|@count > 0}
                    <div class="assign-driver">
                        {foreach from=$module.categories item=drivers key=category}
                            <h3>{$category|escape}</h3>

                            <ul>
                                {foreach from=$drivers item=driver}
                                    <li>
                                        <label>
                                            <input type="checkbox" name="drivers[]" value="{$driver.driver->getFullname()|escape}"{if $driver.has} checked="checked"{/if} />
                                            {$driver.driver|escape}
                                        </label>
                                        {assign var=description value=$driver.driver->getDescription()}
                                        {if $description|strlen > 0}
                                            <span class="inline-options">
                                                &mdash; {$description|escape}
                                            </span>
                                        {/if}
                                    </li>
                                {/foreach}
                            </ul>
                        {/foreach}
                    </div>
                {/if}
            </div>
        {/foreach}

        {status class='submit'}
            <input type="submit" value="Save Modules and Drivers" name="submit" class="submit" />
            <input type="submit" name="cancel" value="Cancel" />
        {/status}
    </form>

    <script type="text/javascript" src="/js/Drivers.js"></script>
{/if}

{include file='footer.tpl'}
