{include file='header.tpl' active='clients'}

<form method="post" action="{geturl target='clients::edit'}?id={$fp->obj->getId()}">
    <table class="user-form">
        <tr>
            <td class="label">Brand<span class="required">*</span>:</td>
            <td>
                {if $fp->hasError('brand_id')}<div class="error">{/if}
                <select name="brand_id">
                    {if $fp->brands|@count > 1}
                        <option value=""></option>
                    {/if}
                    {foreach from=$fp->brands item=row key=id}
                        <option value="{$id}"{if $fp->brand->getId() == $id} selected="selected"{/if} rel="{$row.dump|escape}">{$row.title|escape}</option>
                    {/foreach}
                </select>
                {if $fp->hasError('brand_id')}<div class="error-msg">{$fp->getError('brand_id')}</div></div>{/if}
            </td>
        </tr>
        <tr>
            <td class="label">Client Name<span class="required">*</span>:</td>
            <td>
                {if $fp->hasError('client_name')}<div class="error">{/if}
                <input type="text" name="client_name" value="{$fp->client_name|escape}" class="content-user-input" />
                {if $fp->hasError('client_name')}<div class="error-msg">{$fp->getError('client_name')}</div></div>{/if}
            </td>
        </tr>
        <tr>
            <td class="label">Status<span class="required">*</span>:</td>
            <td>
                {if $fp->hasError('status')}<div class="error">{/if}
                <select name="status">
                    <option value=""></option>
                    {html_options options=$fp->statuses selected=$fp->status}
                </select>
                {if $fp->hasError('status')}<div class="error-msg">{$fp->getError('status')}</div></div>{/if}
            </td>
        </tr>
        {if !$fp->obj->saved()}
            <tr>
                <td class="label">Web Site URL:</td>
                <td>
                    {if $fp->hasError('url')}<div class="error">{/if}
                    <input type="text" name="url" value="{$fp->url|default:'http://'|escape}" class="content-user-input" />
                    {if $fp->hasError('url')}<div class="error-msg">{$fp->getError('url')}</div></div>{/if}
                </td>
            </tr>
            {if $fp->canAutoInstall}
                <tr>
                    <td class="label">Pre-install Site<span class="required">*</span>:</td>
                    <td>
                        {if $fp->hasError('dump')}<div class="error">{/if}
                        <div>
                            <label>
                                <input type="radio" name="import" value="brand"{if $fp->import == 'brand'} checked="checked"{/if} /> According to brand settings
                                <span class="inline-options" id="auto-install"></div>
                            </label>
                        </div>
                        {if $fp->dumps|@count > 0}
                            {if $fp->hasError('dump')}<div class="error">{/if}
                            <div>
                                <input type="radio" name="import" value="force"{if $fp->import == 'force'} checked="checked"{/if} />
                                <select name="dump" onmousedown="this.form.import[1].checked=true">
                                    <option value=""></option>
                                    {html_options options=$fp->dumps selected=$fp->dump}
                                </select>
                            </div>
                            {if $fp->hasError('dump')}<div class="error-msg">{$fp->getError('dump')}</div></div>{/if}
                        {/if}
                        <div>
                            <label>
                                <input type="radio" name="import" value="none"{if $fp->import == 'none'} checked="checked"{/if} />
                                None
                            </label>
                        </div>
                    {if $fp->hasError('dump')}<div class="error-msg">{$fp->getError('dump')}</div></div>{/if}
                    </td>
                </tr>
            {else}
                <tr>
                    <td class="label">Pre-install Site:</td>
                    <td>
                        <span class="inline-options">This option requires the <em>core-backup</em> package, which is currently not installed.</span>
                    </td>
                </tr>
            {/if}
            <tr>
                <td class="label">Web Server Config:</td>
                <td>
                    <label>
                        <input type="checkbox" name="autoconfig" value="1"{if $fp->autoconfig} checked="checked"{/if} />
                        Include client in automatic web server configuration
                    </label>
                </td>
            </tr>
        {/if}
    </table>

    {status class='submit'}
        <input type="submit" value="Save Client" name="submit" class="submit" />
        <input type="submit" name="cancel" value="Cancel" />
    {/status}
</form>

{include file='lib/form/required.tpl'}

<script type="text/javascript" src="/js/Client/AutoInstall.js?{$APPLICATION_VERSION}"></script>


{include file='footer.tpl'}
