{include file='header.tpl' active='clients'}

{assign var=_domain value=$client->getPrimaryDomain()}
{assign var=brand value=$client->getBrand()}

{foreach from=$licenses item=license key=name}
    {if $name != 'core'}
        {if $license.hasExpired}
            {status class='no'}
                This client has an expired license for package `{$license.title|escape}'
                (<a href="{geturl target='clients:licenses:index'}">Fix</a>)
            {/status}
        {elseif !$license.hasActive}
            {status class='no'}
                This client has no license for package `{$license.title|escape}'
                (<a href="{geturl target='clients:licenses:index'}">Fix</a>)
            {/status}
        {/if}
    {/if}
{/foreach}

{if $client->isActive() }
    {if $_domain|strlen > 0}
        {status class='yes'}
            View client live: <a href="{$_domain|escape}" target="_blank"><strong>{$_domain|escape}</strong></a>
        {/status}
    {else}
        <form method="get" action="{geturl target='clients:domains:add'}">
            {status class='no'}
                No domains setup for {$client|escape}
                {hr}
                <input type="hidden" name="client" value="{$client->getId()}" />
                <input type="hidden" name="action" value="add" />
                <input type="text" class="content-user-input" name="url" value="http://" />
                <label>
                    <input type="checkbox" name="autoconfig" value="1"{if $autoconfig} checked="checked"{/if} /> Automatic web server config
                </label>
                <input type="submit" value="Add domain" class="submit" />
            {/status}
        </form>
    {/if}
{elseif $client->isLocked()}
    {if $_domain|strlen > 0}
        {status class='maybe'}
            Client is currently locked. Site is live at <a href="{$_domain|escape}" target="_blank"><strong>{$_domain|escape}</strong></a>
            but users cannot log in to Control Panel.
        {/status}
    {else}
        {status class='maybe'}
            Client is currently locked - site is active but users cannot log in to
            Control Panel.
        {/status}
    {/if}
{elseif $client->isDisabled()}
    {status class='no'}
        Client is not currently active - site is disabled but users can log in to Control Panel.
    {/status}
{else}
    {status class='no'}
        Client is not currently active - site is disabled and users cannot log in
        to Control Panel.
    {/status}
{/if}

<ul>
    {if $brand->saved()}
        {assign var=domain value=$brand->getPrimaryDomain()}
        {if $domain|strlen > 0}
            <li><a href="{$brand->getPrimaryDomain()|escape}" target="_blank"><strong>Control Panel: {$brand->getPrimaryDomain()|escape}</strong></a>
        {/if}
    {/if}

    <li><a href="{geturl target='clients::edit'}?id={$client->getId()}">Edit client details</a></li>
    <li><a href="{geturl target='clients::settings'}?id={$client->getId()}">Manage client settings</a></li>
    <li><a href="{geturl target='clients:drivers:index'}?id={$client->getId()}">Manage modules and drivers</a></li>
    <li><a href="{geturl target='clients::delete'}?id={$client->getId()}">Delete client...</a></li>
</ul>

<h2>Users</h2>

{if $client->getRoles()|@count == 0}
    {status}
        No roles exist for this client. <a href="{geturl target='users:directories:view'}">Manage roles...</a>
    {/status}
{else}
    <form method="get" action="{geturl target='users::edit'}">
        <ul>
            <li>
                <select name="role_id">
                    {foreach from=$client->getRoles() item=role}
                        <option value="{$role->getId()}">{$role->title|escape}</option>
                    {/foreach}
                </select>
                <input type="submit" value="Create New User" />
            </li>
            <li><a href="{geturl target='users:index:index'}?client={$client->getId()}">View users</a></li>
            <li><a href="{geturl target='users:permissions:manage'}?client_id={$client->getId()}">Manage permissions</a></li>
        </ul>
    </form>
{/if}

<h2>Web Site Domains</h2>

{assign var=domains value=$client->getDomains()}

<p class="inline-options">
    These are the domains this client's site is accessed from.

    {if $domains|@count > 0}
        <a href="{geturl target='system:webserver:config'}">Manage web server configuration &raquo;</a>
    {/if}
</p>

{if $domains|@count > 0}
    <form method="post" action="{geturl target='clients:domains:sort'}?client={$client->getId()}" class="sortable">
        <div>
            <ul>
            {foreach from=$domains item=row key=id}
                <li id="domain_{$id}">
                    <a href="{$row->url|escape}" target="_blank">{$row->url|escape}</a>
                    <span class="inline-options">(<a href="{geturl target='clients:domains:delete'}?id={$id}" onclick="return confirm('Click OK to delete this domain')" title="Delete this domain">delete</a>)</span>
                </li>
            {/foreach}
            </ul>
        </div>
    </form>
{/if}

<form method="get" action="{geturl target='clients:domains:add'}">
    <input type="hidden" name="client" value="{$client->getId()}" />
    <input type="hidden" name="action" value="add" />
    <input type="text" class="content-user-input" name="url" value="http://" />
    <label>
        <input type="checkbox" name="autoconfig" value="1"{if $autoconfig} checked="checked"{/if} /> Automatic web server config
    </label>
    <input type="submit" value="Add domain" class="submit" />
</form>

<h2>WebDAV Domains</h2>

<p class="inline-options">
    These are the domains for users to manage files through their operating system.

    {if $domains|@count > 0}
        <a href="{geturl target='system:webserver:config'}">Manage web server configuration &raquo;</a>
    {/if}
</p>

{assign var=domains value=$client->getDavDomains()}

{if $domains|@count > 0}
    <form method="post" action="{geturl target='clients:domains:sort'}?client={$client->getId()}" class="sortable">
        <div>
            <ul>
            {foreach from=$domains item=row key=id}
                <li id="davdomain_{$id}">
                    <a href="{$row->url|escape}" target="_blank">{$row->url|escape}</a>
                    <span class="inline-options">(<a href="{geturl target='clients:domains:dav-delete'}?id={$id}" onclick="return confirm('Click OK to delete this domain')" title="Delete this domain">delete</a>)</span>
                </li>
            {/foreach}
            </ul>
        </div>
    </form>
{/if}

<form method="get" action="{geturl target='clients:domains:dav-add'}">
    <input type="hidden" name="client" value="{$client->getId()}" />
    <input type="hidden" name="action" value="add" />
    <input type="text" class="content-user-input" name="url" value="https://" />
    <label>
        <input type="checkbox" name="autoconfig" value="1"{if $autoconfig} checked="checked"{/if} /> Automatic web server config
    </label>
    <input type="submit" value="Add domain" class="submit" />
</form>

<h2>Miscellaneous</h2>

{if $client->getPrimaryDomain()|strlen > 0}
    {capture assign=sample}{$client->getPrimaryDomain()|escape}/__/files/{/capture}
{else}
    {capture assign=sample}http://yourdomain.com/__files/{/capture}
{/if}

<dl>
    <dt>Static file path:</dt>
    <dd><em>Store web site files you don't want managed by Recite CMS here</em></dd>
    <dd><code>{$staticFilePath|escape}</code></dd>
    <dd>Accessible from <code>{$sample|escape}<em>&lt;path/to/file&gt;</em></code></dd>
</dl>

{include file='footer.tpl'}
