{if $smarty.const.IN_DEVELOPMENT}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
    <head>
        <title>Error - {$exception->getMessage()|escape}</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    </head>
    <body>
        <div>
            <h3>Error:</h3>
            <strong>{$exception->getMessage()|escape}</strong>
            <br />
            <em>{$exception->getFile()|escape} line {$exception->getLine()}</em>
            <hr />
            <h3>Backtrace:</h3>
            <pre>{$exception->getTraceAsString()|escape}</pre>
        </div>
    </body>
</html>
{else}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
    <head>
        <title>Recite CMS - An error occurred</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="/css/maintenance.css" />
        <link rel="shortcut icon" href="/favicon.ico" />
        <link rel="icon" href="/favicon.ico" />
    </head>
    <body>
        <table id="main">
            <tr>
                <td id="main-container">
                    <table>
                        <tr>
                            <td><img src="/images/logo-maintenance.png" alt="" /></td>
                        </tr>
                        <tr>
                            <td>
                                <div>
                                    <strong>An Error Occurred</strong>
                                </div>

                                {if $exception instanceof Application_Loader_Exception && $exception->hasClassName()}
                                    <div>
                                        {$APPLICATION_NAME} was unable to load the <strong>{$exception->getClassName()|escape}</strong> class.
                                        Please ensure the required packages are correctly installed.
                                    </div>
                                {else}
                                    {$exception->getMessage()|escape}
                                {/if}
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </body>
</html>
{/if}