        </td>
        {if !$hideMetaColumn}
            <td id="system-status">
                <div id="login-info">
                    Logged in as <a href="{geturl target='account'}"><strong>{$identity.username}</strong></a>
                    <span class="inline-options">(<a href="{geturl target='default:auth:logout'}">logout</a>)</span>
                </div>

                {hr}

                {admin_get_clients assign=clients}

                <h3>Clients <span><a href="{geturl target='clients:index:edit'}">New...</a></span></h3>

                {if $clients|@count > 0}
                    <dl id="client-list">
                        {foreach from=$clients item=client}
                            {assign var=brand value=$client->getBrand()}

                            {assign var=domain value=$client->getPrimaryDomain()}
                            <dt>
                                <a href="{geturl target='clients::view'}?id={$client->getId()}">{$client|escape}</a>
                                {if $domain|strlen > 0}
                                    <span class="inline-options">&mdash; <a href="{$domain|escape}" target="_blank">{$domain|escape}</a></span>
                                {/if}
                            </dt>
                            <dd class="inline-options">
                                {if $brand->saved()}
                                    {assign var=domain value=$brand->getPrimaryDomain()}
                                    {if $domain|strlen > 0}
                                        <a href="{$domain|escape}" target="_blank">CP</a>,
                                    {/if}
                                {/if}
                                <a href="{geturl target='clients:index:settings'}?id={$client->getId()}">Settings</a>,
                                <a href="{geturl target='clients:drivers:index'}?id={$client->getId()}">Modules/Drivers</a>,
                                <a href="{geturl target='users:permissions:manage'}?client_id={$client->getId()}">Permissions</a>
                            </dd>
                        {/foreach}
                    </dl>
                {else}
                    <div class="inline-options">
                        No clients found
                    </div>
                {/if}

                {hr}

                {admin_get_brands assign=brands}

                <h3>Brands <span><a href="{geturl target='brands:index:edit'}">New...</a></span></h3>

                {if $brands|@count > 0}
                    <dl id="brand-list">
                        {foreach from=$brands item=brand}
                            {assign var=domain value=$brand->getPrimaryDomain()}

                            <dt>
                                <a href="{geturl target='brands::view'}?id={$brand->getId()}">{$brand|escape}</a>
                                {if $domain|strlen > 0}
                                    <span class="inline-options">&mdash; <a href="{$domain|escape}" target="_blank">{$domain|escape}</a></span>
                                {/if}
                            </dt>
                            <dd class="inline-options">
                                <a href="{geturl target='brands:index:settings'}?id={$brand->getId()}">Settings</a>,
                                <a href="{geturl target='brands:drivers:index'}?id={$brand->getId()}">Modules/Drivers</a>
                            </dd>
                        {/foreach}
                    </dl>
                {else}
                    <div class="inline-options">
                        No brands found
                    </div>
                {/if}

                {hr}

                <h3>Reports</h3>

                <ul>
                    <li><a href="{geturl target='system:audit:index'}">System activity log</a></li>
                    <li><a href="{geturl target='system:logs:index'}">Application log</a></li>
                </ul>

                {hr}

                <h3>System Maintenance</h3>

                <ul>
                    <li><a href="{geturl target='system:index:index'}">Maintenance mode</a></li>
                    <li><a href="{geturl target='upgrade:index:index'}">Package management</a></li>
                    <li><span><strong>Backup:</strong> <span><a href="{geturl target='backup:client:index'}">Clients</a>, <a href="{geturl target='backup:brand:index'}">Brands</a></span></span></li>
                    <li><a href="{geturl target='system:maintenance:index'}">Maintenance queue</a></li>
                    <li><a href="{geturl target='system:webserver:config'}">Web server configuration</a></li>
                    <li><a href="{geturl target='system:index:status'}">System status</a></li>
                    <li><a href="{geturl target='system:database:index'}">Database management</a></li>
                    <li><a href="{geturl target='system:cache:index'}">Cache management</a></li>
                </ul>

                {hr}

                <h3>Documentation</h3>

                <ul>
                    <li><a href="http://docs.recite.com.au/?s=admin&amp;v={$APPLICATION_VERSION}" target="_blank">Administration user guide</a></li>
                </ul>
            </td>
        {/if}
    </tr>
</table>

<div id="app-version">
    <strong>{$APPLICATION_NAME|escape} {$APPLICATION_VERSION|escape} {if $smarty.const.IN_DEVELOPMENT}[DEV MODE]{/if}</strong> ({$APPLICATION_DIR|escape})
    / <strong>PHP {$smarty.const.PHP_VERSION}</strong>
    + <strong>ZF {const class='Zend_Version' name='VERSION'}</strong>
    {if $IONCUBE_VERSION|strlen > 0} + <strong>ionCube Loader {$IONCUBE_VERSION}</strong>{/if}
    / <strong>{$db|escape}</strong> ({$db->getConfigSingle('dbname')|escape} @ {$db->getConfigSingle('host')|escape})

</div>

{include file='_footer.tpl'}
