<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title>Install {$APPLICATION_NAME|escape} {$APPLICATION_VERSION}</title>
        <link rel="stylesheet" href="/css/install.css" type="text/css"/>
        <script type="text/javascript" src="/js/jquery.js"></script>
        <script type="text/javascript" src="/js/Install.js"></script>
    </head>
    <body>
        <div id="main">
            <div id="header">
                Install {$APPLICATION_NAME|escape} {$APPLICATION_VERSION}
            </div>

            {if $report.canInstall}
                <div id="install-info">
                    <form method="post">

                    {status}
                        To install Recite CMS, an account on the Recite CMS Download Portal
                        is required. Enter your account details or create a new account.
                    {/status}

                    <table class="form" id="dp">
                        <tr>
                            <th colspan="2">
                                <label>
                                    <input type="radio" name="acct_type" value="existing" id="acct_type_existing" />
                                    Existing Account:
                                </label>
                            </th>
                            <th class="m" colspan="2">
                                <label>
                                    <input type="radio" name="acct_type" value="new" id="acct_type_new" />
                                    Create Account:
                                </label>
                            </th>
                        </tr>
                        <tr>
                            <td>Username:</td>
                            <td><input type="text" name="dp_username" value="" tabindex="1" /></td>
                            <td class="m">Your Name:</td>
                            <td><input type="text" name="dp_name" value="" tabindex="3" /></td>
                        </tr>
                        <tr>
                            <td>Password:</td>
                            <td><input type="password" name="dp_password" tabindex="2" /></td>
                            <td class="m">Email Address:</td>
                            <td><input type="text" name="dp_email" value="" tabindex="4" /></td>
                        </tr>
                        <tr>
                            <td></td>
                            <td>
                                <a href="http://download.recitecms.com/auth/reset-password" target="_blank">Forgotten Password?</a>
                            </td>
                            <td class="m" colspan="2"></td>
                        </tr>
                    </table>

                    {hr}

                    <h2>Database Settings</h2>

                    {status}
                        You must <strong>create a database</strong> for {$APPLICATION_NAME|escape} before proceeding.
                        You may also need to create a database user with which to connect to the database. The specific
                        instructions may depend on your hosting environment.
                        <br /><br />
                        <strong>Instructions:</strong>
                        <div class="instructions" id="instructions-none">
                            <ul>
                                <li>Please select a database server type</li>
                            </ul>
                        </div>
                        <div class="instructions" id="instructions-Db_Adapter_mysql">
                            <ol>
                                <li>Log in to MySQL client</li>
                                <li>Create a new database: <code>create database <em>recite</em> character set = utf8;</code></li>
                                <li>Create a user: <code>grant all on <em>recite</em>.* to <em>myUser</em>@localhost identified by '<em>myPass</em>';</code></li>
                            </ol>
                        </div>
                        <div class="instructions" id="instructions-Db_Adapter_postgresql">
                            <ol>
                                <li>Go to the server command line</li>
                                <li>Create a new database: <code>createdb <em>recite</em> --encoding=utf8</code></li>
                                <li>Create a user: <code>createuser</code> (then follow the prompts)</li>
                            </ol>
                        </div>
                    {/status}

                    <table class="form">
                        <tr>
                            <td><strong>Server Type:</strong></td>
                            <td>
                                {if $report.db.has|@count == 1}
                                    {foreach from=$report.db.has item=row key=k}
                                        <input type="hidden" name="db_adapter" value="{$k|escape}" />
                                        {$row|escape}
                                    {/foreach}
                                {else}
                                    {foreach from=$report.db.has item=row key=k}
                                        <label>
                                            <input type="radio" name="db_adapter" value="{$k|escape}" /> {$row|escape}
                                        </label>
                                    {/foreach}
                                {/if}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>Server Hostname:</strong></td>
                            <td><input type="text" name="db_host" value="localhost" />
                        </tr>
                        <tr>
                            <td><strong>Database Name:</strong></td>
                            <td><input type="text" name="db_name" />
                        </tr>
                        <tr>
                            <td><strong>Username:</strong></td>
                            <td><input type="text" name="db_username" />
                        </tr>
                        <tr>
                            <td><strong>Password:</strong></td>
                            <td><input type="text" name="db_password" />
                        </tr>
                    </table>

                    {hr}

                    <h2>License Agreement</h2>

                    <textarea id="tc" readonly="readonly">{$report.license|escape}</textarea>
                    {status}
                        <label>
                            <input type="checkbox" name="license" value="1" />
                            I HAVE READ AND UNDERSTOOD THIS LICENSE AGREEMENT
                            AND AGREE TO BE BOUND BY ALL OF THE TERMS
                        </label>
                    {/status}

                    {status class='submit' id='install-begin'}
                        <input type="submit" value="Install {$APPLICATION_NAME|escape} {$APPLICATION_VERSION}" />
                    {/status}

                    {status class='no' id='install-errors'}{/status}

                    {status class='maybe' id='installing'}
                        <strong>Installing...</strong>
                    {/status}

                    </form>
                </div>

                <div id="install-complete" style="display:none">
                    <h2>Installation Complete</h2>

                    {status class='yes'}
                        Your login username is <strong id="username-container"></strong> and your password is <strong id="password-container"></strong>.
                        These details have been emailed to the email address associated with your Download Portal account.
                    {/status}

                    <form method="post" action="{geturl target='default:auth:login'}">
                        {status class='submit'}
                            <input type="hidden" name="username" />
                            <input type="hidden" name="password" />
                            <input type="submit" value="Log in to {$APPLICATION_NAME|escape}" name="submit" />
                        {/status}
                    </form>
                </div>
            {else}
                {status}
                    Your server does not meet the requirements for Recite CMS. Please resolve
                    the highlighted issues below then reload this page.
                {/status}

                <h2>Server Requirements</h2>

                <table class="form">
                    <tr>
                        <td>PHP {$report.php.needs|escape} or Newer:</td>
                        <td>
                            {if $report.php.valid}
                                {status class='yes'}
                                    This server has PHP {$report.php.has|escape}
                                {/status}
                            {else}
                                {status class='no'}
                                    This server has PHP {$report.php.has|escape}
                                {/status}
                            {/if}

                        </td>
                    </tr>
                    <tr>
                        <td>Database Support:</td>
                        <td>
                            {if $report.db.has|@count > 0}
                                {status class='yes'}
                                    {if $report.db.has|@count > 0}
                                        This server supports {$report.db.has|@join:', '|escape}.
                                    {/if}
                                {/status}
                            {else}
                                {status class='no'}
                                    {if $report.db.available|@count > 0}
                                        No database support found.
                                        Recite CMS supports {$report.db.available|@join:', '|escape}
                                    {/if}
                                {/status}
                            {/if}
                        </td>
                    </tr>
                </table>
            {/if}
        </div>
        <div id="footer">
            Copyright {$smarty.now|date_format:'%Y'} <a href="http://www.recitecms.com">Recite Media Pty Ltd</a>
        </div>
    </body>
</html>
