<table class="data full">
    <tr class="header">
        <th>Entry ID</th>
        <th class="title">Timestamp</th>
        <th>User</th>
        <th>Client</th>
        <th class="title">Message</th>
    </tr>
    {foreach from=$data item=entry}
        <tr class="{cycle values='row,row-alt'}">
            <td class="value">{$entry->getId()}</td>
            <td>
                {$entry->ts_created|date_format:'%b %e, %Y @ %H:%M'}
                <div class="inline-options">
                    {$entry->ts_created|age|escape} ago
                </div>
            </td>
            <td class="value">
                {assign var=user value=$entry->getUser()}
                {if $user->saved()}
                    <a href="{geturl target='users:index:view'}?id={$user->getId()}">{$user|escape}</a>
                {elseif $entry->user_hash|strlen > 0}
                    {$entry->user_hash|escape}
                {else}
                    -
                {/if}
                {if $entry->remote_addr|strlen > 0}
                    <div class="inline-options">
                        {if $entry->http_user_agent|strlen > 0}
                            <acronym title="{$entry->http_user_agent|escape}">{$entry->remote_addr|escape}</acronym>
                        {else}
                            {$entry->remote_addr|escape}
                        {/if}
                    </div>
                {/if}
            </td>
            <td class="value">
                {assign var=client value=$entry->getClient()}
                {if $client->saved()}
                    <a href="{geturl target='clients:index:view'}?id={$client->getId()}">{$client|escape}</a>
                {else}
                    -
                {/if}
            </td>
            <td>
                {if $entry->hasSite()}
                    {tag value=$entry->getSiteLabel()}
                {/if}

                {if $entry->hasModule()}
                    {tag value=$entry->getModuleLabel()}
                {/if}

                {$entry|escape}
                {if $entry->memo|@count > 0}
                    <div class="inline-options">
                        {foreach from=$entry->memo item=v key=k name=memo}
                            {$k|escape} = {if is_array($v)}[{$v|@join:', '}]{else}{$v|escape}{/if}{if !$smarty.foreach.memo.last},{/if}
                        {/foreach}
                    </div>
                {/if}
            </td>
        </tr>
    {foreachelse}
        <tr class="options">
            <td class="value" colspan="5">
                <em>No log entries</em>
            </td>
        </tr>
    {/foreach}
</table>
