{include file='header.tpl' active='system'}

<p>
    {$APPLICATION_NAME|escape} requires a maintenance script to be run
    periodically. The recommended time is every minute.
</p>

<ul>
    <li><strong>Maintenance script:</strong> <code>{$scriptPath|escape}</code></li>
</ul>

{if !$smarty.const.IS_WINDOWS}
    <p>
        To add this to the crontab on your Unix-based server (Linux, UNIX, FreeBSD), use the following instructions:
    </p>

    <div class="program-listing">
        <pre>* * * * * {$scriptPath|escape} 1&gt; /dev/null 2&gt; /dev/null</pre>
    </div>

    <p class="inline-options">
        Note: This relies on the CLI (command line interface) version of PHP being available.
    </p>
{else}
    <p>
        To add this to your Windows task scheduler, use the following instructions:
    </p>
{*
    <p>
        Add a scheduled task to run the maintenance script every minute. You can either create it
        manually or generate a scheduled task to import.
    </p>

    <h3>Import Scheduled Task</h3>

    {status}
        <form method="post" action="{geturl target='system:maintenance:win-task-xml'}">
            <div>
                PHP command-line binary path: <input type="text" name="path" value="{$cliPath|escape}" />
                <input type="submit" value="Generate scheduled task" />
            </div>
        </form>
    {/status}

    <ol>
        <li>
            <strong>Open Scheduled Tasks</strong>. "Control Panel" &rarr; "Administrative Tools" &rarr; "Task Scheduler".
        </li>
        <li>
            <strong>Open task importer</strong>. From the menu bar, select "Action" &rarr; "Import Task...".
        </li>
        <li>
            <strong>Import XML file</strong>. Select the file generated with the above form and click "Open".
        </li>
    </ol>

    <h3>Create Scheduled Task Manually</h3>
*}

<ol>
    <li>
        <strong>Open task scheduler</strong>. "Control Panel" &rarr; "Administrative Tools" &rarr; "Task Scheduler".
    </li>
    <li>
        <strong>Open task creator</strong>. From the menu bar, select "Action" &rarr; "Create Task...".
    </li>
    <li>
        <strong>Create a task</strong>. Use the following options:
        <ul>
            <li>
                Enter a name and description as required (e.g. <em>Recite CMS Maintenance Script</em>)
            </li>
            <li>
                Under <strong>Triggers</strong>, schedule the task to run every minute
            </li>
            <li>
                Under <strong>Actions</strong>, add <code>{$cliPath|escape}</code> under <strong>Program/Script</strong>, then add
                the maintenance script in <strong>Add arguments</strong>.
            </li>
            <li>
                Under <strong>Settings</strong>, select "Run a new instance in parallel" if the task is already running.
            </li>
        </ul>
    </li>
</ol>

{/if}

{include file='footer.tpl'}
