{include file='header.tpl' active='reports'}

<h2>Clients by Module</h2>

{if $report|@count == 0}
    <div class="inline-options">
        No modules found
    </div>
{else}
    <dl>
        {foreach from=$report item=row}
            <dt>{$row.module|escape}</dt>
            <dd>
                {if $row.clients|@count == 0}
                    <div class="inline-options">
                        No clients
                    </div>
                {else}
                    {foreach from=$row.clients item=client}
                        <div>
                            {assign var=_domain value=$client->getPrimaryDomain()}
                            <a href="{geturl target='clients:index:view'}?id={$client->getId()}">{$client|escape}</a>
                            {if $_domain|strlen > 0}
                                <span class="inline-options">
                                    &mdash;
                                    <a href="{$_domain|escape}">{$_domain|escape}</a>
                                </span>
                            {/if}
                        </div>
                    {/foreach}
                {/if}
            </dd>
        {/foreach}
    </dl>
{/if}

<h2>Modules by Client</h2>

{if $clients|@count == 0}
    <div class="inline-options">
        No clients found
    </div>
{else}
    <dl>
        {foreach from=$clients item=client}
            {assign var=_domain value=$client->getPrimaryDomain()}
            <dt>
                <a href="{geturl target='clients:index:view'}?id={$client->getId()}">{$client|escape}</a>
                {if $_domain|strlen > 0}
                    <span class="inline-options">
                        &mdash;
                        <a href="{$_domain|escape}">{$_domain|escape}</a>
                    </span>
                {/if}
            </dt>
            <dd>
                {assign var=_modules value=$client->getModules()}
                {if $_modules|@count == 0}
                    <div class="inline-options">
                        No modules
                    </div>
                {else}
                    {foreach from=$_modules item=module name=rows}
                        {tagempty value=$module}{$module|escape}{/tagempty}
                    {/foreach}
                {/if}
            </dd>
        {/foreach}
    </dl>
{/if}

{include file='footer.tpl'}
