{include file='header.tpl' active='system'}

{status}
    Use this page to ensure your installation is up-to-date. Installation and upgrading is performed using the command-line tool. Instructions
    are provided when you click the upgrade or install buttons below.
{/status}

<form method="post" action="{geturl target='upgrade:index:app'}">
    <div id="upgrade-app">
        <h2>Recite CMS</h2>

        <table class="data full">
            <tr>
                <th class="title">Application</th>
                <th>Your Version</th>
                {if $canAutoCheck}<th>Latest Version</th>{/if}
            </tr>
            <tr>
                <td>Recite CMS</td>
                <td class="value">{$APPLICATION_VERSION}</td>
                {if $canAutoCheck}<td class="checking app-version">Checking...</td>{/if}
            </tr>
        </table>

        {if $canAutoCheck}
            <div id="upgrade-app-submit" style="display:none">
                {status class='submit'}
                    <input type="submit" value="Upgrade Recite" />
                {/status}
            </div>
        {/if}
    </div>
</form>

<form method="post" action="{geturl target='upgrade:index:packages'}">
    <div id="installed-packages">
        <h2>Installed Packages</h2>

        <table class="data full">
            <tr>
                {if $canAutoCheck}<th><input type="checkbox" class="checkall" /></th>{/if}
                <th class="title">Package Name</th>
                <th>Your Version</th>
                {if $canAutoCheck}<th>Latest Version</th>{/if}
            </tr>
            {foreach from=$installed item=package}
                <tbody>
                    <tr>
                        {if $canAutoCheck}<td class="value"><input type="checkbox" name="packages[]" value="{$package->getName()|escape}" style="display:none" /></td>{/if}
                        <td>{$package->getName()|escape}</td>
                        <td class="value">{$package->getVersion()|escape}</td>
                        <td class="checking">Checking...</td>
                    </tr>
                </tbody>
            {foreachelse}
                <tr class="options">
                    <td colspan="{if $canAutoCheck}4{else}3{/if}">
                        <em>No packages installed</em>
                    </td>
                </tr>
            {/foreach}
        </table>
        {if $canAutoCheck}
            <div id="installed-packages-submit" style="display:none">
                {status class='submit'}
                    <input type="submit" value="Update Packages" />
                {/status}
            </div>
        {/if}
    </div>
</form>

<form method="post" action="{geturl target='upgrade:index:package-install'}">
    <div id="available-packages">
        <h2>Available Packages</h2>

        <table class="data full">
            <thead>
                <tr>
                    {if $canAutoCheck}<th><input type="checkbox" class="checkall" /></th>{/if}
                    <th class="title">Package Name</th>
                    <th>Channel</th>
                    <th class="title">Description</th>
                </tr>
            </thead>
            {if $canAutoCheck}
                <tbody>
                    <tr>
                        <td colspan="4" class="checking">
                            Checking...
                        </td>
                    </tr>
                </tbody>
            {else}
                <tfoot>
                    <tr class="options">
                        <td colspan="3">
                            <em>Auto-checking is disabled</em>
                        </td>
                    </tr>
                </tfoot>
            {/if}
        </table>

        {if $canAutoCheck}
            <div id="available-packages-submit" style="display:none">
                {status class='submit'}
                    <input type="submit" value="Install Packages" />
                {/status}
            </div>
        {/if}
    </div>
</form>

<h2>Download Portal Settings</h2>

<form method="post" action="{geturl target='upgrade:index:settings'}">
    <table class="user-form">
        <tr>
            <td class="label">Username:</td>
            <td><input type="text" name="username" value="{$username|escape}" /></td>
        </tr>
        <tr>
            <td class="label">Password:</td>
            <td><input type="text" name="password" value="{$password|escape}" /></td>
        </tr>
        <tr>
            <td class="label">Channels:</td>
            <td>
                {foreach from=$channels item=channel}
                    <label>
                        <input type="checkbox" name="channel[]" value="{$channel.name|escape}"{if $channel.enabled} checked="checked"{/if} />
                        {$channel.title|escape}
                    </label>
                {/foreach}
            </td>
        </tr>
        <tr>
            <td></td>
            <td>
                <label>
                    <input type="checkbox" name="enabled" value="1"{if $canAutoCheck} checked="checked"{/if} />
                    Auto-checking enabled
                </label>
            </td>
        </tr>
    </table>

    {status class='submit'}
        <input type="submit" value="Update Settings" name="submit" />
    {/status}
</form>

{if $smarty.const.IN_DEVELOPMENT}
    <h2>Custom Packages</h2>

    <form method="get" action="{geturl target='upgrade:custom:index'}">
        <div>
            {status class='submit'}
                <input type="submit" value="Manage Custom Packages" />
            {/status}
        </div>
    </form>
{/if}

{if $canAutoCheck}
    <script type="text/javascript" src="/js/Upgrade.js?{$APPLICATION_VERSION}"></script>
{/if}

{include file='footer.tpl'}
