{include file='header.tpl' active='users'}

{if !$fp->obj->saved()}
    {status}
        Create a new Control Panel user or system administrator. Once created, you can
        assign roles as required.
    {/status}
{/if}

<form method="post" action="{geturl target='users::edit'}?id={$fp->obj->getId()}&amp;client={$fp->client->getId()}">
    <table class="user-form">
        {if $fp->client->saved() && $fp->roles|@count > 0}
            <tr>
                <td class="label">Client:</td>
                <td>
                    <a href="{geturl target='clients:index:view'}?id={$fp->client->getId()}">{$fp->client|escape}</a>
                </td>
            </tr>
            <tr>
                <td class="label">Role<span class="required">*</span>:</td>
                <td>
                    {if $fp->hasError('role_id')}<div class="error">{/if}
                    <select name="role_id">
                        <option value=""></option>
                        {html_options options=$fp->roles selected=$fp->role->getId()}
                    </select>
                    {if $fp->hasError('role_id')}<div class="error-msg">{$fp->getError('role_id')}</div></div>{/if}
                </td>
            </tr>
        {/if}
        <tr>
            <td class="label">Username<span class="required">*</span>:</td>
            <td>
                {if $fp->hasError('username')}<div class="error">{/if}
                <input type="text" name="username" value="{$fp->username|escape}" class="content-user-input" />
                {if $fp->hasError('username')}<div class="error-msg">{$fp->getError('username')}</div></div>{/if}
            </td>
        </tr>
        <tr>
            <td class="label">Password<span class="required">*</span>:</td>
            <td>
                {if $fp->hasError('password')}<div class="error">{/if}
                <input type="text" name="password" value="{$fp->password|escape}" class="content-user-input" />
                {if $fp->hasError('password')}<div class="error-msg">{$fp->getError('password')}</div></div>{/if}
            </td>
        </tr>
        <tr>
            <td class="label">Status<span class="required">*</span>:</td>
            <td>
                {if $fp->hasError('status')}<div class="error">{/if}
                <select name="status">
                    {html_options options=$fp->statuses selected=$fp->status}
                </select>
                {if $fp->hasError('status')}<div class="error-msg">{$fp->getError('status')}</div></div>{/if}
            </td>
        </tr>
        {foreach from=$fp->fields item=field}
            {assign var=name value=$field->getName()}
            <tr>
                <td class="label">{$field->getTitle()|escape}:</td>
                <td>
                    {if $fp->hasError($name)}<div class="error">{/if}
                    {profile_input name=$name field=$field->getType() value=$fp->$name assign=val}
                    {$val|default:'-'}
                    {if $fp->hasError($name)}<div class="error-msg">{$fp->getError($name)}</div></div>{/if}
                </td>
            </tr>
        {/foreach}
    </table>

    {status class='submit'}
        <input type="submit" value="Save User" class="submit" name="submit" />
        <input type="submit" name="cancel" value="Cancel" />
    {/status}
</form>

{include file='lib/form/required.tpl'}

{include file='footer.tpl'}
