{include file='header.tpl' active='users'}

<ul>
    <li><a href="{geturl target='users::edit'}?id={$user->getId()}">Edit user</a></li>
    <li><a href="{geturl target='users::delete'}?id={$user->getId()}">Delete user</a></li>
</ul>

<table class="user-form">
    <tr>
        <td class="label">Status:</td>
        <td>{$user->getStatusLabel()|escape}</td>
    </tr>
    {foreach from=$user->directory->getEditableProfileFields() item=field}
        {assign var=name value=$field->getName()}
        <tr>
            <td class="label">{$field->getTitle()|escape}:</td>
            <td>
                {profile_output field=$field->getType() value=$user->profile->get($name) assign=val}
                {$val|default:'-'}
            </td>
        </tr>
    {/foreach}
</table>

<h2>User Roles</h2>

<table class="data full">
    <tr>
        <th class="title">Client</th>
        <th class="title">Role</th>
        <th>Action</th>
    </tr>
    {foreach from=$user->getUserRoles() item=row key=id}
        <tr>
            <td>
                {if $row->client_id > 0}
                    <a href="{geturl target='clients::view'}?id={$row->client_id}">{$row->client->client_name|escape}</a>
                {else}
                    -
                {/if}
            </td>
            <td>
                {$row->title|escape}
            </td>
            <td class="value">
                <a href="{geturl target='users::view'}?id={$user->getId()}&amp;action=roleremove&amp;role_id={$id}" onclick="return confirm('Click OK to remove this role from this user')">Remove</a>
            </td>
        </tr>
    {foreachelse}
        <tr>
            <td class="options" colspan="3">
                <em>No roles found</em>
            </td>
        </tr>
    {/foreach}
    {if $roles|@count > 0}
        <tr>
            <td colspan="3" class="options">
                <form method="post" action="{geturl target='users::view'}?id={$user->getId()}&amp;action=roleadd">
                    <select name="role_id">
                        <option value="0">Select a client and role...</option>
                        {foreach from=$roles item=row}
                            {if $row.roles|@count > 0}
                                {if $row.client instanceof Application_Client}
                                    {capture assign=label}{$row.client}{if $row.client->getPrimaryDomain()|strlen > 0} ({$row.client->getPrimaryDomain()|escape}){/if}{/capture}
                                {else}
                                    {assign var=label value='Global Roles'}
                                {/if}
                                {*<optgroup label="{$label|escape}">*}
                                    {foreach from=$row.roles item=role}
                                        <option value="{$role->getId()}">{$label|escape}: {$role|escape}</option>
                                    {/foreach}
                                {*</optgroup>*}
                            {/if}
                        {/foreach}
                    </select>
                    <input type="submit" value="Add Role" />
                </form>
            </td>
        </tr>
    {/if}
</table>

{include file='footer.tpl'}
