<?php
    class ErrorController extends Application_Client_Site_ControllerAction
    {
        public function errorAction()
        {
            $request     = $this->getRequest();
            $response    = $this->getResponse();
            $logger      = Application_Site_Profiler::GetLogger();
            $error       = $request->getParam('error_handler');
            $exception   = $error->exception;
            $inAdminMode = $request->getUserParam('admin');
            $inDraftMode = $inAdminMode && ((bool) coalesce($request->getQuery('__draft'), false));

            Module_Pages_ClientRenderer_Cache::Cancel();

            if ($exception->getCode() == 404) {
                if ($request->getRequestUri() == '/robots.txt') {
                    $response->setHttpResponseCode(200);
                    $response->setHeader('Content-type', 'text/plain');
                    $response->setBody(Application::GetClient()->getSetting('system.site.robots'));
                    return;
                }
                else if ($request->getRequestUri() == '/favicon.ico') {
                    if (Application::GetLicenseType() == Application_License_Manager::TYPE_DEVELOPER) {
                        $options = array(
                            'filename'    => 'favicon.ico',
                            'mime'        => Application_Cp_Theme_Logo::MIME_FAVICON,
                            'sendexpires' => true
                        );

                        HTTP::SendDataAsFile($response, Application_Cp_Theme_Logo::GetFaviconData(), $options);
                        return;
                    }
                    else {
                        $files = Module_Assets_Asset::GetFiles(array('filenames' => 'favicon.ico', 'limit' => 1));

                        foreach ($files as $file) {
                            $options = array(
                                'filename'    => 'favicon.ico',
                                'mime'        => Application_Cp_Theme_Logo::MIME_FAVICON,
                                'sendexpires' => true
                            );

                            HTTP::SendFile($file->getFullPath(), $options);
                            exit;
                        }
                    }
                }
            }

            $logger->warn(sprintf('Error %d: %s', $exception->getCode(), $exception->getMessage()));

            if ($request->isXmlHttpRequest()) {
                if ($error['exception'] instanceof Exception) {
                    $code = $error['exception']->getCode();
                }
                else {
                    $code = 500;
                }

                $msg = Zend_Http_Response::responseCodeAsText($code);
                $this->addStatusMessage($msg, Application_Site_Response_StatusMessage::STATUS_ERR);
            }
            else {
                $renderer = new Module_Pages_ClientRenderer();
                $renderer->setRequest($request)
                         ->setResponse($response);

                Module_Pages_ClientRenderer::SetAdminMode($inAdminMode);
                Module_Pages_ClientRenderer::SetDraftMode($inDraftMode);
                Module_Pages_ClientRenderer::EnableErrorMode($exception);

                $renderer->run();
            }
        }
    }
?>