<?php
    class AccountController extends Application_Cp_Site_ControllerAction
    {
        public function indexAction()
        {
            $request = $this->getRequest();
            $fp = new Application_User_Profile_Editor_Cp($this->user);

            if ($request->isPost()) {
                if ($fp->process($request)) {
                    $this->addStatusMessage(translate("Your preferences have been saved"), Application_Site_Response_StatusMessage::STATUS_SUCCESS);
                    $this->addEvent('updated.preferences')
                         ->addMemo('client', array('name' => $fp->client->client_name));
                }

                $this->addEvent('submitted.form')
                     ->addMemo('form', $fp->getResponseAsArray());

                return;
            }

            $dialog = new Application_Cp_Ui_Dialog_Form();
            $dialog->setOkText('Save Preferences');

            $this->breadcrumbs->add('Update Your Preferences');
            $this->view->dialog = $dialog;
            $this->view->fp = $fp;

            $this->sendDialog($dialog);
        }

        public function permissionsAction()
        {
            $event = $this->addEvent('denied.permission');
            $error = $this->_getParam('error_handler');

            if (array_key_exists('exception', $error) && $error['exception'] instanceof Application_User_Permissions_Exception) {
                $event->addMemo('permission', $error['exception']->getPerms());
            }

            $this->addStatusMessage(translate("Permission Denied"), Application_Site_Response_StatusMessage::STATUS_WARN);
        }
    }
?>
