<?php
    class DriverController extends Application_Cp_Site_ControllerAction
    {
        public function indexAction()
        {
            $request = $this->getRequest();
            $action  = $request->getUserParam('subaction');
            $driver  = Application_Driver_Manager::Factory($request->getUserParam('driver'), true);

            if (!$driver->isCpController()) {
                throw new Exception('Driver is not a Control panel controller');
            }

            $action = str_replace('-', ' ', strtolower($action));
            $action = preg_replace('/[^a-z0-9 ]/', '', $action);
            $action = str_replace(' ', '', ucwords($action));

            if (strlen($action) == 0) {
                $action = 'index';
            }

            $method = $action . 'Action';

            if (!method_exists($driver, $method)) {
                throw new Exception('Invalid method');
            }

            $response = $this->getResponse();

            $driver->setCpRequest($request);
            $driver->setCpResponse($response);

            $driver->$method();

            $response->sendWidgetResponse(true);
        }
    }
?>