<?php
    class ErrorController extends Application_Cp_Site_ControllerAction
    {
        public function errorAction()
        {
            $request  = $this->getRequest();
            $response = $this->getResponse();
            $error    = $this->_getParam('error_handler');

            if ($error['exception'] instanceof Application_User_Permissions_Exception) {
                $this->_forward('permissions', 'account', 'default');
                return;
            }

            $module = $request->getParam('module');

            switch ($error->type) {
                case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_ROUTE:
                case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_CONTROLLER:
                case Zend_Controller_Plugin_ErrorHandler::EXCEPTION_NO_ACTION:
                    if ($module == 'assets') {
                        $params = array('path' => preg_replace('|^/assets|', '', $request->getRequestUri()));
                        $this->_forward('download', 'assets', 'assets', $params);
                        return;
                    }

                    $response->setHttpResponseCode(404);
            }

            if ($error['exception'] instanceof Exception) {
                $exception = $error['exception'];
            }
            else {
                $exception = new Exception('An unknown error occurred');
            }

            if ($request->isXmlHttpRequest()) {
                $msg = $error['exception']->getMessage();
                $this->addStatusMessage($msg, Application_Site_Response_StatusMessage::STATUS_ERR);
            }
            else {
                $this->view->exception = $exception;
                $this->view->code      = $response->getHttpResponseCode();
            }
        }
    }
?>