<?php
    class FilesController extends Application_Cp_Site_ControllerAction
    {
        public function init()
        {
            $this->noRender();
        }

        public function preDispatch()
        {

        }

        public function postDispatch()
        {

        }

        public function moduleAction()
        {
            $urlParts = parse_url($this->getRequest()->getRequestUri());

            if (preg_match('|^(/default)?/files/module/([^/]+)/(.*)|', $urlParts['path'], $matches)) {
                $module = $matches[2];
                // *** danh - 09/07/2015 - correcting for php 5.6 ***
                //this throws notices in PHP 5.5+; leaving in for historical rollback if required
                //list($path, $queryString) = explode('?', $matches[3]);
                $path = preg_replace('`\?.*`', '', $matches[3]);
                // *** end danh - 09/07/2015 - correcting for php 5.6 ***
                $path = File::CleanPath($path);

                try {
                    $response = $this->getResponse();

                    $module = Application_Module_Manager::Factory($module);
                    $module->sendFileToCp($response, $path);

                    exit;
                }
                catch (Exception $ex)
                { }
            }

            throw new Exception('Not found', 404);
        }

        public function widgetAction()
        {
            $urlParts = parse_url($this->getRequest()->getRequestUri());


            if (preg_match('|^(/default)?/files/widget/([^/]+)/(.*)|', $urlParts['path'], $matches)) {
                $widget = $matches[2];
                // *** danh - 09/07/2015 - correcting for php 5.6 ***
                //this throws notices in PHP 5.5+; leaving in for historical rollback if required
                //list($path, $queryString) = explode('?', $matches[3]);
                $path = preg_replace('`\?.*`', '', $matches[3]);
                // *** end danh - 09/07/2015 - correcting for php 5.6 ***
                $path = File::CleanPath($path);

                try {
                    $widget = Application_Cp_Widget_Manager::Factory($widget);
                    $widget->sendFile($this->getResponse(), $path);

                    exit;
                }
                catch (Exception $ex)
                { }
            }

            throw new Exception('Not found', 404);
        }

        public function driverAction()
        {
            $urlParts = parse_url($this->getRequest()->getRequestUri());

            if (preg_match('|^(/default)?/files/driver/([^/]+)/(.*)|', $urlParts['path'], $matches)) {
                $driver = $matches[2];
                // *** danh - 09/07/2015 - correcting for php 5.6 ***
                //this throws notices in PHP 5.5+; leaving in for historical rollback if required
                //list($path, $queryString) = explode('?', $matches[3]);
                $path = preg_replace('`\?.*`', '', $matches[3]);
                // *** end danh - 09/07/2015 - correcting for php 5.6 ***
                $path = File::CleanPath($path);

                try {
                    $driver = Application_Driver_Manager::Factory($driver);

                    $driver->sendFile($this->getResponse(), $path);

                    exit;
                }
                catch (Exception $ex)
                { }
            }

            throw new Exception('Not found', 404);
        }

        public function themetagsAction() {
            $theme = new Application_Cp_Theme_Default();

            echo '<pre>';
            echo "\n ### GLOBAL ###";
            foreach ($theme->getGlobalTheme()->getPlaceHolderValues() as $k => $v) {
                if ($v{0} == '#') {
                    continue;
                }
                echo "\n$v\t\t$k";
            }
            echo "\n\n";
            echo "\n ### HEADER ###";
            foreach ($theme->getHeaderTheme()->getPlaceHolderValues() as $k => $v) {
                if ($v{0} == '#') {
                    continue;
                }
                echo "\n$v\t\t$k";
            }
            echo "\n\n";
            echo "\n ### WIDGET ###";
            foreach ($theme->getWidgetTheme()->getPlaceHolderValues() as $k => $v) {
                if ($v{0} == '#') {
                    continue;
                }
                echo "\n$v\t\t$k";
            }
            echo "\n\n";
            echo "\n ### DIALOG ###";
            foreach ($theme->getDialogTheme()->getPlaceHolderValues() as $k => $v) {
                if ($v{0} == '#') {
                    continue;
                }
                echo "\n$v\t\t$k";
            }
            echo "\n\n";
        }

        public function themeAction()
        {
            try {
                $urlParts = parse_url($this->getRequest()->getRequestUri());

                if (preg_match('|^(/default)?/files/theme/(.*?)/(.*)\.css$|', $urlParts['path'], $matches)) {
                    $theme    = Application_Cp_Theme_Manager::Factory($matches[2]);
                    $filename = $matches[3];

                    $fullpath = sprintf('%s/images_c/cp/%s-%s-%d.css', Application::GetTmpDir(), $theme->getName(), $filename, $theme->getThemeCssMtime($filename));

                    if (!file_exists($fullpath) || IN_DEVELOPMENT) {
                        File::CreateDirStructure(dirname($fullpath));
                        $data = $theme->getThemeCss($filename);

                        file_put_contents($fullpath, $data);
                    }

                    $options = array(
                        'filename'    => sprintf('%s.css', $filename),
                        'mime'        => 'text/css',
                        'sendexpires' => true
                    );

                    HTTP::SendFile($fullpath, $options);
                    exit;
                }
            }
            catch (Exception $ex) {
                throw new Exception('Not found', 404);
            }
        }

        public function logoAction()
        {
            $urlParts = parse_url($this->getRequest()->getRequestUri());

            if (preg_match('|^(/default)?/files/logo/(.*)\.' . Application_Cp_Theme_Logo::EXTENSION . '$|', $urlParts['path'], $matches)) {
                $logo = $matches[2];
            }
            else {
                $logo = Application_Cp_Theme_Logo::ORIGINAL;
            }

            $options = array(
                'filename'    => sprintf($logo . '.' . Application_Cp_Theme_Logo::EXTENSION),
                'mime'        => Application_Cp_Theme_Logo::MIME,
                'sendexpires' => true
            );

            HTTP::SendDataAsFile($this->getResponse(), Application_Cp_Theme_Logo::GetLogoData($logo), $options);
        }

        public function iconsAction()
        {
            $urlParts = parse_url($this->getRequest()->getRequestUri());

            if (preg_match('|^(/default)?/files/icons/(.*)\.png$|', $urlParts['path'], $matches)) {
                $rgb = $matches[2];
            }
            else {
                $rgb = '';
            }

            try {
                $rgb      = Image_Colour_Rgb::FromString($rgb);
                $filename = $rgb->getHexString() . '.png';
                $fullpath = sprintf('%s/images_c/cp/%s', Application::GetTmpDir(), $filename);

                if (!file_exists($fullpath)) {
                    $maskPath = sprintf('%s/cp/htdocs/files/v2/images/ui-icons.png', Application::GetApplicationDir());

                    $mask = new Image_Mask();
                    $mask->setMaskPath($maskPath)
                         ->setMaskColour(new Image_Colour_Rgb(0, 0, 0))
                         ->setColour($rgb);


                    $im = $mask->getImage();

                    File::CreateDirStructure(dirname($fullpath));
                    imagePng($im, $fullpath);
                }

                $opts = array(
                    'filename'    => $filename,
                    'sendexpires' => true
                );

                HTTP::SendFile($fullpath, $opts);
                exit;
            }
            catch (Exception $ex) {
                throw new Exception('Not found', 404);
            }
        }
    }
?>
