<?php
    class FormsController extends Application_Cp_Site_ControllerAction
    {
        public function selectorAction()
        {
            $request = $this->getRequest();
            $type    = $request->getPost('type');

            $type = Profile_Field::Factory($type);

            if (!$type instanceof Profile_Field_Selector) {
                throw new Exception('Invalid field type');
            }

            $selector = $type->getItemSelector();
            $response = $selector->run($request);

            $this->sendJson($response->toArray());
        }

        public function fieldTypesAction()
        {
            $selector = new Profile_Field_DriverSelector();
            $this->sendJson($selector->toArray());
        }

        public function filtersAction()
        {
            $request = $this->getRequest();
            $filters = Profile_Field_FieldList_FormProcessor::GetFilterList($request);
            $name    = $request->getPost('name');

            $this->view->filters = $filters;
            $this->view->name    = $name;
        }

        public function fieldListFieldAction()
        {
            $request   = $this->getRequest();
            $type      = $request->getPost('type');

            $field = array(
                'type'      => Profile_Field::Factory($type),
                'title'     => $request->getPost('title'),
                'name'      => $request->getPost('name'),
                'help'      => $request->getPost('help'),
                'required'  => Text::toBoolean($request->getPost('required')),
                'protected' => Text::toBoolean($request->getPost('protected')),
                'noedit'    => Text::toBoolean($request->getPost('noedit'))
            );
            $showProtectedOptions = (bool) $request->getPost('showProtected');

            $field['options'] = $field['type']->getOptions();

            foreach ($field['options'] as $option) {
                $option->getType()->set($request->getPost('option_' . $option->getName()));
            }

            $this->view->field = $field;
            $this->view->showProtectedOptions = $showProtectedOptions;
        }
    }
?>