{include file='default/auth/lib/header.tpl'}

{if $fp->clients|@count == 0}
    <div class="reset-complete">
        {if $fp->unavailableClients|@count > 0}
            <p>
                The following clients are currently not available:
            </p>
            <ul>
                {foreach from=$fp->unavailableClients item=client}
                    <li>{$client|escape}</li>
                {/foreach}
            </ul>
        {else}
            <p>
                Unable to log you in to the Control Panel. Please contact your administrator.
            </p>
        {/if}

        <p>
            <a href="{geturl target='default:auth:login'}">&laquo; Return to log in form</a>
        </p>
    </div>
{else}
    <form method="post" action="{geturl target='default:auth:choose-client}?redirect={$redirect|escape}">
        <table id="login">
            <tr>
                <th>
                    Select Client:
                </th>
            </tr>
            <tr>
                <td>
                    {form_error error=$fp->getError('username') header=true}
                    <select name="client" size="{math equation='min(x, y)' x=6 y=$fp->clients|@count}">
                        {foreach from=$fp->clients item=client}
                            <option value="{$client->getId()}">
                                {$client|escape}
                                {assign var=domain value=$client->getPrimaryDomain()}
                                {if $domain|strlen > 0}
                                    ({$domain|escape})
                                {/if}
                            </option>
                        {/foreach}
                    </select>
                    {form_error error=$fp->getError('username') footer=true}
                </td>
            </tr>
            <tr>
                <td>
                    {button}Log In{/button}
                    {if $fp->unavailableClients|@count > 0}
                        <p>
                            The following clients are currently not available:
                        </p>
                        <ul>
                            {foreach from=$fp->unavailableClients item=client}
                                <li>{$client|escape}</li>
                            {/foreach}
                        </ul>
                    {/if}
                </td>
            </tr>
        </table>
    </form>

    <script type="text/javascript" src="{$THEME->get3rdPartyFilesWebPath()|escape}/jquery/jquery.js"></script>
    {literal}
    <script type="text/javascript">
        jQuery(function($) {
            $('select[name=client]').bind('dblclick', function(e) {
                $(this).parents('form').submit();
            })
        });
    </script>
    {/literal}
{/if}

{include file='default/auth/lib/footer.tpl'}
