<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
    <head>
        <title>{if $title|strlen > 0}{$title|escape} - {/if}{$THEME->getApplicationTitle()|escape}</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

        {include file='default/index/lib/components.tpl'}

        {if $legacyMode}
            <link rel="stylesheet" href="{$THEME->getCoreFilesWebPath()|escape}/legacy/css/styles.css" type="text/css" media="all" />
        {/if}
    </head>
    <body{if $legacyMode} class="legacy"{/if} id="recite">
        <div id="fixed-header">
            <div id="header">
                <h1>Recite</h1>

                <div id="maintenance"{if !$IN_MAINTENANCE} class="ui-helper-hidden"{/if}>
                    Your web site is currently in maintenance mode (<a href="{geturl target='default:settings:maintenance-disable'}">disable</a>)
                </div>

                <div id="account-url">
                    <strong class="cn">{$client|escape}</strong>:

                    {assign var=_domain value=$client->getPrimaryDomain()}

                    {if $_domain|strlen > 0}
                        <a href="{$_domain|escape}" target="_blank">{$_domain|escape}</a>
                        {if 'module:containers:manageable'|is_allowed}
                            (<a href="{$_domain|escape}" target="_blank">view live</a>, <a href="{geturl target='default:frontend:index'}" target="_blank">manage containers</a>
                            {inline_help title='Manage Containers'}
                                Open your web site in container management mode.
                                This allows you to add, update and remove content
                                on each page, as well as viewing page drafts.
                            {/inline_help}
                            )
                        {else}
                            (<a href="{$_domain|escape}" target="_blank">view live</a>)
                        {/if}
                    {else}
                        (<a href="#" class="no-domain">view live</a>, <a href="#" class="no-domain">manage containers</a>)
                    {/if}
                </div>

                <div id="account-info">
                    {* Logged in as <strong>{$identity.username|escape}</strong> | *}
                    <a href="{geturl target='default:account:index'}" id="preferences">
                        {$identity.username|escape}
                        <span class="fa-stack">
                            <i class="fa fa-square fa-stack-2x"></i>
                            <i class="fa fa-user fa-stack-1x fa-inverse"></i>
                        </span>
                        <span class="fa-description">Your Account</span>
                    </a>
                    {if 'core:settings:editable'|is_allowed}
                        <a href="{geturl target='default:settings:index'}" id="site-settings">
                            <i class="fa fa-cog"></i>
                            <span class="fa-description">Site Settings</span>
                        </a>
                    {/if}
                    <a href="{geturl target='default:auth:logout'}" id="log-out">
                        <i class="fa fa-sign-out"></i>
                        <span class="fa-description">Log Out</span>
                    </a>
                </div>
            </div>

            {assign var=tabsManageable value='core:tabs:manageable'|is_allowed}
            <div id="tabs_container"{if !$tabsManageable} class="no-manage"{/if}>
                <div id="tabs" selected="{$active|escape}">

                    <ul>
                        {if $tabsManageable}
                            <li class="ui-corner-top add"><a href="#" class="add ui-corner-top">+</a></li>
                        {/if}
                    </ul>
                </div>

                {if !$legacyMode}
                    <a href="#" class="add-widgets ui-helper-hidden" rel="0">+ Add Widgets</a>
                {/if}
            </div>

            <div id="suggested-widgets" class="ui-corner-all">
                <a href="#" class="add-widgets header" rel="0">+ Add Widgets</a>
                <ul></ul>
                <div><a href="#" class="add-widgets" rel="0">View All...</a></div>
            </div>


            {if $tabsManageable}
                <div id="tab_options">
                    <ul class="ui-corner-bottom">
                        <li><a href="#" class="edit">Edit</a></li>
                        <li><a href="#" class="delete">Delete</a></li>
                    </ul>
                </div>
            {/if}

        </div>

