<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
    <head>
        <title>{$APPLICATION_NAME|escape} WebDAV: {$path|escape}</title>
        <link rel="stylesheet" type="text/css" href="/assets/styles.css" />
        <script type="text/javascript" src="/assets/jquery.min.js"></script>
        <script type="text/javascript" src="/assets/Application.js"></script>
    </head>
    <body>
        <div id="header">
            <h1>WebDAV Server for {$client|escape}</h1>
        </div>

        <h1>Path: {$path|escape}</h1>

        <table id="files">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Type</th>
                    <th>Size</th>
                    <th>Last Modified</th>
                </tr>
            </thead>
            <tbody>
                {foreach from=$files item=file}
                    <tr>
                        <td><a href="{$file.fullPath|escape}">{$file.name|escape}</a></td>
                        <td>{$file.type|escape}</td>
                        <td>
                            {if $file.size|strlen > 0}
                                {$file.size|filesize_format|escape}
                            {else}
                                -
                            {/if}
                        </td>
                        <td>{$file.lastModified|date_format:'%c'|default:'-'}</td>
                    </tr>
                {/foreach}
            </tbody>
        </table>

        <div id="setup-info">
            <div id="os">
                <a href="#os-windows"{if $os == 'windows'} class="active"{/if}>Microsoft Windows 2000/XP/7</a> |
                <a href="#os-windowsvista"{if $os == 'windowsvista'} class="active"{/if}>Microsoft Windows Vista</a> |
                <a href="#os-mac"{if $os == 'mac'} class="active"{/if}>Mac OS X</a> |
                <a href="#os-other"{if $os == 'other'} class="active"{/if}>Other</a>
            </div>

            <div class="instructions{if $os == 'windows'} active{/if}" id="os-windows">
                {include file='lib/windows.tpl' vista=false}
            </div>

            <div class="instructions{if $os == 'windowsvista'} active{/if}" id="os-windowsvista">
                {include file='lib/windows.tpl' vista=true}
            </div>

            <div class="instructions{if $os == 'mac'} active{/if}" id="os-mac">
                <h3>Apple Mac OS X Instructions</h3>

                {if !$smarty.const.IS_SSL}
                    <div class="warning">
                        It is recommended that this server is set up using a HTTPS connection.
                    </div>
                {/if}

                <ol>
                    <li>Open Finder</li>
                    <li>Select <code>Go</code> &rarr; <code>Connect to Server</code> from the menu (or press <code>&#8984;-K</code>)</li>
                    <li>Enter the following as the server address:
                        <blockquote><code>{$davServer|escape}</code></blockquote>
                    </li>
                    <li>Click <code>Connect</code></li>
                    <li>Enter your username and password when prompted.</li>
                </ol>

                This location will now appear as a fully-functional drive in OS X.

                <div class="warning">
                    WebDAV can be slow using OS X Finder due to the number of extra unncessary calls that are made by it.
                    To speed this up slightly, enter the following from a terminal window:

                    <blockquote>
                        <code>defaults write com.apple.desktopservices DSDontWriteNetworkStores true</code>
                    </blockquote>

                    This will prevent <code>.DS_Store</code> files from being created on network drives.
                    You may need to restart Finder for this change to take effect (<code>killall Finder</code> from terminal).
                </div>
            </div>

            <div class="instructions{if $os == 'other'} active{/if}" id="os-other">
                <h3>Other Instructions</h3>

                {if !$smarty.const.IS_SSL}
                    <div class="warning">
                        It is recommended that this server is set up using a HTTPS connection.
                    </div>
                {/if}

                This server will support most WebDAV clients. To connect you will need your
                username and password, as well as the server URL:

                <blockquote><code>{$davServer|escape}</code></blockquote>

                Your WebDAV client must support HTTP digest authentication.
            </div>
        </div>

        <div id="footer">
            Generated by {$APPLICATION_NAME} {$APPLICATION_VERSION} + SabreDAV {$version|escape}.
            Logged in as <strong>{$user->username|escape}</strong>.
        </div>
    </body>
</html>