<?php
    require_once('Application/Defines.php');
    require_once('Application/Loader.php');

    Application_Loader::Startup();

    try {
        Application::Startup(Application::SITE_ADMIN);
        $installer = false;
    }
    catch (Exception $ex) {
        $installer = true;
    }

    $controller = Zend_Controller_Front::getInstance();
    $controller->setModuleControllerDirectoryName('');
    $controller->addModuleDirectory(Application::getBaseDir() . '/application/admin/controllers');
    $controller->setRouter(new Application_Admin_Router());

    if ($installer) {
        $controller->registerPlugin(new Application_Admin_Installer());
    }
    else {
        $controller->registerPlugin(new Application_Admin_Auth());
    }

    // setup the view renderer
    $vr = new Zend_Controller_Action_Helper_ViewRenderer(new Application_View_Admin());
    $vr->setViewSuffix('tpl');
    $vr->setViewScriptPathSpec(':module/:controller/:action.:suffix');
    Zend_Controller_Action_HelperBroker::addHelper($vr);

    $controller->setRequest(new Application_Admin_Site_Request());
    $controller->dispatch();
?>
