<?php
    class Application_Admin_ControllerAction extends Application_Site_ControllerAction
    {
        const MESSENGER_ERRORS_NAMESPACE = 'errors';

        public $messenger;

        public function init()
        {
            parent::init();

            $this->db   = Application::GetDb();
            $this->auth = Zend_Auth::getInstance();
            $this->user = $this->auth->getIdentity();

            $this->breadcrumbs = new Breadcrumbs();
            $this->breadcrumbs->addStep('Home', '/');

            $this->messenger = $this->_helper->_flashMessenger;
        }

        public function preDispatch()
        {
            parent::preDispatch();

            $this->view->identity = $this->user;
            $this->view->db = $this->db;
        }

        public function postDispatch()
        {
            $this->view->breadcrumbs = $this->breadcrumbs;
            $this->view->title = $this->breadcrumbs->getTitle();

            $messages = array(
                'ok' => $this->messenger->getMessages()
            );

            $this->messenger->setNamespace(self::MESSENGER_ERRORS_NAMESPACE);
            $messages['errors'] = $this->messenger->getMessages();
            $this->messenger->resetNamespace();

            $this->view->statusMessages = $messages;
            $this->view->IN_MAINTENANCE = Application_SystemStatus::InMaintenanceMode();

            try {
                $this->view->IONCUBE_VERSION = Application_License_Manager::GetLoaderVersion();
            }
            catch (Exception $ex) {
                $this->view->IONCUBE_VERSION = '';
            }
        }

        public function messengerError($msg)
        {
            $this->messenger->setNamespace(self::MESSENGER_ERRORS_NAMESPACE);
            $this->messenger->addMessage($msg);
            $this->messenger->resetNamespace();
        }

        public function showRedirectPage($url, $string, $delay = 1, $tpl = 'lib/redirect.tpl')
        {
            $delay = max(1, (int) $delay);

            $this->view->url = $url;
            $this->view->delay = $delay;
            $this->view->message = $string;
            $this->view->display($tpl);
            exit;
        }
    }
?>