<?php
    class Application_Admin_ControllerAction_Webservices extends Application_Site_ControllerAction
    {
        final public function init()
        {
            $settings = Application_Settings::GetInstance();

            if (!$settings->web_services_enabled) {
                $response = $this->getResponse();
                $response->setHttpResponseCode(403);

                $this->sendJson(array(
                    'error' => 'Forbidden'
                ));

                $response->sendResponse();
                exit;
            }
            else if (Application_SystemStatus::InMaintenanceMode()) {
                $response = $this->getResponse();
                $response->setHttpResponseCode(503);

                $this->sendJson(array(
                    'error' => 'Currently in maintenance mode'
                ));

                $response->sendResponse();
                exit;
            }

            $this->noRender();
        }
    }
?>