<?php
    class Application_Admin_Installer extends Zend_Controller_Plugin_Abstract
    {
        protected $_role;

        public function __construct()
        {
            $this->auth = Zend_Auth::getInstance();
            $this->auth->setStorage(new Zend_Auth_Storage_Session('auth'));
            Zend_Registry::set('auth', $this->auth);

            $this->_role = new Zend_Acl_Role('admin');

            $this->acl = new Zend_Acl();
            $this->acl->add(new Zend_Acl_Resource('install'));
            $this->acl->addRole($this->_role);
            $this->acl->deny();
            $this->acl->allow($this->_role, 'install');
        }

        public function preDispatch(Zend_Controller_Request_Abstract $request)
        {
            $resource = $request->module;

            try {
                if (!$this->acl->isAllowed($this->_role, $resource)) {
                    throw new Exception('Not allowed');
                }
            }
            catch (Exception $ex) {
                $request->setModuleName('install');
                $request->setControllerName('index');
                $request->setActionName('index');
            }

            // ensure permissions are set correctly
            $dataDir = Application::GetDataDir();

            if (file_exists($dataDir)) {
                if (!is_writable($dataDir)) {
                    Application_Admin_Site_Maintenance::SendCannotWriteToDataDirMessage();
                }
            }
            else {
                $parentDir = dirname($dataDir);

                if (!is_writable($parentDir)) {
                    Application_Admin_Site_Maintenance::CannotCreateDataDirMessage();
                }
            }
        }
    }
?>