<?php
    class Application_Admin_Login_ChangePassword extends FormProcessor
    {
        public $user;

        public function __construct(Zend_Controller_Request_Abstract $request)
        {
            $username   = Text::sanitize($request->getQuery('u'));
            $this->code = Text::sanitize($request->getQuery('a'));

            $this->user = new Application_User();
            $this->user->loadSysadminByUsername($username, array(Application_User::STATUS_ACTIVE));

            try {
                if (!$this->user->saved()) {
                    throw new Exception('Invalid user');
                }

                if (!$this->user->checkActivateCode($this->code)) {
                    throw new Exception('Invalid code');
                }
            }
            catch (Exception $ex) {
                throw new Exception('Invalid user or code');
            }
        }

        public function process(Zend_Controller_Request_Abstract $request)
        {
            $this->password = trim($request->getPost('password'));
            $this->confirm  = trim($request->getPost('confirm'));

            if (strlen($this->password) == 0) {
                $this->addError('password', 'Required field must not be blank');
            }

            if (strlen($this->confirm) == 0) {
                $this->addError('confirm', 'Required field must not be blank');
            }

            if (!$this->hasError() && $this->password != $this->confirm) {
                $this->addError('confirm', 'Password confirmation did not match');
            }

            if (!$this->hasError()) {
                $this->user->resetPassword($this->password);
            }

            return !$this->hasError();
        }
    }
?>
