<?php
    class Application_Brand_Editor_Admin extends FormProcessor
    {
        public $obj;
        public $themes;

        public function __construct($brand_id = 0)
        {
            $this->obj = new Application_Brand();
            $this->obj->load($brand_id);

            if ($this->obj->saved()) {
                $this->brand_name = $this->obj->brand_name;
                $this->theme      = $this->obj->profile->theme;
            }
            else {
                $this->autoconfig = true;
            }

            $this->themes = Application_Cp_Theme_Manager::GetThemes();
        }

        public function process(Zend_Controller_Request_Abstract $request)
        {
            $this->brand_name = Text::sanitize($request->getPost('brand_name'));

            if (strlen($this->brand_name) > 0) {
                $this->obj->set('brand_name', $this->brand_name);
            }
            else {
                $this->addError('brand_name', 'Enter a brand name');
            }

            $this->theme = $request->getPost('theme');

            if (array_key_exists($this->theme, $this->themes)) {
                $this->obj->profile->theme = $this->theme;
            }
            else {
                $this->addError('theme', 'Please select the Control Panel theme');
            }

            $this->autoconfig = (bool) $request->getPost('autoconfig');

            if (!$this->hasError()) {
                $new = !$this->obj->saved();

                if ($new && $this->autoconfig) {
                    $this->obj->profile->httpd_conf_generate = true;
                }

                $this->obj->save();
            }

            return !$this->hasError();
        }
    }
?>
