<?php
    require_once('Application/Defines.php');
    require_once('Application/Loader.php');

    Application_Loader::Startup();

    if (Application_SystemStatus::InMaintenanceMode()) {
        Application_Client_Site_Maintenance::SendMaintenanceMessage();
    }

    try {
        Application::Startup(Application::SITE_CLIENT);
    }
    catch (Exception $ex) {
        Application_Client_Site_Maintenance::SendStartupErrorMessage($ex);
    }

    if (Application_SystemStatus::ItemInMaintenanceMode(Application::GetClient())) {
        Application_Client_Site_Maintenance::SendMaintenanceMessage();
    }

    Module_Pages_ClientRenderer_Cache::Startup();

    $controller = Zend_Controller_Front::getInstance();
    $controller->setParam('noViewRenderer', true);
    $controller->setControllerDirectory(Application::getBaseDir() . '/application/client/controllers');

    $controller->setRequest(new Application_Client_Site_Request());
    $controller->setResponse(new Application_Client_Site_Response());
    $controller->setRouter(new Application_Client_Site_Router());

    $controller->registerPlugin(new Application_Site_Profiler());
    $controller->registerPlugin(new Application_Client_Site_Auth());
    $controller->registerPlugin(new Application_Client_Site_Startup());

    $controller->dispatch();
?>
