<?php
    class Application_Client_Renderer extends DataRenderer
    {
        public function __construct()
        {
            parent::__construct(Application::GetDb());

            $this->getOption($this->_limitOption)
                 ->setValues(array(0   => 'All',
                                   5   =>  5,
                                   10  =>  10,
                                   20  =>  20,
                                   50  =>  50,
                                   100 => 100,
                                   500 => 500))
                 ->setDefault(50);

            $_brands = Application_Brand::GetBrands();

            $option = new DataRenderer_Option('brand_id');
            foreach ($_brands as $k => $v)
                $option->addValue($k, $v->brand_name);

            $this->addOption($option);

            $option = new DataRenderer_Option('order');
            $this->addOption($option)
                 ->setValues(array('name'  => 'Client Name (A-Z)',
                                   'named' => 'Client Name (Z-A)'));
        }

        public function getData(&$arr, DataRenderer_Pager $pager)
        {
            $options = $this->getOptions();
            $options['limit'] = (int) $pager->limit;
            $options['offset'] = (int) $pager->offset;

            switch ($this->getSetting('order')) {
                case 'named':
                    $order = array('lower(c.client_name) desc', 'c.client_id desc');
                    break;

                case 'name':
                default:
                    $order = array('lower(c.client_name)', 'c.client_id');
            }

            $options['order'] = $order;

            $arr = Application_Client::GetClients($options);
        }

        public function getDataCount()
        {
            return Application_Client::GetClientsCount($this->getOptions());
        }

        protected function getOptions()
        {
            $ret = array();

            $brand_id = (int) $this->getSetting('brand_id');
            if ($brand_id > 0)
                $ret['brand_ids'] = $brand_id;

            return $ret;
        }
    }
?>
