<?php
    /**
     * Used to edit a custom client setting
     *
     * @author  Quentin Zervaas <quentin@recite.com.au>
     * @since   Recite 1.7.0
     */
    class Application_Client_Settings_Custom_Editor extends FormProcessor
    {
        public $obj;
        public $type;

        public function __construct($setting_id = 0, $type = null)
        {
            $this->obj = new Application_Client_Settings_Custom();
            $this->obj->load($setting_id);

            if ($this->obj->saved()) {
                $this->title       = $this->obj->title;
                $this->setting_key = $this->obj->setting_key;
                $this->type        = $this->obj->getType();
            }
            else {
                $this->type = Profile_Field::factory($type);
                $this->obj->setType($this->type);
            }
        }

        public function process(Zend_Controller_Request_Abstract $request)
        {
            $this->title = $this->sanitize($request->getPost('title'));

            if (strlen($this->title) == 0) {
                $this->addError('title', 'Please enter the setting title');
            }

            $this->setting_key = $this->sanitize($request->getPost('setting_key'));

            if (strlen($this->setting_key) == 0) {
                $this->addError('setting_key', 'Please enter the setting key');
            }
            else if (!$this->obj->check('setting_key', $this->setting_key)) {
                $this->addError('setting_key', 'Only letters, numbers and underscores are allowed');
            }

            if (!$this->hasError()) {
                $this->obj->title = $this->title;
                $this->obj->setting_key = $this->setting_key;
                $this->obj->save();
            }

            return !$this->hasError();
        }
    }
?>
