<?php
    class Application_Client_Site_Maintenance
    {
        private function __construct()
        { }

        public static function SendFile($title)
        {
            header('HTTP/1.1 503 Service Unavailable');

            $fullpath = Application::getApplicationDir() . '/client/templates/utility/tpl.html';
            $ret = file_get_contents($fullpath);
            $ret = str_replace('[TITLE]', $title, $ret);
            echo $ret;
        }

        public static function SendMaintenanceMessage()
        {
            self::SendFile('This web site is currently under maintenance');
            exit;
        }

        public static function SendStartupErrorMessage()
        {
            self::SendFile('An error occurred loading this web site');
            exit;
        }

        public static function SendNoClientErrorMessage()
        {
            self::SendFile('No client has been configured for this host');
            exit;
        }

        public static function SendInactiveClientErrorMessage()
        {
            self::SendFile('This web site is currently disabled');
            exit;
        }

        public static function SendNoLicenseErrorMessage()
        {
            self::SendFile('No license has been configured for this host');
            exit;
        }

        public static function SendLicenseExpiredMessage()
        {
            self::SendFile('This license has expired');
            exit;
        }

        public static function SendInvalidLicenseErrorMessage()
        {
            self::SendFile('This license is invalid');
            exit;
        }
    }
?>
