<?php
    class Application_Client_Site_Router extends Zend_Controller_Router_Abstract
    {
        public function route(Zend_Controller_Request_Abstract $request)
        {
            $requestUri = '/' . ltrim($request->getRequestUri(), '/');

            // first check for assets
            if (preg_match('|^/assets/|', $requestUri)) {
                $requestUri = preg_replace('|^/assets|', '/__/assets/files', $requestUri);
                $request->setRequestUri($requestUri);
            }

            $parts = explode('?', $requestUri, 2);
            $path  = $parts[0];

            // now check for custom request handler
            if (preg_match('|^/__/|', $path)) {
                $path = preg_replace('|^/__|', '', $path);

                $request->setControllerName('index');
                $request->setActionName('backend');
                $request->setParam('path', $path);

                return $request;
            }


            // finally handle with the pages module

            return $request;
        }

        public function assemble($userParams, $name = null, $reset = false, $encode = true)
        {

        }
    }
?>