<?php
    /**
     * Used to manage inline editing of WYSIWYG blocks.
     */
    class Application_Client_Wysiwyg_Manager
    {
        public static function SendBlock(Application_View_Client $view, $name, $adminMode = false)
        {
            $content = $view->__get('page');
            $_name   = strtolower($name);

            if ($adminMode) {
                if (array_key_exists($_name, $content['blocks'])) {
                    $body = $content['blocks'][$_name]['body'];
                }
                else {
                    $body = '';
                }

                return self::ShowEditableBlock($name, $body);
            }

            if (!empty($content['blocks']) && array_key_exists($_name, $content['blocks'])) {
                return $content['blocks'][$_name]['body'];
            }
        }

        private static function ShowEditableBlock($name, $content)
        {
            $ret = <<<EOF
            <div class="__recite %scontentblock">
                <div class="__recite %scontentblock_info __recite_reset">WYSIWYG: <span class="%scontentblock_name __recite">%s</span></div>
                <div class="%scontentblock_body">%s</div>
            </div>
EOF;

            $class = Module_Containers_Client_Generator::BASE_CSS_CLASS;

            return sprintf(
                $ret,
                $class,
                $class,
                $class,
                $name,
                $class,
                $content,
                $class
            );
        }
    }
?>
