<?php
    class Application_CommandLine_ProgressBar
    {
        protected $_max;
        protected $_last = 0;

        public function __construct($max)
        {
            $this->_max = max(1, $max);

            //echo sprintf("|%s|\n", str_repeat('-', 48));
        }

        public function complete()
        {
            $this->notify($this->_max);
        }

        public function notify($current)
        {
            $pct = (int) ($current / $this->_max * 100);

            if ($pct == $this->_last || $pct > 100) {
                return;
            }

            if ($pct % 2 == 1) {
                $pct++;
            }

            $count = $pct - $this->_last;

            $this->_last = $pct;

            echo str_repeat('.', $count / 2);

            if ($pct == 100) {
                echo " 100%\n";
            }
        }
    }
?>
