<?php
    class Application_CommandLine_Script
    {
        protected $_cwd;

        public function __construct()
        {
            $this->_cwd = dirname(realpath($GLOBALS['argv'][0]));
        }

        public function getCwd()
        {
            return $this->_cwd;
        }

        public function output($str)
        {
            echo $str;
        }

        public function clear()
        {
            system('/usr/bin/clear');
        }

        public function continue_check($msg = 'Continue (y/n/q)? ', $allowQuit = true)
        {
            $chars = 'yn';
            if ($allowQuit)
                $chars .= 'q';

            do {
                $this->output($msg);
                $char = substr(strtolower(fread(STDIN, 1024)), 0, 1);
            } while (strpos($chars, $char) === false);

            switch ($char) {
                case 'q':
                    if ($allowQuit)
                        $this->quit();
                    break;
                case 'n':
                    $this->output("Skipping ...\n");
            }

            return $char == 'y';
        }

        public function getUserInput($question, $default = null, $options = null, $prefix = null)
        {
            if (strlen($default) > 0)
                $this->output(sprintf('%s [%s]: %s', $question, $default, $prefix));
            else
                $this->output(sprintf('%s: %s', $question, $prefix));

            $str = trim(fgets(STDIN));

            if (strlen($str) == 0)
                return $default;

            if (is_array($options) && !in_array($str, $options))
                return $this->getUserInput($question, $default, $options);
            else
                return $str;
        }

        public function quit($msg = "Exiting ...")
        {
            $this->output($msg . "\n");
            exit;
        }
    }
?>