<?php
    class Application_Content_Lock
    {
        protected $_properties = array(
            'type'      => null,
            'owner'     => null,
            'clientId'  => null,
            'type'      => null,
            'depth'     => null,
            'scope'     => null,
            'token'     => null,
            'path'      => null,
            'tsCreated' => null,
            'tsExpired' => null
        );

        public function __construct($type)
        {
            $this->__set('type', $type);
        }

        public function __set($k, $v)
        {
            if (!array_key_exists($k, $this->_properties)) {
                return;
            }

            $this->_properties[$k] = $v;
            return $this;
        }

        public function __get($k)
        {
            if (!array_key_exists($k, $this->_properties)) {
                throw new Application_Content_Lock_Exception(sprintf('Invalid property (%s)', $k));
            }

            return $this->_properties[$k];
        }

        public function getTimeout()
        {
            return max(0, $this->tsExpired - $this->tsCreated);
        }
    }
?>