<?php
    class Application_Cp_Login_ClientChooser extends FormProcessor
    {
        public $user;
        public $clients;
        public $unavailableClients;
        protected $_clientSet = false;

        public function __construct()
        {
            $this->user = Zend_Registry::get('user');
            $clientIds  = $this->user->getClientIds();

            if (count($clientIds) == 0) {
                Application_Cp_Login::Logout();
                return;
            }

            $brand = Application::GetBrand();

            $options = array(
                'client_ids' => $clientIds,
                'brand_ids'  => $brand->getId(),
                'statuses'   => array(
                    Application_Client::STATUS_ACTIVE,
                    Application_Client::STATUS_DISABLED
                )
            );

            $this->clients = Application_Client::GetClients($options);

            $options = array(
                'client_ids' => $clientIds,
                'brand_ids'  => $brand->getId(),
                'statuses'   => array(
                    Application_Client::STATUS_INACTIVE,
                    Application_Client::STATUS_LOCKED
                )
            );

            $this->unavailableClients = Application_Client::GetClients($options);

            if (count($this->clients) == 0) {
                Application_Cp_Login::Logout();
            }
            else if (count($this->clients) == 1 && count($this->unavailableClients) == 0) {
                foreach ($this->clients as $client) {
                    $this->_setClientId($client->getId());
                    break;
                }
            }
        }

        public function hasSetClient()
        {
            return $this->_clientSet;
        }

        public function process(Zend_Controller_Request_Abstract $request)
        {
            $clientId = (int) $request->getPost('client');

            if (!array_key_exists($clientId, $this->clients)) {
                $this->addError('client', 'Please select a client');
            }

            if (!$this->hasError()) {
                $this->_setClientId($clientId);
            }

            return !$this->hasError();
        }

        protected function _setClientId($clientId)
        {
            $auth     = Zend_Auth::GetInstance();
            $identity = $auth->getIdentity();
            $identity['client_id'] = $clientId;
            $auth->getStorage()->write($identity);

            $this->_clientSet = true;
        }
    }
?>
