<?php
    class Application_Cp_Login_ResetPassword extends FormProcessor
    {
        public function process(Zend_Controller_Request_Abstract $request)
        {
            $this->username = $this->sanitize($request->getPost('username'));

            $user = new Application_User();

            if (strlen($this->username) == 0) {
                $this->addError('username', translate('Required field must not be blank'));
            }
            else if (!$user->loadByUsername(null, $this->username, array(Application_User::STATUS_ACTIVE))) {
                $this->addError('username', translate('Unable to find user with this username'));
            }

            if (!$this->hasError()) {
                $user->fetchPassword();
            }

            return !$this->hasError();
        }
    }
?>
