<?php
    class Application_Cp_Site_ControllerAction extends Application_Site_ControllerAction
    {
        const MESSENGER_ERRORS_NAMESPACE = 'errors';

        public $messenger;

        public function init()
        {
            parent::init();

            $this->db       = Application::GetDb();
            $this->auth     = Zend_Auth::getInstance();
            $this->identity = $this->auth->getIdentity();
            $this->user     = Zend_Registry::get('user');
            $this->brand    = Application::GetBrand();

            try {
                $this->client = Application::GetClient();
            }
            catch (Exception $ex) {
                $this->client = new Application_Client();
            }

            $this->breadcrumbs = new Breadcrumbs();
            $this->breadcrumbs->addStep('Home', '/');

            $this->messenger = $this->_helper->_flashMessenger;
        }

        public function preDispatch()
        {
            parent::preDispatch();

            $this->view->identity = $this->identity;
            $this->view->db = $this->db;
            $this->view->brand = $this->brand;
            $this->view->user = $this->user;
            $this->view->client = $this->client;
        }

        public function postDispatch()
        {
            parent::postDispatch();

            $request  = $this->getRequest();
            $response = $this->getResponse();

            $this->view->breadcrumbs = $this->breadcrumbs;
            $this->view->title = $this->breadcrumbs->getTitle();

            if ($request->isXmlHttpRequest()) {
                $this->view->isXmlHttpRequest = true;
            }
            else {
                $this->view->isXmlHttpRequest = false;

                $messages = array(
                    'ok' => $this->messenger->getMessages()
                );

                $this->messenger->setNamespace(self::MESSENGER_ERRORS_NAMESPACE);
                $messages['errors'] = $this->messenger->getMessages();
                $this->messenger->resetNamespace();

                $this->view->statusMessages = $messages;
            }
        }

        public function messengerError($msg)
        {
            $this->messenger->setNamespace(self::MESSENGER_ERRORS_NAMESPACE);
            $this->messenger->addMessage($msg);
            $this->messenger->resetNamespace();
        }
    }
?>