<?php
    class Application_Cp_Site_Dispatcher extends Zend_Controller_Dispatcher_Standard
    {
        public function dispatch(Zend_Controller_Request_Abstract $request, Zend_Controller_Response_Abstract $response)
        {
            // hack to ensure the module directory is added
            self::isValidModule($request->getModuleName());

            parent::dispatch($request, $response);
        }

        /**
         * Check whether the request should be routed to a module, or
         * whether it should just use the default controllers
         */
        public function isValidModule($module)
        {
            if (strlen($module) == 0) {
                return false;
            }

            // ideally this would use $client->hasModule($module) however because the
            // routing process takes place prior to loading the client we can't do that
            try {
                $module = Application_Module_Manager::Factory($module);
                $controller = $this->getFrontController();
                $controller->addControllerDirectory($module->getPath() . '/controllers', $module->getName());

                if ($module instanceof Application_Module_Legacy_Abstract) {
                    try {
                        $vr = Zend_Controller_Action_HelperBroker::getExistingHelper('ViewRenderer');

                        if ($vr->view instanceof Application_View_Cp) {
                            $vr->view->enableLegacyMode();
                        }
                    }
                    catch (Exception $ex)
                    { }
                }
                return true;
            }
            catch (Exception $ex)
            { }

            return parent::isValidModule($module);
        }
    }
?>