<?php
    class Application_Cp_Site_Maintenance
    {
        private function __construct()
        { }

        protected static function _SendFile($title)
        {
            header('HTTP/1.1 503 Service Unavailable');
            $fullpath = Application::getApplicationDir() . '/cp/templates/default/index/lib/startup-error-tpl.html';
            $ret = file_get_contents($fullpath);
            $ret = str_replace('[TITLE]', $title, $ret);
            echo $ret;
        }

        protected static function _SendAjaxResponse()
        {
            $response = new Application_Site_Response();
            $response->addEvent(new Application_Site_Response_Event('maintenancemode.status'));
            $response->setHttpResponseCode(503);
            $response->sendResponse();
        }

        public static function SendMaintenanceMessage()
        {
            $request = new Zend_Controller_Request_Http();

            if ($request->isXmlHttpRequest()) {
                self::_SendAjaxResponse();
            }
            else {
                self::_SendFile('This web site is currently undergoing maintenance.');
            }

            exit;
        }

        public static function SendStartupErrorMessage(Exception $ex)
        {
            $request = new Zend_Controller_Request_Http();

            if ($request->isXmlHttpRequest()) {
                self::_SendAjaxResponse();
            }
            else {
                self::_SendFile('An error occurred loading this web site.');
            }

            exit;
        }

        public static function SendNoBrandErrorMessage()
        {
            $request = new Zend_Controller_Request_Http();

            if ($request->isXmlHttpRequest()) {
                self::_SendAjaxResponse();
            }
            else {
                self::_SendFile('No brand is configured for this web site.');
            }

            exit;
        }
    }
?>
