<?php
    /**
     * The base abstract that module tree-based widgets should extend from
     *
     * @package User_Cp
     * @author  Quentin Zervaas
     */
    abstract class Application_Cp_Widget_Module_Abstract_Tree extends Application_Cp_Widget_Module_Abstract
    {
        public function getCssPaths($path = '')
        {
            try {
                $paths = parent::getCssPaths();
            }
            catch (Exception $ex) {
                $paths = array();
            }


            $theme = Application_Cp_Theme_Manager::GetActiveTheme();
            $fullpath = sprintf('%s/css/tree.css', $theme->getCoreFilesSystemPath());

            if (file_exists($fullpath)) {
                $paths[] = sprintf('%s/css/tree.css', $theme->getCoreFilesWebPath());
            }

            if (count($paths) == 0) {
                throw new Application_Cp_Widget_Exception('No CSS found');
            }

            return $paths;
        }
    }
?>