<?php
    require_once('Sabre/Sabre.includes.php');

    class Application_Dav_Auth
    {
        public function __construct()
        {
        }

        public function process()
        {
            $digest = Application_Auth::DIGEST_ENABLED;

            if ($digest) {
                $auth = new Sabre_HTTP_DigestAuth();
            }
            else {
                $auth = new Sabre_HTTP_BasicAuth();
            }

            try {
                $auth->setRealm(Application_Auth::DIGEST_REALM);

                if ($digest) {
                    $auth->init();
                    $username = $auth->getUsername();
                }
                else {
                    $credentials = $auth->getUserPass();

                    if (!is_array($credentials)) {
                        throw new Exception('Credentials not specified');
                    }

                    $username = coalesce($credentials[0]);
                    $password = coalesce($credentials[1]);
                }

                $user = new Application_User();
                $user->loadControlPanelUserByUsername(getClientId(), $username, Application_User::STATUS_ACTIVE);

                if (!$user->saved()) {
                    throw new Exception('Invalid login');
                }

                if ($digest) {
                    if (!$auth->validateA1($user->password)) {
                        throw new Exception('Invalid login');
                    }
                }
                else {
                    if (!$user->checkPassword($password)) {
                        throw new Exception('Invalid login');
                    }
                }

                Zend_Registry::set('user', $user);
            }
            catch (Exception $ex) {
                $auth->requireLogin();
                throw $ex;
            }
        }
    }
?>