<?php
    require_once('Sabre/Sabre.includes.php');

    class Application_Dav_Server
    {
        protected $_server;

        public function __construct()
        { }

        public function dispatch()
        {
            // handle authentication
            // @todo    Link this better to other Recite auth systems
            $auth = new Application_Dav_Auth();

            try {
                $auth->process();

                // setup the tree and add the various filesystems
                $tree = new Components_Filesystem_Sabre_Tree_Multi();
                $tree->addFilesystem('files', new Module_Assets_Filesystem());
                $tree->addFilesystem('templates', new Module_Templates_Filesystem());

                $this->_server = new Sabre_DAV_Server($tree);

                // allow web-based browsing
                //$this->_server->addPlugin(new Sabre_DAV_Browser_Plugin());
                $this->_server->addPlugin(new Components_Filesystem_Sabre_Browser_Plugin());

                $tmpPath = File::GetSystemTmpDir();

                // handle annoying resource forks and other temporary files
                // @todo clean up temporary files
                //$tffp = new Sabre_DAV_TemporaryFileFilterPlugin($tmpPath);
                //$this->_server->addPlugin($tffp);

                // setup locks
                $plugin = new Components_Filesystem_Sabre_Locks_Backend();
                $lockPlugin = new Sabre_DAV_Locks_Plugin($plugin);
                $this->_server->addPlugin($lockPlugin);

                // dispatch the request
                $this->_server->exec();
            }
            catch (Exception $ex) {
                echo "Authentication is required.";
                die();
                $this->_server = new Sabre_DAV_Server(new Components_Filesystem_Sabre_Tree_Null());
                $this->_server->addPlugin(new Components_Filesystem_Sabre_Browser_NoAuthPlugin());

                // dispatch the request
                $this->_server->exec();
            }
        }
    }
?>