<?php
    define('IS_CLI', defined('STDERR'));
    define('IS_SSL', !IS_CLI && $_SERVER['SERVER_PORT'] == 443);
    define('IS_CGI', substr(php_sapi_name(), 0, 3) == 'cgi');
    define('IN_DEVELOPMENT', (bool) file_exists(sprintf('%s/../../../data/development.lock', dirname(__FILE__))));
    define('IS_WINDOWS', strtoupper(substr(PHP_OS, 0, 3)) == 'WIN');

    function coalesce(&$var, $default = null)
    {
        return isset($var) && !is_null($var) ? $var : $default;
    }


    function dump($var)
    {
        Debug::dump($var);
    }

    function olog($item)
    {
        $logger = Application::GetLogger();
        $logger->info(Debug::Dumpret($item));
    }

    function getClientId()
    {
        try {
            return Application::GetClientId();
        }
        catch (Exception $ex) {
            return 0;
        }
    }

    function getUserId()
    {
        if (IS_CLI) {
            return 0;
        }

        $identity = Zend_Auth::getInstance()->getIdentity();

        return (int) $identity['user_id'];
    }


    function geturl($controller = '', $action = '', $module = '')
    {
        if (preg_match('/:/', $controller)) {
            list($module, $controller, $action) = explode(':', $controller);
            return geturl($controller, $action, $module);
        }

        if (strlen($module) == 0 && strlen($controller) == 0 && strlen($action) == 0)
            return '/';

        $ret = '';
        if (strlen($module) > 0)
            $ret .= '/' . $module;

        if (strlen($controller) == 0)
            $controller = 'index';

        $ret .= '/' . $controller;

        if (strlen($action) > 0)
            $ret .= '/' . $action;

        return $ret;
    }


    function translate($str)
    {
        if (func_num_args() == 1) {
            return $str;
        }

        $args = func_get_args();

        return call_user_func_array('sprintf', $args);
    }
?>
