<?php
    class Application_Event_Observer_Core_core_client_moduleassigned extends Application_Event_Observer_Abstract
    {
        public function notify(Application_Event $event)
        {
            $client = $event->get('client');

            if (!$client instanceof Application_Client) {
                return;
            }

            $module = $event->get('module');
            $modules = $event->get('modules');

            if (!is_array($modules)) {
                $modules = array();
            }

            if ($module instanceof Application_Module_Interface) {
                $modules[] = $module;
            }

            try {
                foreach ($modules as $module) {
                    Application_Settings_Manager::DeployModuleToClient($client, $module);
                }
                // sometimes the record needs to be saved (e.g. when assigning manually), sometimes not (when client being created)
                $client->save();
            }
            catch (Exception $ex) {
            }
        }
    }
?>