<?php
    class Application_Event_Observer_Core_core_client_predelete extends Application_Event_Observer_Abstract
    {
        public function notify(Application_Event $event)
        {
            $client = $event->get('client');

            if (!$client instanceof Application_Client) {
                return;
            }

            // delete modules
            Application_Module_Manager::ClearModules($client);

            // delete drivers
            Application_Driver_Manager::ClearDrivers($client);

            // delete domains
            $client->deleteDomains();

            // clear audit log
            Application_Auditor::ClearForClient($client->getId());

            // clear user tracker
            $tracker = Application_Auth_UserTracker::getInstance();
            $tracker->deleteEntries(null, $client->getId());

            // clear custom settings
            Application_Client_Settings_Custom::ClearForClient($client->getId());

            // clear roles and permissions
            $options = array(
                'client_ids'    => $client->getId(),
                'directory_ids' => null,
                'order'         => 'nlevel desc'
            );

            $roles = Application_User_Role::GetRoles($options);

            foreach ($roles as $role) {
                $role->delete();
            }

            Application_User_Permissions_Permission::ClearForClient($client->getId());

            // clear control panel tabs
            Application_User_Cp_Tab::ClearForClient($client->getId());
        }
    }
?>