<?php
    class Application_Event_Observer_Core_module_users_user_bulkdeletebegin extends Application_Event_Observer_Abstract
    {
        public function notify(Application_Event $event)
        {
            $directory = $event->get('directory');

            if ($event->get('all')) {
                if (!$directory instanceof Application_User_Directory) {
                    return;
                }

                // clear audit entries
                Application_Auditor::ClearForDirectory($directory->getId());

                // clear emails
                Application_User_Email::ClearForDirectory($directory->getId());

                // clear user tracking
                $ut = Application_Auth_UserTracker::GetInstance();
                $ut->deleteForDirectory($directory->getId());

                // clear user tabs
                Application_User_Cp_Tab::ClearForDirectory($directory->getId());
            }
            else {
                $userIds = $event->get('users');

                // clear audit entries
                Application_Auditor::ClearForUser($userIds);

                // clear emails
                Application_User_Email::ClearForUser($userIds);

                // clear user tracking
                $ut = Application_Auth_UserTracker::GetInstance();
                $ut->deleteForUsers($userIds);

                // clear user tabs
                Application_User_Cp_Tab::ClearForUser($userIds);
            }
        }
    }
?>