<?php
    class Application_HttpdConfig_Editor extends FormProcessor
    {
        public $confDir;
        public $touchPath;
        public $items;
        public $brands;
        public $clients;

        public $_brands;
        public $_clients;

        public $cpWebRoot;
        public $clientWebRoot;
        public $apacheSample;
        public $report;

        public function __construct()
        {
            $this->confDir   = Application_HttpdConfig::GetConfigDir();
            $this->touchPath = Application_HttpdConfig::GetTouchPath();

            $this->items = array();

            $this->_brands = Application_Brand::GetBrands();
            foreach ($this->_brands as $brand) {
                $this->brands[$brand->getId()] = (bool) $brand->profile->httpd_conf_generate;
                $this->items[$brand->getId()] = array(
                    'brand'   => $brand,
                    'clients' => array()
                );
            }

            $this->_clients = Application_Client::GetClients();
            foreach ($this->_clients as $client) {
                $brandId = $client->brand_id;

                if (!array_key_exists($brandId, $this->items)) {
                    $brandId = 0;

                    if (!array_key_exists($brandId, $this->items)) {
                        $this->items[$brandId] = array(
                            'brand'   => new Application_Brand(),
                            'clients' => array()
                        );
                    }
                }
                $this->items[$brandId]['clients'][$client->getId()] = $client;
                $this->clients[$client->getId()] = (bool) $client->profile->httpd_conf_generate;
            }

            $this->cpWebRoot     = realpath(sprintf('%s/cp/htdocs', Application::GetApplicationDir()));
            $this->clientWebRoot = realpath(sprintf('%s/client/htdocs', Application::GetApplicationDir()));
            $this->davWebRoot    = realpath(sprintf('%s/dav/htdocs', Application::GetApplicationDir()));
            $this->apacheSample  = sprintf('Include "%s%s*.conf"', $this->confDir, DIRECTORY_SEPARATOR);
        }

        public function process(Zend_Controller_Request_Abstract $request)
        {
            $brands  = ArrayTools::Clean($request->getPost('brand'), true);
            $clients = ArrayTools::Clean($request->getPost('client'), true);

            $db = Application::GetDb();
            $db->begin();

            foreach ($this->_brands as $brand) {
                $brand->profile->httpd_conf_generate = in_array($brand->getId(), $brands);
                $brand->save();
            }

            foreach ($this->_clients as $client) {
                $client->profile->httpd_conf_generate = in_array($client->getId(), $clients);
                $client->save();
            }

            $db->commit();

            $this->report = Application_HttpdConfig::RebuildAll();

            return !$this->hasError();
        }
    }
?>
