<?php
    class Application_Installer_Database_Schema_ApplicationAuditLog extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'application_audit_log';
        }

        protected function init()
        {
            $this->field('entry_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('user_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('user_hash', Db_Schema_Table_Field::TYPE_TEXT, null);
            $this->field('role_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('client_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('site', Db_Schema_Table_Field::TYPE_TEXT, null);
            $this->field('module', Db_Schema_Table_Field::TYPE_TEXT, null);

            $this->field('http_user_agent', Db_Schema_Table_Field::TYPE_TEXT, null);
            $this->field('remote_addr', Db_Schema_Table_Field::TYPE_VARCHAR, 255);
            $this->field('message', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('memo', Db_Schema_Table_Field::TYPE_TEXT);

            $this->field('ts_created', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ, null, false);

            $this->pk('entry_id');
            $this->fk('user_id', 'Application_Installer_Database_Schema_Users', 'user_id');
            $this->fk('role_id', 'Application_Installer_Database_Schema_UsersRoles', 'role_id');
            $this->fk('client_id', 'Application_Installer_Database_Schema_Clients', 'client_id');
        }
    }
?>