<?php
    class Application_Installer_Database_Schema_Users extends Db_Schema_Table_Abstract
    {
        public static function getName()
        {
            return 'users';
        }

        protected function init()
        {
            $this->field('user_id', Db_Schema_Table_Field::TYPE_SERIAL, null, false);
            $this->field('directory_id', Db_Schema_Table_Field::TYPE_FK);
            $this->field('username', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('password', Db_Schema_Table_Field::TYPE_TEXT, null, false);
            $this->field('status', Db_Schema_Table_Field::TYPE_VARCHAR, 10, false);

            $this->field('ts_updated', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ, null, false);
            $this->field('ts_created', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ, null, false);
            $this->field('ts_last_login', Db_Schema_Table_Field::TYPE_TIMESTAMPTZ);

            $this->pk('user_id');
            $this->fk('directory_id', 'Application_Installer_Database_Schema_UsersDirectories', 'directory_id');
            $this->unique('username', 'directory_id');
            $this->index('username');
            $this->index('status');
        }
    }
?>