<?php
    class Application_License_Editor extends FormProcessor
    {
        public $objs = array();
        public $licenses;

        public function __construct()
        {

        }

        public function process(Zend_Controller_Request_Abstract $request)
        {
            $licenses = array();

            foreach ($request->getPost() as $k => $v) {
                if (!preg_match('/^license_(\d+)$/', $k)) {
                    continue;
                }

                $v = trim($v);

                if (strlen($v) > 0) {
                    $licenses[] = $v;
                }
            }

            if (count($licenses) == 0) {
                if (strlen($this->license) == 0) {
                    $this->addError('license_0', 'Please enter the license data');
                }
            }

            $this->licenses = array();

            if (!$this->hasError()) {
                $i = 0;
                foreach ($licenses as $license) {
                    try {
                        $this->objs[] = Application_License_Manager::InstallLicense($license);
                    }
                    catch (Exception $ex) {
                        $this->addError('license_' . $i++, $ex->getMessage());
                        $this->licenses[] = $license;
                    }
                }
            }

            return !$this->hasError();
        }
    }
?>
