<?php
    class Application_Log_Formatter implements Zend_Log_Formatter_Interface
    {
        protected $_format;

        const DEFAULT_FORMAT = '%timestamp% %priorityName% (%priority%): %message%';

        public function __construct()
        {
            $this->_format = self::DEFAULT_FORMAT . PHP_EOL;
        }

        public function format($event)
        {
            $output = $this->_format;

            foreach ($event as $name => $value) {
                if ((is_object($value) && !method_exists($value,'__toString')) || is_array($value)) {
                    if ($name == 'message') {
                        $value = sprintf("%s:%s%s", gettype($value), PHP_EOL, Debug::Dumpret($value));
                    }
                    else {
                        $value = getType($value);
                    }
                }

                $output = str_replace("%$name%", $value, $output);
            }

            return $output;
        }

    }
?>