<?php
    class Application_Mail_Recipient
    {
        const TYPE_TO = 'to';
        const TYPE_CC = 'cc';
        const TYPE_BCC = 'bcc';

        private static $_validator;

        protected $_name;
        protected $_email;
        protected $_type;

        public function __construct($email, $name = '')
        {
            if (!self::$_validator instanceof Zend_Validate_EmailAddress) {
                self::$_validator = new Zend_Validate_EmailAddress();
            }

            $email = trim($email);
            $name  = trim($name);

            if (!self::$_validator->isValid($email)) {
                throw new Application_Mail_Exception('Invalid email address');
            }

            $this->_email = $email;
            $this->_name  = $name;
        }

        public function setType($type)
        {
            if (!in_array($type, array('to', 'cc', 'bcc'))) {
                throw new Application_Mail_Exception('Invalid recipient type');
            }

            $this->_type = $type;
            return $this;
        }

        public function getType()
        {
            return $this->_type;
        }

        public function getEmail()
        {
            return $this->_email;
        }

        public function getName()
        {
            return $this->_name;
        }
    }
?>