<?php
    class Application_Mail_Response
    {
        protected $_mail;
        protected $_subject;
        protected $_bodyText;
        protected $_bodyHtml;
        protected $_testMode;
        protected $_errors = array();
        protected $_recipients = array();

        public function __construct(Application_Mail $mail)
        {
            $this->_mail = $mail;
        }

        public function setSubject($subject)
        {
            $this->_subject = $subject;
            return $this;
        }

        public function getSubject()
        {
            return $this->_subject;
        }

        public function setBodyText($text)
        {
            $this->_bodyText = $text;
            return $this;
        }

        public function getBodyText()
        {
            return $this->_bodyText;
        }

        public function setBodyHtml($html)
        {
            $this->_bodyHtml = $html;
            return $this;
        }

        public function getBodyHtml()
        {
            return $this->_bodyHtml;
        }

        public function getMail()
        {
            return $this->_mail;
        }

        public function addError($error)
        {
            $this->_errors[] = $error;
            return $this;
        }

        public function isError()
        {
            return count($this->_errors) > 0;
        }

        public function getErrors()
        {
            return $this->_errors;
        }

        public function addRecipient(Application_Mail_Recipient $recipient)
        {
            $this->_recipients[] = $recipient;
            return $this;
        }

        public function getRecipients()
        {
            return $this->_recipients;
        }

        public function setTestMode()
        {
            $this->_testMode = true;
            return $this;
        }
    }
?>