<?php
    abstract class Application_Module_Controller extends Application_Cp_Site_ControllerAction
    {
        protected $_module = null;

        final public function init()
        {
            parent::init();

            $this->moduleInit();
        }

        public function moduleInit()
        {

        }


        final public function preDispatch()
        {
            parent::preDispatch();

            $module = $this->getModule();

            Application_User_Permissions_Query_Item::BuildAndAssert('module:' . $module->getName());

            $this->view->setModule($module);
            $this->modulePreDispatch();
        }

        public function modulePreDispatch()
        {

        }

        final public function postDispatch()
        {
            parent::postDispatch();

            $this->modulePostDispatch();
        }

        public function modulePostDispatch()
        {

        }

        public function getModule()
        {
            if (is_null($this->_module)) {
                $class = get_class($this);

                if (preg_match('/^([^_]+)/', $class, $matches)) {
                    $this->_module = Application_Module_Manager::Factory(strtolower($matches[1]));
                }
            }

            return $this->_module;
        }
    }
?>