<?php
    class Application_Settings_Section
    {
        protected $_title;
        protected $_settings = array();

        public function __construct($title)
        {
            $this->_title = (string) $title;
        }

        public function __toString()
        {
            return (string) $this->_title;
        }

        public function add(Application_Settings_Setting $setting)
        {
            $this->_settings[$setting->getKey()] = $setting;
            return $this;
        }

        public function getNumSettings()
        {
            return count($this->_settings);
        }

        public function getSettings()
        {
            return $this->_settings;
        }

        public function getFieldList()
        {
            $ret = new Profile_Field_FieldList();

            foreach ($this->_settings as $setting) {
                $ret->add($setting->getFieldListField());
            }

            return $ret;
        }
    }
?>