<?php
    class Application_Upgrader_Channel
    {
        const LOCAL = 'local';

        protected static $_internalChannels = array('alpha', 'beta', 'stable');

        protected $_endpoint;

        public function __construct($endpoint)
        {
            $this->_endpoint = $endpoint;
        }

        public function getName()
        {
            return $this->_endpoint;
        }

        public static function GetLocalChannel()
        {
            return new self(self::LOCAL);
        }

        public function isLocal()
        {
            return $this->_endpoint == self::LOCAL;
        }

        public function isSameEndpoint(self $channel)
        {
            if (in_array($this->getName(), self::$_internalChannels)) {
                return in_array($channel->getName(), self::$_internalChannels);
            }

            return $this->getName() == $channel->getName();
        }

        public function isThirdParty()
        {
            if ($this->isLocal()) {
                return false;
            }

            return !in_array($this->getName(), self::$_internalChannels);
        }
    }
?>