<?php
    abstract class Application_Upgrader_Package_Task
    {
        protected $_params = array();

        public function __construct()
        {

        }

        public function setParams($params)
        {
            $this->_params = $params;
            return $this;
        }

        public function getParam($name)
        {
            if (!array_key_exists($name, $this->_params)) {
                throw new Exception('Parameter not found');
            }

            return $this->_params[$name];
        }

        abstract public function runInstall($version);
        abstract public function runUpgrade($oldVersion, $newVersion);
        abstract public function __toString();

        public static function FromXml($xml)
        {
            $name   = (string) $xml['name'];
            $params = array();

            foreach ($xml->param as $param) {
                $k = (string) $param['name'];
                $params[$k] = (string) $param;
            }

            switch ($name) {
                case 'module:dbdeploy':
                    $ret = new Application_Upgrader_Package_Task_ModuleDbDeploy();
                    $ret->setParams($params);
                    return $ret;

                case 'module:settingsdeploy':
                    $ret = new Application_Upgrader_Package_Task_ModuleSettingsDeploy();
                    $ret->setParams($params);
                    return $ret;

                case 'script':
                    $ret = new Application_Upgrader_Package_Task_Script();
                    $ret->setParams($params);
                    return $ret;
            }

            throw new Exception('Invalid task');
        }
    }
?>