<?php
    class Application_Upgrader_Package_Task_Script extends Application_Upgrader_Package_Task
    {
        public function __toString()
        {
            return 'Run a custom script';
        }

        public function runUpgrade($oldVersion, $newVersion)
        {
            $obj = $this->_getObj();
            $obj->upgrade($oldVersion, $newVersion);
        }

        public function runInstall($version)
        {
            $obj = $this->_getObj();
            $obj->install($version);
        }

        private function _getObj()
        {
            $class = $this->getParam('class');

            Application_Loader::Load($class);

            $reflection = new ReflectionClass($class);

            $interface = 'Application_Upgrader_Package_Script_Interface';
            if (!$reflection->implementsInterface($interface)) {
                throw new Exception('Script does not implement interface ' . $interface);
            }

            return $reflection->newInstance();
        }
    }
?>