<?php
    class Application_User_Bulk
    {
        private function __construct()
        { }

        public static function Delete(Application_User_Bulk_Options $options)
        {
            $db = Application::GetDb();
            $clientId = getClientId();

            // @todo support bulk cp user deletion
            $cp = false;//$options->targetIsCp();
            $directory = $options->getTargetDirectory();

            $report = array(
                'deleted'  => array()
            );

            if ($options->isAll()) {
                $userIds = array();
            }
            else {
                $userIds = $options->getUserIds();

                if (count($userIds) > 0) {
                    $query = sprintf('select user_id, username from %s where directory_id = %d and user_id in (%s)', Application_User::$table, $directory->getId(), $db->quote($userIds));
                    $result = $db->query($query);

                    while ($row = $result->fetch()) {
                        $report['deleted'][$row->user_id] = array(
                            'username' => $row->username
                        );
                    }

                    $userIds = array_keys($report['deleted']);
                }
            }

            $event = new Application_Event('/module/users/user/bulkdeletebegin');
            $event->set('all', $options->isAll())
                  ->set('users', $userIds);

            if ($cp) {
                $event->set('cp', true);
            }
            else {
                $event->set('directory', $directory);
            }

            $event->trigger();

            if ($options->isAll()) {
                $queries = array(
                    sprintf(
                        'delete from %s_profile where user_id in (select user_id from %s where directory_id = %d)',
                        Application_User::$table,
                        Application_User::$table,
                        $directory->getId()
                    ),
                    sprintf(
                        'delete from %s where user_id in (select user_id from %s where directory_id = %d)',
                        Application_User::$rolesTable,
                        Application_User::$table,
                        $directory->getId()
                    ),
                    sprintf(
                        'delete from %s where directory_id = %d',
                        Application_User::$table,
                        $directory->getId()
                    )
                );
            }
            else {
                $list = $db->quote($userIds);

                $queries = array();

                if (count($userIds) > 0) {
                    $queries[] = sprintf(
                        'delete from %s_profile where user_id in (%s)',
                        Application_User::$table,
                        $list
                    );

                    $queries[] = sprintf(
                        'delete from %s where user_id in (%s)',
                        Application_User::$rolesTable,
                        $list
                    );

                    $queries[] = sprintf(
                        'delete from %s where user_id in (%s)',
                        Application_User::$table,
                        $list
                    );
                }
            }

            $db->begin();

            foreach ($queries as $query) {
                $db->query($query);
            }

            $event = new Application_Event('/module/users/user/bulkdeletecommit');
            $event->set('all', $options->isAll())
                  ->set('users', $userIds);

            if ($cp) {
                $event->set('cp', true);
            }
            else {
                $event->set('directory', $directory);
            }

            $event->trigger();

            $db->commit();

            return $report;
        }
    }
?>
