<?php
    class Application_User_Bulk_Options
    {
        protected $_directory;
        protected $_isCp;
        protected $_all = false;
        protected $_userIds = array();

        public function __construct()
        {

        }

        public function setTargetDirectory(Application_User_Directory $directory)
        {
            $this->_directory = $directory;
            return $this;
        }

        public function getTargetDirectory()
        {
            if (!$this->_directory instanceof Application_User_Directory) {
                throw new Exception('Target user directory not set');
            }

            return $this->_directory;
        }

        public function setTargetIsCp($flag = true)
        {
            $this->_isCp = (bool) $flag;
            return $this;
        }

        public function targetIsCp()
        {
            return $this->_isCp;
        }

        public function setUserIds($ids)
        {
            $this->_userIds = ArrayTools::Clean($ids, true);
            return $this;
        }

        public function getUserIds()
        {
            return $this->_userIds;
        }

        public function enableAll()
        {
            $this->_all = true;
            return $this;
        }

        public function isAll()
        {
            return $this->_all;
        }
    }
?>
