<?php
    class Application_User_Permissions_Exception extends Exception
    {
        protected $_perms = array();

        public function __construct($msg = null)
        {
            if (is_array($msg)) {
                foreach ($msg as $perm) {
                    $this->addPerm($perm);
                }
            }
            else {
                $this->addPerm($msg);
            }

            if (count($this->_perms) == 1) {
                if ($this->_perms[0] instanceof Application_User_Permissions_Query_Item) {
                    $msg = sprintf('%s failed', $this->_perms[0]);
                }
            }
            else {
                $msg = sprintf('%d failed permissions', count($this->_perms));
            }

            parent::__construct((string) $msg, 403);
        }

        public function addPerm($perm)
        {
            if (is_array($perm)) {
                foreach ($perm as $p) {
                    $this->addPerm($p);
                }
            }
            else {
                $this->_perms[] = $perm;
            }
        }

        public function getPerms()
        {
            return $this->_perms;
        }
    }
?>