<?php
    class Application_User_Role_Editor extends FormProcessor
    {
        public $directory;
        public $obj;

        public $client;
        public $clients;
        public $roles;

        public function __construct(Application_User_Directory $directory, $role_id)
        {
            $this->directory = $directory;
            $this->client = $this->directory->getClient();

            $this->obj = new Application_User_Role();

            if ($this->obj->loadForDirectory($this->directory->getId(), $role_id)) {
                $this->parent_id = $this->obj->parent_id;
                $this->title     = $this->obj->title;
                $this->client_id = $this->obj->client_id;
            }
            else {
                $this->obj->directory_id = $this->directory->getId();
                $this->obj->client_id    = $this->client->getId();
            }

            if ($this->client->saved())
                $this->clients = array($this->client->getId() => $this->client);
            else
                $this->clients = Application_Client::GetClients();

            $options = array(
                'directory_ids' => $this->directory->getId(),
                'load_clients'  => true
            );

            $this->roles = Application_User_Role::GetRoles($options);
        }

        public function process(Zend_Controller_Request_Abstract $request)
        {
            $this->client_id = (int) $request->getPost('client_id');
            $this->parent_id = (int) $request->getPost('parent_id');
            $this->title     = Text::sanitize($request->getPost('title'));

            if (!$this->obj->saved()) {
                if (!$this->directory->saved()) {
                    if (array_key_exists($this->client_id, $this->clients))
                        $this->obj->set('client_id', $this->client_id);
                }

                if (array_key_exists($this->parent_id, $this->roles)) {
                    $role = $this->roles[$this->parent_id];
                    if ($role->client_id == $this->obj->get('client_id'))
                        $this->obj->set('parent_id', $this->parent_id);
                    else
                        $this->addError('parent_id', 'Select a role from the right client');
                }
            }

            if (strlen($this->title) == 0)
                $this->addError('title', 'Please enter a title');
            else
                $this->obj->set('title', $this->title);

            if (!$this->hasError())
                $this->obj->save();

            return !$this->hasError();
        }
    }
?>
