<?php
    class Application_User_Role_NestedTree extends NestedTree_Abstract
    {
        protected static $_instances = array();

        protected static $_directoryId = null;

        public static function GetInstance($directoryId = null)
        {
            $directoryId = max(0, (int) $directoryId);

            if (!array_key_exists($directoryId, self::$_instances)) {
                $db = Application::GetDb();

                self::$_instances[$directoryId] = new self($db);

                if ($directoryId <= 0) {
                    self::$_instances[$directoryId]->addFilter('directory_id is null');
                }
                else {
                    self::$_instances[$directoryId]->addFilter($db->quoteInto('directory_id = ?', $directoryId));
                }
            }

            return self::$_instances[$directoryId];
        }

        public function getTable()
        {
            return Application_User_Role::$table;
        }

        public function getTreeName()
        {
            return 'user';
        }

        public function getIdColumn()
        {
            return 'role_id';
        }

        public function getParentColumn()
        {
            return 'parent_id';
        }

        public function getPathColumn()
        {
            return 'title';
        }

        public function getTitleColumn()
        {
            return 'title';
        }

        public function canChangeParent()
        {
            return true;
        }

        public function canChangeOrder()
        {
            return false;
        }
    }
?>
