<?php
    class Application_View_Cp extends Application_View
    {
        protected $_module;
        protected $_widget;
        protected $_form;
        protected $_legacyMode = false;

        public function __construct($options = array())
        {
            $options['trimOutput'] = false;

            parent::__construct($options);

            self::loadResource($this->_engine, 'module');
            self::loadResource($this->_engine, 'widget');

            $this->_engine->compile_dir .= '/cp';
            $this->initCompileDir();

            $this->APPLICATION_VERSION = Application::version();
            $this->THEME = Application_Cp_Theme_Manager::GetActiveTheme();

            $agent = $_SERVER['HTTP_USER_AGENT'];
            $browser = array();
            $browser['windows'] = preg_match('/windows/i', $agent);
            $browser['mac']     = !$browser['windows'] && preg_match('/mac/i', $agent);

            $this->BROWSER = $browser;

            $this->resetContainerId();
        }

        public function resetContainerId()
        {
            $this->CONTAINER_ID = HTML_Element::GenerateId();
        }

        public function enableLegacyMode()
        {
            $this->_legacyMode = true;
            return $this;
        }

        public function getPluginDirs()
        {
            $dirs = parent::getPluginDirs();

            if ($this->_legacyMode) {
                $dirs[] = '../Application/View/Plugins/Cp/Legacy';
            }
            else {
                $dirs[] = '../Application/View/Plugins/Cp';
            }

            foreach (Application_Module_Manager::GetModules() as $module) {
                $path = sprintf('%s/include/View/Plugins', $module->getPath());

                if (file_exists($path) && is_dir($path)) {
                    $dirs[] = $path;
                }
            }

            return $dirs;
        }

        public function getTemplateDir()
        {
            return Application::getBaseDir() . '/application/cp/templates';
        }

        public function setModule($module)
        {
            $this->_module = $module;
            $this->module  = $module;
        }

        public function getModule()
        {
            if (!$this->_module instanceof Application_Module_Interface) {
                throw new Application_Module_Exception('Module not set in view');
            }

            return $this->_module;
        }

        public function setWidget($rule)
        {
            $this->_widget = $rule;
        }

        public function getWidget()
        {
            try {
                return Widget::factory($this->_widget);
            }
            catch (Exception $ex) {
            }

            return null;
        }

        public function templateExists($tpl)
        {
            if (parent::templateExists($tpl))
                return true;

            $null = null;

            return self::__getDefaultTemplate('', $tpl, $null, $null, $this);
        }

        protected function _runLastMinuteSetup()
        {
            if ($this->_isSetup) {
                return;
            }

            parent::_runLastMinuteSetup();

            try {
                $this->IN_MAINTENANCE = Application_SystemStatus::ItemInMaintenanceMode(Application::GetClient());
            }
            catch (Exception $ex) {
                $this->IN_MAINTENANCE = false;
            }
        }
    }
?>
