<?php
    function smarty_function_profile_input($params, &$smarty)
    {
        $params['name'] = coalesce($params['name']);
        if (!coalesce($params['preserve'], false)) {
            $params['name'] = Profile_Field::getFormKey($params['name']);
        }

        $field = coalesce($params['field']);

        if ($field instanceof Profile_Field_FieldList_Field) {
            if (strlen($params['name']) == 0) {
                $params['name'] = $field->getName();
            }

            $field = $field->getType();
        }

        if (!$field instanceof Profile_Field) {
            try {
                $field = Profile_Field::factory($params['field']);
            }
            catch (Exception $ex) { }
        }

        if (!$field instanceof Profile_Field && array_key_exists('type', $params)) {
            $field = Profile_Field::factory($params['type']);
        }

        if (!$field instanceof Profile_Field) {
            return;
        }

        foreach ($params as $k => $v) {
            if (preg_match('/^param_(.*)$/', $k, $matches)) {
                $field->setParam($matches[1], $v);
            }
        }

        if (array_key_exists('value', $params)) {
            $field->set($params['value']);
        }

        if (coalesce($params['bulk'])) {
            $ret = $field->getBulkInputTemplate($params['name']);
        }
        else {
            $ret = $field->getInputTemplate($params['name']);
        }

        $assign = coalesce($params['assign']);
        if (strlen($assign) > 0)
            $smarty->assign($assign, $ret);
        else
            return $ret;
    }
?>