<?php
    function smarty_function_request_profile($params, &$smarty)
    {
        $db = Zend_Registry::get('db');
        $profiler = $db->getProfiler();

        if (!$profiler->getEnabled())
            return;

        $totalTime    = $profiler->getTotalElapsedSecs();
        $queryCount   = $profiler->getTotalNumQueries();
        $longestTime  = 0;
        $longestQuery = null;

        $queries = $profiler->getQueryProfiles(Zend_Db_Profiler::SELECT);

        if (!is_array($queries))
            return;

        foreach ($queries as $query) {
            if ($query->getElapsedSecs() > $longestTime) {
                $longestTime  = $query->getElapsedSecs();
                $longestQuery = $query->getQuery();
            }
        }

        echo sprintf("<!--\n");
        echo sprintf("Request Profile:\n");
        echo sprintf("Executed %d queries in %01.6lf seconds\n", $queryCount, $totalTime);
        echo sprintf("Average query length: %01.6lf seconds\n", $totalTime / $queryCount);
        echo sprintf("Longest query length: %01.6lf seconds\n", $longestTime);
        echo sprintf("Longest query: %s\n", $longestQuery);
        echo sprintf("-->\n");
    }
?>
