<?php
    function smarty_block_form($params, $content, $smarty, $open)
    {
        $hideGlobalError = (bool) coalesce($params['hideGlobalError'], false);

        $block = array(
            'open'    => (bool) $open,
            'content' => $content,
            'method'  => coalesce($params['method'], 'post'),
            'action'  => coalesce($params['action']),
            'enctype' => coalesce($params['enctype']),
            'submit'  => coalesce($params['submit']),
            'cancel'  => (bool) coalesce($params['cancel'], true),
            'name'    => coalesce($params['name']),
            'global_error' => !$hideGlobalError,
            'id'      => coalesce($params['id']),
            'class'   => coalesce($params['class'])
        );

        $smarty->assign('block', $block);

        $tpl = coalesce($params['field_template']);

        if ($open && strlen($tpl) > 0) {
            Application_View_Plugins_Cp_Form::SetFieldTemplate($tpl);
        }
        else {
            Application_View_Plugins_Cp_Form::ResetFieldTemplate();
        }

        $ret = $smarty->display('plugins/form/form.tpl');

        return $ret;
    }
?>
