<?php
    function smarty_function_breadcrumbs($params, $smarty)
    {
        if (isset($params['trail']) && is_array($params['trail']))
            $trail = &$params['trail'];
        else
            $trail = $smarty->get_template_vars('breadcrumbs');

        if (isset($params['separator']))
            $separator = $params['separator'];
        else
            $separator = ' &gt; ';

        $length = (int) $params['length'];

        $linkLast = isset($params['linkLast']) ? (bool) $params['linkLast'] : false;
        $noLinks = isset($params['noLinks']) ? (bool) $params['noLinks'] : false;

        $from = (int) $params['from'];
        $from = max(0, $from);

        $links = array();

        $trailSize = count($trail);
        for ($i = $from; $i < $trailSize; $i++) {
            if ($length > 0) {
                require_once $smarty->_get_plugin_filepath('modifier', 'truncate');
                $title = smarty_modifier_truncate($trail[$i]['title'], $length);
            }
            else
                $title = $trail[$i]['title'];

            if (!$noLinks && (isset($trail[$i]['link']) && ($i < $trailSize - 1 || $linkLast)))
                $links[] = '<a href="' . $trail[$i]['link'] . '" title="' . htmlSpecialChars($trail[$i]['title']) . '">' . htmlSpecialChars($title) . '</a>';
            else
                $links[] = $title;
        }

        return join($separator, $links);
    }
?>
