<?php
    function smarty_function_fieldlist_manager($params, $smarty)
    {
        $defaults = array(
            'name'                => '',
            'showProtectedOptions' => false
        );

        $params = ArrayTools::buildOptions($params, $defaults);
        $fieldList = coalesce($params['fieldlist']);

        if (!$fieldList instanceof Profile_Field_FieldList) {
            $fieldList = new Profile_Field_FieldList();
        }

        $container = new HTML_Element('div');

        $options = array(
            'name'                 => $params['name'],
            'showProtectedOptions' => $params['showProtectedOptions'],
            'fields'               => $fieldList->toArray()
        );

        $js = sprintf('jQuery(\'#%s\').reciteFieldList(%s);', $container->getUniqueId(), Zend_Json::encode($options));

        $script = new HTML_Element('script', array('type' => 'text/javascript'));
        $script->insert($js);

        return (string) $container . ' ' . $script;
    }
?>
