<?php
    function smarty_function_geturl($params, $smarty)
    {
        $module     = coalesce($params['module']);
        $action     = coalesce($params['action']);
        $controller = coalesce($params['controller']);
        $route      = coalesce($params['route']);
        $target     = coalesce($params['target']);
        $assign     = coalesce($params['assign']);

        if (strlen($target) > 0) {
            list($module, $controller, $action) = explode(':', $target, 3);

            if (strlen($module) == 0) {
                $module = null;
            }

            if (strlen($controller) == 0) {
                $controller = null;
            }

            if (strlen($action) == 0) {
                $action = null;
            }
        }

        $helper = Zend_Controller_Action_HelperBroker::getStaticHelper('url');

        if (strlen($route) > 0) {
            unset($params['route']);
            unset($params['assign']);
            foreach ($params as $k => $v) {
                if (strlen($v) == 0) {
                    unset($params[$k]);
                }
            }
        }
        else {
            $params = array(
                'module'     => $module,
                'controller' => $controller,
                'action'     => $action
            );
            $route = 'default';
        }

        $url = $helper->url($params, $route);

        if (strlen($assign) > 0) {
            $smarty->assign($assign, $url);
        }
        else {
            return $url;
        }
    }
?>