<?php
    function smarty_resource_clienttemplate_load_tpl($tpl_name, &$smarty)
    {
        if (!array_key_exists($tpl_name, $smarty->loadedTemplates)) {
            $cacheId = md5($tpl_name);
            $cache   = Application_Cache::GetCache('templates');

            $data = $cache->load($cacheId);

            if (!$data) {
                try {
                    if (preg_match('/^\d+$/', $tpl_name)) {
                        $template = DatabaseObject_Registry::Load('Module_Templates_Template', $tpl_name);
                    }
                    else {
                        $template = new Module_Templates_Template();
                        $template->loadRecordByTplPath($tpl_name);
                    }
                }
                catch (Exception $ex) {
                    $template = new Module_Templates_Template();
                }

                if (!$template->saved()) {
                    $smarty->loadedTemplates[$tpl_name] = null;
                    return false;
                }

                $data = array(
                    'tag' => $template->getCacheTag(),
                    'tpl' => $template->getDefaultTemplateData(),
                    'ts'  => $template->ts_updated
                );

                $cache->save($data, $cacheId, array($template->getCacheTag()));
            }

            $cacheOptions = new Application_Cache_Options();
            $cacheOptions->addTag($data['tag'])
                         ->addTag('templates');
            Module_Pages_ClientRenderer_Cache::AddOptions($cacheOptions);

            $smarty->loadedTemplates[$tpl_name] = $data;
        }

        return is_array($smarty->loadedTemplates[$tpl_name]);
    }

    function smarty_resource_clienttemplate_source($tpl_name, &$tpl_source, &$smarty)
    {
        if (smarty_resource_clienttemplate_load_tpl($tpl_name, $smarty)) {
            $tpl_source = $smarty->loadedTemplates[$tpl_name]['tpl'];
            return true;
        }

        return false;
    }

    function smarty_resource_clienttemplate_timestamp($tpl_name, &$tpl_timestamp, &$smarty)
    {
        if (smarty_resource_clienttemplate_load_tpl($tpl_name, $smarty)) {
            $tpl_timestamp = $smarty->loadedTemplates[$tpl_name]['ts'];
            return true;
        }
        return false;
    }

    function smarty_resource_clienttemplate_secure($tpl_name, &$smarty)
    {
        return true;
    }

    function smarty_resource_clienttemplate_trusted($tpl_name, &$smarty)
    {
        // null
    }

    function smarty_resource_create_template($resource_type, $resource_name, &$template_source, &$template_timestamp, &$smarty)
    {
        //$template_source = 'Error loading template (' . $resource_name . ')';
        $template_source = '';
        $template_timestamp = time();
        return true;
    }
?>