<?php
    function smarty_resource_module_get_fullpath($tpl_name, &$smarty)
    {
        $parts = ArrayTools::clean(explode(':', $tpl_name));

        try {
            $module = $smarty->view->getModule();
        }
        catch (Exception $ex) {
            $module = null;
        }

        if (count($parts) > 1) {
            try {
                $module = Application_Module_Manager::Factory(array_shift($parts));
            }
            catch (Exception $ex)
            { }
        }

        $path = $module->getPath() . '/templates/';

        $tpl_name = array_shift($parts);

        return $path . $tpl_name;
    }

    function smarty_resource_module_source($tpl_name, &$tpl_source, &$smarty)
    {
        $path = smarty_resource_module_get_fullpath($tpl_name, $smarty);

        if (file_exists($path)) {
            $tpl_source = $smarty->_read_file($path);
            return true;
        }
        return false;
    }

    function smarty_resource_module_timestamp($tpl_name, &$tpl_timestamp, &$smarty)
    {
        $path = smarty_resource_module_get_fullpath($tpl_name, $smarty);

        if (file_exists($path)) {
            $tpl_timestamp = filemtime($path);
            return true;
        }
        return false;
    }

    function smarty_resource_module_secure($tpl_name, &$smarty)
    {
        return true;
    }

    function smarty_resource_module_trusted($tpl_name, &$smarty)
    {
        // null
    }
?>