<?php
    class Calendar
    {
        var $months = array();
        var $monthClass = 'CalendarMonth';

        public function __construct($parms = array())
        {
            $this->__initRange(coalesce($parms['start']), coalesce($parms['end']));
        }

        function __initRange($start, $end)
        {
            $start = is_null($start) ? time() : strtotime($start);
            $end = is_null($end) ? $start : strtotime($end);

            if ($start > $end) {
                $tmp = $start;
                $start = $end;
                $end = $tmp;
            }

            $this->tsStart = mktime(0, 0, 0, date('m', $start), 1, date('Y', $start));
            $this->tsEnd = mktime(0, 0, 0, date('m', $end) + 1, 1, date('Y', $end)) - 1;

            $m = date('m', $this->tsStart) - 1;
            $y = date('Y', $this->tsStart);
            $lastM = date('m', $this->tsEnd) - 1;
            $lastY = date('Y', $this->tsEnd);

            $monthClass = $this->monthClass;

            $tmpStart = sprintf('%04d%02d', $y, $m);
            $tmpEnd = sprintf('%04d%02d', $lastY, $lastM);

            while ($tmpStart <= $tmpEnd) {
                $ts = mktime(0, 0, 0, $m + 1, 1, $y);
                $this->months[$ts] = new $monthClass($ts);

                $m = ($m + 1) % 12;
                if ($m == 0)
                    $y++;

                $tmpStart = sprintf('%04d%02d', $y, $m);
            }
/*
            while ($m <= $lastM || $y <= $lastY) {
                $ts = mktime(0, 0, 0, $m + 1, 1, $y);
                $this->months[$ts] = new $monthClass($ts);
                $m = ($m + 1) % 12;
                if ($m == 0)
                    $y++;
            }
*/
        }

        function getMonthId($ts)
        {
            return Calendar_Tools::GetStartOfMonth($ts);
        }

        function loadData()
        {
            // user-defined function
        }
    }
?>