<?php
    define('CALENDAR_SUN', 0);
    define('CALENDAR_MON', 1);
    define('CALENDAR_TUE', 2);
    define('CALENDAR_WED', 3);
    define('CALENDAR_THU', 4);
    define('CALENDAR_FRI', 5);
    define('CALENDAR_SAT', 6);

    class Calendar_Month
    {
        var $_firstDay = CALENDAR_SUN;

        var $days = array(CALENDAR_SUN => 'Sunday',
                          CALENDAR_MON => 'Monday',
                          CALENDAR_TUE => 'Tuesday',
                          CALENDAR_WED => 'Wednesday',
                          CALENDAR_THU => 'Thursday',
                          CALENDAR_FRI => 'Friday',
                          CALENDAR_SAT => 'Saturday');

        public function __construct($ts)
        {
            $this->ts = TimeUtils::GetStartOfMonth($ts);
            $this->ts += 43200; // use midday so daylight savings doesn't break anything
            $this->__buildLabels();
            $this->__buildWeeks();
        }

        function __buildWeeks()
        {
            $this->weeks = array();
            $this->weekPtrs = array();

            $firstDay = date('w', $this->ts);

            // work out how many days are in the first week before the month starts
            $padStart = ($firstDay - $this->_firstDay + 7) % 7;

            $daysInMonth = date('t', $this->ts);
            $start = -$padStart;

            $totalDays = $padStart + $daysInMonth;
            $padEnd = (7 - ($totalDays % 7)) % 7;
            $totalDays += $padEnd;

            $weekPtr = 0;
            for ($i = 0; $i < $totalDays; $i++) {
                $_ts = TimeUtils::GetStartOfDay($this->ts + SECONDS_IN_DAY * ($i - $padStart));
                $this->weeks[$weekPtr][$_ts] = $this->getDay($_ts);
                $this->weekPtrs[$_ts] = $weekPtr;

                if (count($this->weeks[$weekPtr]) >= 7)
                    $weekPtr++;
            }
        }

        function getDay($ts)
        {
            $day = new stdClass;
            $day->ts = $ts;
            $day->day = date('j', $ts);
            $day->isToday = date('Y-m-d', $ts) == date('Y-m-d');
            $day->isThisMonth = date('m', $ts) == date('m', $this->ts);
            $day->formatted = date('r', $ts);
            $day->tsStr = date('Y-m-d', $ts);
            return $day;
        }

        function __buildLabels()
        {
            $this->labels = array();
            for ($i = 0; $i < 7; $i++) {
                $key = ($this->_firstDay + $i) % 7;
                $this->labels[] = $this->days[$key];
            }
        }

        function getWeekId($ts)
        {
            $ts = TimeUtils::GetStartOfDay($ts);
            return $this->weekPtrs[$ts];
        }
    }
?>