<?php
    class DataRenderer_Option
    {
        protected $_name;
        protected $_val;
        protected $_default;
        protected $_force;
        protected $_multiple;
        protected $_valueSet = false;

        protected $_values = array();

        public function __construct($name)
        {
            $this->_name = $name;
        }

        public function setDefault($val)
        {
            $this->_default = $val;

            if (!$this->_valueSet)
                $this->_val = $this->_default;

            return $this;
        }

        public function force($val)
        {
            $this->_force = $val;
        }

        public function multiple($flag = true)
        {
            $this->_multiple = (bool) $flag;
        }

        public function getName()
        {
            return $this->_name;
        }

        public function process(Zend_Controller_Request_Http $request)
        {
            if (!is_null($this->_force)) {
                $this->set($this->_force);
                return;
            }

            $value = $request->getParam($this->_name);

            if ($this->_multiple) {
                if (!is_array($value))
                    $value = array($value);
            }

            $this->set($value);
        }

        public function set($val)
        {
            if (is_null($val))
                return;

            $this->_val = $val;
            $this->_valueSet = true;
        }

        public function get()
        {
            return $this->_val;
        }

        public function setValues(array $values)
        {
            $this->_values = array();
            $this->addValues($values);

            return $this;
        }

        public function addValues(array $values)
        {
            foreach ($values as $k => $v) {
                $this->addValue($k, $v);
            }

            return $this;
        }

        public function addValue($key, $val)
        {
            $this->_values[$key] = $val;

            return $this;
        }

        public function getValues()
        {
            return $this->_values;
        }
    }
?>