<?php
    class DataRenderer_Pager
    {
        protected $_pager = array(
            'total'     => 0,
            'offset'    => 0,
            'pages'     => 1,
            'page'      => 1,
            'limit'     => 0,
            'start'     => 1,
            'finish'    => 1,
            'pageLen'   => 0,
        );

        protected $_url;

        public static function Build($total, $limit, $page)
        {
            $ret = new self();
            $ret->init($total, $limit, $page);

            return $ret;
        }

        public function init($total, $limit, $page)
        {
            $this->_pager['total'] = (int) $total;
            $this->_pager['limit'] = max(0, (int) $limit);
            $this->_pager['pages'] = $this->_pager['limit'] == 0 ? 1 : ceil($this->_pager['total'] / $this->_pager['limit']);

            $this->_pager['page']   = max(1, min($this->_pager['pages'], (int) $page));
            $this->_pager['offset'] = ($this->_pager['page'] - 1) * $this->_pager['limit'];

            $this->_pager['start']  = $this->_pager['offset'] + 1;
            $this->_pager['finish'] = $this->_pager['limit'] == 0 ? $this->_pager['total'] : min($this->_pager['offset'] + $this->_pager['limit'], $this->_pager['total']);

            if ($this->_pager['limit'] == 0) {
                $len = $this->_pager['total'];
            }
            else if ($this->_pager['pages'] == 0) {
                $len = 0;
            }
            else if ($this->_pager['page'] == $this->_pager['pages']) {
                // last page
                $len = $this->_pager['limit'] == 0 ? 0 : $this->_pager['total'] % $this->_pager['limit'];

                if ($len == 0 && $this->_pager['total'] > 0) {
                    $len = $this->_pager['limit'];
                }
            }
            else {
                $len = $this->_pager['limit'];
            }

            $this->_pager['pageLen'] = $len;
            $this->_pager['pages'] = max(1, (int) $this->_pager['pages']);
        }

        public function __get($key)
        {
            return array_key_exists($key, $this->_pager) ? $this->_pager[$key] : null;
        }

        public function getArray()
        {
            return $this->_pager;
        }

        public function setUrl($url)
        {
            $this->_url = $url;
        }

        public function getUrl()
        {
            return $this->_url;
        }
    }
?>