<?php
    interface Db_Statement_Manager_Interface
    {
        public function tableCreate(Db_Schema_Table_Abstract $table);

        public function fieldCreate(Db_Schema_Table_Abstract $table, Db_Schema_Table_Field $field);

        public function fieldDrop($table, $fieldName);

        public function fieldMakeNotNullable($table, Db_Schema_Table_Field $field);

        public function fieldMakeNullable($table, Db_Schema_Table_Field $field);

        public function getFieldTypeName($type, $pk = false, $fk = false);

        public function getFieldTypeNameForComparison($type, $pk = false, $fk = false);

        public function assertFieldIsCorrect(Db_Schema_Table_Field $field, $description);

        public function tablePkRebuild(Db_Schema_Table_Abstract $table);

        public function tablePkCreate(Db_Schema_Table_Abstract $table);

        public function tablePkDrop(Db_Schema_Table_Abstract $table);

        /**
         * This must return an array, with each element referring to a single index.
         * This may include primary key indexes. Each element must be an array in
         * the format:
         * array(
         *      'name' => 'name_of_index',
         *      'columns' => array('col1', 'col2')
         * )
         */
        public function tableGetIndexes($table);

        public function indexCreate(Db_Schema_Table_Abstract $table, $column);

        public function tableDrop($table);
    }
?>