<?php
    class File_CSV_Row
    {
        protected $_values = array();

        public function __construct()
        { }

        public function add($column, $value)
        {
            if (!array_key_exists($column, $this->_values)) {
                $this->_values[$column] = array();
            }

            if (!is_array($value)) {
                $value = array($value);
            }

            $value = array_filter($value);

            foreach ($value as $v) {
                $this->_values[$column][] = $v;
            }

            return $this;
        }

        public function has($key)
        {
            return array_key_exists($key, $this->_values);
        }

        public function get($key, $default = null)
        {
            if ($this->has($key)) {
                return $this->_values[$key];
            }

            return $default;
        }

        public function getKeys()
        {
            return array_keys($this->_values);
        }
    }
?>
