<?php
    class File_DirectoryListing
    {
        var $dir;

        var $files;
        var $numFiles;
        var $filePtr;

        var $dirs;
        var $numDirs;
        var $dirPtr;

        function __construct($dir, $includeHidden = true)
        {
            $this->dir = realpath($dir);

            $this->files = array();
            $this->numFiles = 0;
            $this->filePtr = 0;

            $this->includeHidden = $includeHidden;

            $this->dirs = array();
            $this->numDirs = 0;
            $this->dirPtr = 0;

            $this->run();
        }

        function run()
        {
            $dp = @opendir($this->dir);
            if ($dp === false) {
                throw new Exception('Unable to open directory: ' . $this->dir);
            }

            while ($file = readdir($dp)) {
                if ($file == '.' || $file == '..') {
                    continue;
                }

                if (!$this->includeHidden && $file{0} == '.') {
                    continue;
                }

                if (is_dir($this->dir . '/' . $file)) {
                    $this->dirs[] = $file;
                }
                else {
                    $this->files[] = $file;
                }
            }
            $this->numFiles = count($this->files);
            $this->numDirs = count($this->dirs);

            closedir($dp);

            return true;
        }

        function nextFile()
        {
            if (isset($this->files[$this->filePtr])) {
                return $this->files[$this->filePtr++];
            }

            return false;
        }

        function resetFile()
        {
            $this->filePtr = 0;
        }

        function nextDir()
        {
            if (isset($this->dirs[$this->dirPtr])) {
                return $this->dirs[$this->dirPtr++];
            }

            return false;
        }

        function resetDir()
        {
            $this->dirPtr = 0;
        }
    }
?>
