<?php
    abstract class File_Type_Image extends File_Type
    {
        protected $_imageInfo;

        public function __construct($fullpath = null, $filename = null)
        {
            parent::__construct($fullpath, $filename);
        }

        public function isImage()
        {
            return true;
        }

        public function getImageInfo()
        {
            if (is_null($this->_imageInfo)) {
                if (strlen($this->_fullpath) > 0) {
                    $this->_imageInfo = getImageSize($this->_fullpath);
                }
                else {
                    $this->_imageInfo = array();
                }
            }

            return $this->_imageInfo;
        }

        public function getWidth()
        {
            $info = $this->getImageInfo();
            return coalesce($info[0], 0);
        }

        public function getHeight()
        {
            $info = $this->getImageInfo();
            return coalesce($info[1], 0);
        }
    }
?>