<?php
    abstract class File_Type_Text extends File_Type
    {
        public function isText()
        {
            return true;
        }

        public function getAsText($fullpath)
        {
            if (!file_exists($fullpath) || !is_file($fullpath) || !is_readable($fullpath)) {
                return '';
            }

            return file_get_contents($fullpath);
        }

        public function isReducable()
        {
            return false;
        }

        public function reduceFile($path)
        {
            if (!file_exists($path)) {
                throw new File_Exception('File does not exist');
            }

            if (!is_file($path)) {
                throw new File_Exception('Specified path is not a file');
            }

            if (!is_readable($path)) {
                throw new File_Exception('File is not readable');
            }

            return file_get_contents($path);
        }
    }
?>