<?php
    /**
     * HTML_CSS_Element
     *
     * Used to represent a single entry in a CSS file
     *
     * @author  Quentin Zervaas
     */
    class HTML_CSS_Element
    {
        protected $_selectors = array();
        protected $_values    = array();

        public function __construct()
        {
            $this->addSelectors(func_get_args());
        }

        public function __toString()
        {
            if (count($this->_selectors) == 0 || count($this->_values) == 0)
                return;

            $ret = sprintf("%s {", join(', ', $this->_selectors));

            foreach ($this->_values as $k => $v)
                $ret .= sprintf(' %s: %s;', $k, $v);

            $ret .= " }\n";

            return $ret;
        }

        public function addSelectors($selectors)
        {
            if (is_array($selectors)) {
                foreach ($selectors as $selector)
                    $this->addSelectors($selector);
            }
            else
                $this->_selectors[] = $selectors;
        }

        public function add($k, $v)
        {
            $this->_values[$k] = $v;
            return $this;
        }
    }
?>