<?php
    class Image_Colour_Rgb
    {
        protected $_r;
        protected $_g;
        protected $_b;

        public function __construct($r, $g, $b)
        {
            $this->_r = $r;
            $this->_g = $g;
            $this->_b = $b;
        }

        public function __get($k)
        {
            if ($k == 'r') {
                return $this->_r;
            }
            else if ($k == 'g') {
                return $this->_g;
            }
            else if ($k == 'b') {
                return $this->_b;
            }
        }

        public static function FromString($str)
        {
            if (preg_match('/^#?([a-f0-9]{6})$/i', $str, $matches)) {
                $r = substr($matches[1], 0, 2);
                $g = substr($matches[1], 2, 2);
                $b = substr($matches[1], 4, 2);
            }
            else if (preg_match('/^#?([a-f0-9]{3})$/i', $str, $matches)) {
                $r = substr($matches[1], 0, 1);
                $g = substr($matches[1], 1, 1);
                $b = substr($matches[1], 2, 1);

                $r .= $r;
                $g .= $g;
                $b .= $b;
            }
            else {
                throw new Exception('Invalid hex string');
            }

            return new self(hexdec($r), hexdec($g), hexdec($b));
        }

        public function getHexString()
        {
            return sprintf('%02x%02x%02x', $this->_r, $this->_g, $this->_b);
        }
    }
?>