<?php
    class Image_Mask
    {
        protected $_maskPath;
        protected $_maskColour;
        protected $_colour;


        public function __construct()
        {
        }

        public function setMaskPath($path)
        {
            $this->_maskPath = $path;
            return $this;
        }

        public function setMaskColour(Image_Colour_Rgb $rgb)
        {
            $this->_maskColour = $rgb;
            return $this;
        }

        public function setColour(Image_Colour_Rgb $rgb)
        {
            $this->_colour = $rgb;
            return $this;
        }

        public function getImage()
        {
            $mask = ImageCreateFromPng($this->_maskPath);

            $w = imageSx($mask);
            $h = imageSy($mask);

            $ret = ImageCreateTrueColor($w, $h);
            imagealphablending($ret, true);
            imagesavealpha($ret, true);

            if ($this->_colour->r == 255) {
                $trans = imageColorAllocateAlpha($ret, 0, 255, 255, 127);
            }
            else {
                $trans = imageColorAllocateAlpha($ret, 255, 255, 255, 127);
            }

            imageFill($ret, 0, 0, $trans);

            for ($x = 0; $x < $w; $x++) {
                for ($y = 0; $y < $h; $y++) {
                    $index    = imageColorAt($mask, $x, $y);
                    $maskRgba = imageColorsForIndex($mask, $index);

                    if ($maskRgba['red'] == $this->_maskColour->r && $maskRgba['green'] == $this->_maskColour->g && $maskRgba['blue'] == $this->_maskColour->b) {
                        continue;
                    }

                    $alpha = 127 - ($maskRgba['red'] / 2);

                    $color = imageColorAllocateAlpha($ret, $this->_colour->r, $this->_colour->g, $this->_colour->b, $alpha);
                    imageSetPixel($ret, $x, $y, $color);
                }
            }

            return $ret;
        }
    }
?>