<?php
    class NestedTree_Node_Move_Response
    {
        const ERROR_NO_NODE               = 1;
        const ERROR_NO_PARENT             = 2;
        const ERROR_NO_SIBLING            = 4;
        const ERROR_CANNOT_CHANGE_PARENT  = 8;
        const ERROR_CANNOT_CHANGE_SIBLING = 16;
        const ERROR_OTHER                 = 32;

        protected $_node;

        protected $_needsReload = false;

        public function __construct()
        { }

        public function setNode($node)
        {
            $this->_node = $node;
            return $this;
        }

        public function getNode()
        {
            if (!$this->_node instanceof NestedTree_Node) {
                throw new NestedTree_Exception('Node not set');
            }

            return $this->_node;
        }

        public function setNeedsReload($flag = true)
        {
            $this->_needsReload = (bool) $flag;
            return $this;
        }

        public function needsReload()
        {
            return $this->_needsReload;
        }
    }
?>
