<?php
    class NestedTree_Path_GctdDocumentation extends Module_Templates_Template_Type_Documentation_Element_AssociativeArray
    {
        public function __construct($name = null)
        {
            parent::__construct($name);

            $this->add(new Module_Templates_Template_Type_Documentation_Element_String('separator'))
                 ->setDescription('The character used to separate each element in the path.');

            $fullElement = $this->add(new Module_Templates_Template_Type_Documentation_Element_AssociativeArray('full'));
            $fullElement->setDescription('Holds information about the full path.');

            $fullElement->add(new Module_Templates_Template_Type_Documentation_Element_String('path'))
                        ->setDescription('The full path');

            $fullElement->add(new Module_Templates_Template_Type_Documentation_Element_IndexedArray('parts'))
                        ->setDescription('An array of each part in the path. If you join this array with the separate the result will be the full path.')
                        ->setElement(new Module_Templates_Template_Type_Documentation_Element_String());

            $adjustedElement = $this->add(new Module_Templates_Template_Type_Documentation_Element_AssociativeArray('adjusted'));
            $adjustedElement->setDescription('Holds information about the adjusted path. The adjusted path is the same as the full path except the root category is removed from the path (if applicable).');

            $adjustedElement->add(new Module_Templates_Template_Type_Documentation_Element_String('path'))
                            ->setDescription('The full adjusted path');

            $adjustedElement->add(new Module_Templates_Template_Type_Documentation_Element_IndexedArray('parts'))
                            ->setDescription('An array of each part in the path. If you join this array with the separate the result will be the full path.')
                            ->setElement(new Module_Templates_Template_Type_Documentation_Element_String());
        }
    }
?>