<?php
    interface NestedTree_TreeView_Data_Interface
    {
        /**
         * Get the tree that this class operates on
         * 
         * @return  NestedTree_Abstract $tree
         */
        public function getTree();


        /**
         * Set the root node ID. Only data within this root can be retrieved
         *
         * @param   int|string  $nodeId
         * @return  self
         */
        public function setRootId($nodeId);


        /**
         * Get the root ID
         *
         * @throws  NestedTree_Exception    If the root ID isn't set
         * @return  int|string
         */
        public function getRootId();


        /**
         * Set the node that is having data fetched for it
         *
         * @param   int|string  $nodeId
         * @return  self
         */
        public function setNodeId($nodeId);


        /**
         * Get the node ID
         *
         * @throws  NestedTree_Exception    If the node ID isn't set
         * @return  int|string
         */
        public function getNodeId();


        /**
         * Set the number of levels to return. If not set then this is determined automatically
         *
         * @param   int         $levels     The number of levels to return
         * @return  self
         */
        public function setNumLevels($levels);


        /**
         * Get the number of levels
         *
         * @return  int
         */
        public function getNumLevels();


        /**
         * @return  NestedTree_NodeList
         */
        public function getNodes();


        /**
         * Send the data to the supplied response object
         *
         * @param   Zend_Controller_Response_Abstract   $response
         */
        public function send(Zend_Controller_Response_Abstract $response);
    }
?>
