<?php
    class Profile_Field_FieldList_Indexer
    {
        private function __construct()
        { }

        public static function IndexProfile(Profile_Field_FieldList $fieldlist, Zend_Search_Lucene_Document $doc, Profile $profile)
        {
            foreach ($fieldlist as $field) {

                $key  = $field->getName();
                $type = $field->getType();

                if (!$type->isEmpty($profile->get($key))) {
                    $type->set($profile->get($key));

                    try {
                        $doc->addField($field->getIndexableField($doc));
                    }
                    catch (Exception $ex) {
                    }
                }
            }
        }

        public static function IndexArray(Profile_Field_FieldList $fieldlist, Zend_Search_Lucene_Document $doc, $profile)
        {
            foreach ($fieldlist as $field) {
                $key  = $field->getName();

                if (!array_key_exists($key, $profile)) {
                    continue;
                }

                $type = $field->getType();
                $type->clear();

                if (!$type->isEmpty($profile[$key])) {
                    $type->set($profile[$key]);

                    try {
                        $doc->addField($field->getIndexableField($doc));
                    }
                    catch (Exception $ex) {
                    }
                }
            }
        }
    }
?>
