<?php
    class Profile_Field_FieldList_Sorter_Field
    {
        protected $_name;
        protected $_type;
        protected $_direction = 'asc';

        public function __construct($name, $type = null)
        {
            if ($name instanceof Profile_Field_FieldList_Field) {
                $this->_name = $name->getName();
                $type = $name->getType();
            }
            else {
                $this->_name = $name;
            }

            $this->_type = $type;
        }

        public function __toString()
        {
            return $this->_name;
        }

        public function getName()
        {
            return $this->_name;
        }

        public function desc()
        {
            $this->_direction = 'desc';
            return $this;
        }

        public function asc()
        {
            $this->_direction = 'asc';
            return $this;
        }

        public function isDescending()
        {
            return $this->_direction == 'desc';
        }

        public function isAscending()
        {
            return !$this->isDescending();
        }

        public function getDirection()
        {
            return $this->_direction;
        }

        public function get($db, $name)
        {
            if ($this->_type instanceof Profile_Field) {
                $t = $this->_type;
            }
            else {
                try {
                    $t = Profile_Field::Factory($this->_type);
                }
                catch (Exception $ex) {
                    $t = Profile_Field::Factory('string');
                }
            }

            $type = $t->getDatabaseType();
            $default = $t->getDatabaseDefault();

            $name = sprintf('coalesce(%s, %s)', $db->quoteIdentifier($name), $default);
            $name = Db_Schema_Table_Field::CastToType($name, $type);

            return new Zend_Db_Expr($name . ' ' . $this->_direction);
        }
    }
?>
