<?php
    class Text_Lipsum
    {
        static $words = array(
            'lorem', 'ipsum', 'dolor', 'sit', 'amet',
            'consectetuer', 'adipiscing', 'elit', 'praesent', 'dignissim','morbi', 'feugiat', 'velit', 'a', 'ultrices', 'porta', 'metus',
            'ante', 'rhoncus', 'nisl', 'sed', 'varius', 'lacus', 'turpis', 'ut', 'nibh', 'maecenas', 'volutpat', 'sapien', 'aliquam', 'ac', 'dui',
            'magna', 'luctus', 'molestie', 'non', 'eros', 'convallis', 'sodales', 'mi', 'et', 'odio', 'vestibulum', 'primis', 'in', 'faucibus',
            'orci', 'posuere', 'cubilia', 'curae', 'curabitur', 'eu', 'arcu', 'mauris', 'vel', 'nisi', 'nec', 'purus', 'mattis', 'fusce', 'enim',
            'interdum', 'id', 'bibendum', 'elementum', 'neque', 'cras', 'semper', 'erat', 'donec', 'lectus', 'felis', 'ultricies', 'egestas', 'at',
            'pede', 'proin', 'mollis', 'nulla', 'laoreet', 'pulvinar', 'consequat', 'tortor', 'scelerisque', 'commodo', 'eleifend', 'vitae',
            'lacinia', 'massa', 'vivamus', 'porttitor', 'sollicitudin', 'quis', 'etiam', 'quisque', 'suscipit', 'justo', 'augue', 'pharetra',
            'tempus', 'phasellus', 'sagittis', 'quam', 'duis', 'condimentum', 'integer', 'rutrum', 'vulputate', 'nullam', 'facilisis', 'risus',
            'libero', 'viverra', 'nam', 'eget', 'ligula', 'est', 'nunc', 'pellentesque', 'tellus', 'aliquet', 'urna', 'hendrerit', 'malesuada',
            'tempor', 'sem', 'cursus', 'iaculis', 'nonummy', 'aenean', 'fermentum', 'auctor', 'euismod', 'diam', 'leo', 'pretium', 'accumsan',
            'lobortis', 'dictum', 'vehicula', 'congue', 'tristique', 'tincidunt', 'ullamcorper', 'facilisi', 'placerat', 'venenatis', 'blandit',
            'cum', 'sociis', 'natoque', 'penatibus', 'magnis', 'dis', 'parturient', 'montes', 'nascetur', 'ridiculus', 'mus', 'class', 'aptent',
            'taciti', 'sociosqu', 'ad', 'litora', 'torquent', 'per', 'conubia', 'nostra', 'inceptos', 'hymenaeos', 'suspendisse', 'fringilla',
            'imperdiet', 'potenti', 'dapibus', 'gravida', 'hac', 'habitasse', 'platea', 'dictumst', 'habitant', 'senectus', 'netus', 'fames',
            'ornare'
        );

        public function document($prefix = '', $suffix = '', $separator = "\n\n")
        {
            $numParagraphs = rand(5, 10);

            $arr = array();
            for ($i = 0; $i < $numParagraphs; $i++)
                $arr[] = $prefix . self::paragraph() . $suffix;

            return join($separator, $arr);
        }

        public function paragraph($numSentences = 0)
        {
            if ($numSentences <= 0)
                $numSentences = rand(5, 10);

            $arr = array();
            for ($i = 0; $i < $numSentences; $i++)
                $arr[] = self::sentence();

            return join(' ', $arr);
        }

        public function sentence()
        {
            $numWords = rand(2, 15);
            $words = array();

            $lastIdx = -1;
            do {
                $idx = array_rand(self::$words);
                if ($idx != $lastIdx)
                    $words[] = self::$words[$idx];

                $lastIdx = $idx;
            } while (count($words) < $numWords);

            return ucfirst(trim(join(' ', $words) . '.'));
        }
    }
?>