<?php
    class XML
    {
        public static function prettify($string)
        {
            /**
             * put each element on it's own line
             */
            $string = preg_replace("/>\s*</",">\n<",$string);

            /**
             * each element to own array
             */
            $xmlArray = explode("\n",$string);

            /**
             * holds indentation
             */
            $indent     = 4;
            $currIndent = 0;

            /**
             * set xml element first by shifting of initial element
             */
            $string = array_shift($xmlArray) . "\n";

            foreach($xmlArray as $element) {
                /** find open only tags... add name to stack, and print to string
                 * increment currIndent
                 */

                if (preg_match('/^<([\w])+[^>\/]*>$/U',$element)) {
                    $string .=  str_repeat(' ', $currIndent) . $element . "\n";
                    $currIndent += $indent;
                }

                /**
                 * find standalone closures, decrement currindent, print to string
                 */
                elseif ( preg_match('/^<\/.+>$/',$element)) {
                    $currIndent -= $indent;
                    $string .=  str_repeat(' ', $currIndent) . $element . "\n";
                }
                /**
                 * find open/closed tags on the same line print to string
                 */
                else {
                    $string .=  str_repeat(' ', $currIndent) . $element . "\n";
                }
            }

            return $string;
        }

        public static function cdata($val)
        {
            return sprintf('<![CDATA[%s]]>', $val);
        }
    }
?>