#!/usr/local/bin/php -q
<?php
    $cwd = dirname(realpath($argv[0]));
    ini_set('include_path', sprintf('%s/../../include', $cwd));
    require_once('Application/CommandLine/Bootstrap.php');

    $argc = coalesce($_SERVER['argc']);
    $argv = coalesce($_SERVER['argv']);

    if ($argc != 2) {
        echo sprintf("Usage: %s [client id]\n", $argv[0]);
        exit(1);
    }

    $options = array();

    $cla = new Application_CommandLine_Script();

    $client = new Application_Client();
    $client->load($argv[1]);

    if (!$client->saved()) {
        $cla->output(sprintf("ERROR: Client not found: %d\n", $argv[1]));
        exit(1);
    }

    $cla->output(sprintf("Deleting client: %s\n", $client));

    if (!$cla->continue_check()) {
        exit;
    }

    $cla->output("Deleting client ...\n");

    $client->enableDelete(true);
    $client->delete();
?>
