#!/usr/local/bin/php -q
<?php
    $cwd = dirname(realpath($argv[0]));
    ini_set('include_path', sprintf('%s/../../include', $cwd));
    require_once('Application/CommandLine/Bootstrap.php');

    function exitWithMessage($msg = null, $code = 1)
    {
        if (strlen($msg) > 0) {
            echo sprintf("%s\n", trim($msg));
        }

        $msg = sprintf("Usage: %s -o [client id] [input path]\n", $GLOBALS['argv'][0]);

        echo $msg;
        exit($code);
    }

    $opts = new Zend_Console_Getopt('o');
    $args = $opts->getRemainingArgs();

    $clientId = (int) array_shift($args);
    $inputDir = array_shift($args);

    if (substr($outputDir, 0, 1) != '/') {
        $inputDir = getcwd() . '/' . $inputDir;
    }

    $client = new Application_Client();
    $client->load($clientId);

    if (!$client->saved()) {
        exitWithMessage();
    }

    Application::SetClient($client);

    $options = new Module_Assets_Backup_Importer_Options();
    $options->setSourceFolder($inputDir)
            ->setTargetFolder(new Module_Assets_Folder())
            ->setOverwrite($opts->getOption('o'));

    Module_Assets_Backup_Importer::ImportFileStructure($options);
?>