#!/usr/local/bin/php -q
<?php
    $cwd = dirname(realpath($argv[0]));
    ini_set('include_path', sprintf('%s/../../include', $cwd));
    require_once('Application/CommandLine/Bootstrap.php');

    // remove packages

    $packages = Application_Upgrader_Manager::GetRegisteredPackages();

    foreach ($packages as $package) {
        foreach ($package->getItemPaths() as $pathInfo) {
            $path = $pathInfo['fullpath'];

            if (!file_exists($path)) {
                continue;
            }

            echo sprintf("Removing %s ...\n", $path);
            File::RmdirRecursive($path);
        }
    }

    // remove database tables

    $db = Application::GetDb();

    $names = array();

    foreach (Application_Installer_Database::getCoreSchemaTables($db) as $table) {
        $names[] = $table->getName();
    }

    try {
        $helper = $db->getManagerHelper();

        while (true) {
            $tablesToRemove = array();

            foreach ($db->listTables() as $name) {
                if (!in_array($name, $names)) {
                    $tablesToRemove[] = $name;
                }
            }

            if (count($tablesToRemove) == 0) {
                break;
            }

            foreach ($tablesToRemove as $table) {
                echo sprintf("Trying to remove %s ...\n", $table);

                try {
                    $helper->tableDrop($table);
                }
                catch (Exception $ex) {
                }
            }
        }
    }
    catch (Db_Statement_Exception_NotSupported $ex) {
        echo "Unable to drop tables\n";
    }

    // tables to clear

    $tables = array(
        'application_audit_log', 'application_maintenance', 'application_content_locks', 'application_packages'
    );

    foreach ($tables as $table) {
        $db->delete($table);
    }
?>