#!/usr/local/bin/php -q
<?php
    $cwd = dirname(realpath($argv[0]));
    ini_set('include_path', sprintf('%s/../../include', $cwd));
    require_once('Application/CommandLine/Bootstrap.php');

    function exitWithMessage($message = null, $code = 1)
    {
        $message = trim($message);

        if (strlen($message) > 0) {
            echo $message . "\n";
        }

        echo sprintf("Usage: %s [old] [new]\n", $GLOBALS['argv'][0]);
        exit($code);
    }

    if ($argc != 3) {
        exitWithMessage();
    }

    $old = $argv[1];
    $new = $argv[2];

    if (!Application_Upgrader_Manager::IsValidVersion($old)) {
        exitWithMessage();
    }

    if (!Application_Upgrader_Manager::IsValidVersion($new)) {
        exitWithMessage();
    }

    if (version_compare($old, $new) >= 0) {
        exitWithMessage('Old version must be lower than new version');
    }

    Application_Upgrader::RunUpdateTasks($old, $new);
?>