#!/usr/local/bin/php -q
<?php
    $cwd = dirname(realpath($argv[0]));
    ini_set('include_path', sprintf('%s/../../include', $cwd));
    require_once('Application/CommandLine/Bootstrap.php');

    if ($argc != 2) {
        echo sprintf("Usage: %s [event name]\n", $argv[0]);
        exit(1);
    }

    echo "From Cache:\n";

    $name = $argv[1];

    try {
        $ret = Application_Event_Manager::GetObserversFromCache($name);

        if (count($ret) == 0) {
            throw new Exception('None');
        }

        foreach ($ret as $event) {
            echo "\t- " . get_class($event) . "\n";
        }
    }
    catch (Exception $ex) {
        echo "\t(none)\n";
    }

    echo "\nFrom Search:\n";

    try {
        $ret = Application_Event_Manager::GetObserversFromSearch($name);

        if (count($ret) == 0) {
            throw new Exception('None');
        }

        foreach ($ret as $event) {
            echo "\t- " . get_class($event) . "\n";
        }
    }
    catch (Exception $ex) {
        echo "\t(none)\n";
    }
?>