#!/usr/local/bin/php -q
<?php
    if ($argc < 3) {
        echo sprintf("Usage: %s /path/to/apachectl path1/to/recite path2/to/recite ...\n", $argv[0]);
        exit(1);
    }

    $ctl = $argv[1];

    if (!file_exists($ctl)) {
        echo sprintf("Apachce controller not found\n");
        exit(1);
    }

    if (!is_executable($ctl)) {
        echo sprintf("Apache controller is not executable\n");
        exit(1);
    }

    $restart = false;

    for ($i = 2; $i < $argc; $i++) {
        $path = $argv[$i];

        if (!file_exists($path)) {
            continue;
        }

        $lock = sprintf('%s/data/conf/recite.lock', rtrim($path, '/'));

        if (!file_exists($lock)) {
            continue;
        }

        if (!is_file($lock)) {
            continue;
        }

        if (!is_writable($lock)) {
            continue;
        }

        unlink($lock);
        $restart = true;
    }

    if ($restart) {
        echo "Trying to restart...\n";
        $cmd    = sprintf('%s configtest', escapeshellcmd($ctl));
        $retval = 0;

        system($cmd, $retval);

        if ($retval != 0) {
            echo "Invalid configuration\n";
            exit($retval);
        }

        $cmd = sprintf('%s graceful', escapeshellcmd($ctl));
        $retval = 0;

        system($cmd, $retval);

        if ($retval == 0) {
            echo "Done\n";
        }
        else {
            echo sprintf("Error code: %d\n", $retval);
        }
    }
?>