#!/usr/local/bin/php -q
<?php
    $cwd = dirname(realpath($argv[0]));
    ini_set('include_path', sprintf('%s/../../include', $cwd));
    require_once('Application/CommandLine/Bootstrap.php');

    $action = coalesce($argv[1]);

    try {
        $item = new Application_Maintenance_QueueItem($action);
        $item->setCanHaveDuplicates(true);

        foreach (array_slice($argv, 1) as $arg) {
            $parts = explode('=', $arg);

            $k = trim(coalesce($parts[0]));
            $v = trim(coalesce($parts[1]));

            if (strlen($k) > 0 && strlen($v) > 0) {
                $item->setParam($k, $v);
            }
        }

        $item->queue();
    }
    catch (Exception $ex) {
        echo sprintf("%s\n", $ex->getMessage());
        echo sprintf("Usage: %s [class name]\n", $argv[0]);
        exit(1);
    }
?>