#!/usr/local/bin/php -q
<?php
    $cwd = dirname(realpath($argv[0]));
    ini_set('include_path', realpath(sprintf('%s/../../include', $cwd)));
    require_once('Application/CommandLine/Bootstrap.php');

    $action = coalesce($argv[1]);

    try {
        $action = Application_Maintenance::Factory($action);
    }
    catch (Exception $ex) {
        echo sprintf("%s\n", $ex->getMessage());
        echo sprintf("Usage: %s [class name]\n", $argv[0]);
        exit(1);
    }

    $options = array();

    foreach (array_slice($argv, 1) as $arg) {
        $parts = explode('=', $arg);

        $k = trim(coalesce($parts[0]));
        $v = trim(coalesce($parts[1]));

        if (strlen($k) > 0 && strlen($v) > 0) {
            $options[$k] = $v;
        }
    }

    if (array_key_exists('client_id', $options)) {
        $client = new Application_Client();
        $client->load($options['client_id']);

        if (!$client->saved()) {
            echo "Invalid client\n";
            exit;
        }

        Application::SetClient($client);
        unset($options['client_id']);
    }

    try {
        if (!$action->accept($options)) {
            throw new Exception('Action was not accepted');
        }

        $action->run($options);
    }
    catch (Exception $ex) {
        echo $ex->getMessage() . "\n";
        exit(1);
    }
?>