#!/usr/local/bin/php -q
<?php
    $cwd = dirname(realpath($argv[0]));
    ini_set('include_path', sprintf('%s/../../include', $cwd));
    require_once('Application/CommandLine/Bootstrap.php');

    try {
        Application_Upgrader_Manager::SetLoggerStream(STDOUT);
        $installed = Application_Upgrader_Manager::InstallAllPackages();

        if (count($installed) == 0) {
            echo "No packages installed\n";
        }
        else {
            echo "\nInstalled packages:\n";

            foreach ($installed as $package) {
                echo sprintf("\t%s-%s\n", $package->getName(), $package->getVersion());
            }
        }
    }
    catch (Exception $ex) {
        echo sprintf("Error: %s\n", $ex->getMessage());
        exit(1);
    }
?>