#!/usr/local/bin/php -q
<?php
    $cwd = dirname(realpath($argv[0]));
    ini_set('include_path', sprintf('%s/../../include', $cwd));
    require_once('Application/CommandLine/Bootstrap.php');

    $opts = new Zend_Console_Getopt('f');

    $packages = array();

    foreach ($opts->getRemainingArgs() as $arg) {
        $packages[] = $arg;
    }

    if (count($packages) == 0) {
        echo sprintf("Usage: %s [package1] [package2] ...\n", $argv[0]);
        exit(1);
    }

    $force = (bool) $opts->getOption('f');

    try {
        Application_Upgrader_Manager::SetLoggerStream(STDOUT);
        $installed = Application_Upgrader_Manager::InstallPackages($packages, $force);

        if (count($installed) == 0) {
            echo "No packages installed\n";
        }
        else {
            echo "\nInstalled packages:\n";

            foreach ($installed as $package) {
                echo sprintf("\t%s-%s\n", $package->getName(), $package->getVersion());
            }
        }
    }
    catch (Exception $ex) {
        echo sprintf("Error: %s\n", $ex->getMessage());
        exit(1);
    }
?>