#!/usr/local/bin/php -q
<?php
    $cwd = dirname(realpath($argv[0]));
    ini_set('include_path', sprintf('.:%s/../../include', $cwd));
    require_once('Application/CommandLine/Bootstrap.php');

    $argc = coalesce($_SERVER['argc']);
    $argv = coalesce($_SERVER['argv']);

    if ($argc != 2) {
        echo sprintf("Usage: %s filename\n", $argv[0]);
        exit(1);
    }

    $path = $argv[1];
    $fullpath = realpath($path);

    if (strlen($fullpath) == 0) {
        echo sprintf("Invalid filename, exiting\n");
        exit(1);
    }

    $type = File_Type::factory(basename($fullpath));

    echo $type->getAsText($fullpath) . "\n";
?>