<?php
    class Driver_forms_fields_bool extends Profile_Field
    {
        public function __toString()
        {
            return 'Boolean';
        }

        public function getInputTemplate($name, $attrs = array())
        {
            return (string) $this->_getInputTemplate($name, $this->get(), $attrs);
        }

        protected function _getInputTemplate($name, $value, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['name'] = $name;

            $elt = new HTML_Element('select', $attrs);

            $false = new HTML_Element('option', array('value' => 0));
            $false->insert('No');

            $true  = new HTML_Element('option', array('value' => 1));
            $true->insert('Yes');

            if ($value) {
                $true->writeAttribute('selected', 'selected');
            }
            else {
                $false->writeAttribute('selected', 'selected');
            }

            $elt->insert($true);
            $elt->insert($false);

            return $elt;
        }

        public function isValid($val)
        {
            return true;
        }

        public function isEmpty($val)
        {
            return !self::ToBool($val);
        }

        public static function ToBool($val)
        {
            if (is_bool($val) || preg_match('/^[0-9]+$/', $val)) {
                $val = (bool) $val;
            }
            else if (strlen($val) > 0) {
                $val = strtolower($val);

                if ($val{0} == 'n' || $val{0} == 'f') {
                    $val = false;
                }
                else {
                    $val = true;
                }
            }

            return $val;
        }

        public function set($val)
        {
            $this->_value = self::ToBool($val);
            return true;
        }

        public function preview()
        {
            $ret = $this->_value ? 'Yes' : 'No';
            return $ret;
        }

        public function getComparisonOperators()
        {
            return array(
                'eq'  => 'equals',
                'neq' => "doesn't equal",
            );
        }

        public function getIndexableField($name)
        {
            throw new Exception('This field type is not indexable');
        }

        public function getFilterInputTemplate($name, $value)
        {
            return (string) $this->_getInputTemplate($name, $value);
        }
    }
?>