<?php
    class Driver_forms_fields_colour extends Profile_Field
    {
        public function __toString()
        {
            return 'Colour';
        }

        public function isCore()
        {
            return false;
        }
        
        public function isValid($val)
        {
            return preg_match('~^([A-F0-9]{6})$~i', $val);
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['name']  = $name;
            $attrs['type']  = 'text';

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-string input-colorpicker';
            }

            $attrs['value'] = $this->get();
            
            $input = new HTML_Element('input', $attrs);
            
            $js = "
                $('.input-colorpicker').ColorPicker({
                    onSubmit: function(hsb, hex, rgb, el) {
                        $(el).val(hex);
                        $(el).ColorPickerHide();
                    },
                    onBeforeShow: function () {
                        $(this).ColorPickerSetColor(this.value);
                    }
                });
            ";
            
            $script = new HTML_Element('script', array('type' => 'text/javascript'));
            $script->insert($js);

            return '<span>#</span>' . (string) $input . (string) $script;
        }
    }
?>
