<?php
    class Driver_forms_fields_currency extends Profile_Field
    {
        public function __toString()
        {
            return 'Currency';
        }

        public function isValid($val)
        {
            return preg_match('/^\d+(\.\d{2})?$/', $val);
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['type']  = 'text';
            $attrs['name']  = $name;
            $attrs['value'] = $this->get();

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-currency';
            }

            $elt = new HTML_Element('input', $attrs);

            return '$ ' . (string) $elt;
        }

        public function preview()
        {
            $currencyName = 'AUD';

            try {
                $currency = new Zend_Currency($currencyName, Application::GetLocale());
                return $currency->toCurrency($this->get());
            }
            catch (Exception $ex)
            { }

            return '$' . $this->get();
        }

        public function set($val)
        {
            if (strlen($val) > 0)
                $this->_value = sprintf('%01.2lf', $val);
            else
                $this->_value = null;

            return true;
        }
    }
?>