<?php
    class Driver_forms_fields_gender extends Profile_Field
    {
        public function __toString()
        {
            return 'Gender';
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['name'] = $name;

            $elt = new HTML_Element('select', $attrs);

            $elt->insert(new HTML_Element('option'));

            foreach ($this->prepare() as $k => $v) {
                $option = new HTML_Element('option', array('value' => $k));
                $option->insert($v);

                if ($this->_value == $k)
                    $option->writeAttribute('selected');

                $elt->insert($option);
            }

            return (string) $elt;
        }

        public function prepare()
        {
            return array(
                'M' => 'Male',
                'F' => 'Female'
            );
        }

        public function set($val)
        {
            $genders = $this->prepare();

            if (!array_key_exists($val, $genders)) {
                $keys = array_keys($genders);
                $val = null;
            }

            $this->_value = $val;
            return true;
        }

        public function isValid($val)
        {
            return array_key_exists($val, $this->prepare());
        }

        public function preview()
        {
            $genders = $this->prepare();

            if (array_key_exists($this->_value, $genders))
                return $genders[$this->_value];

            return $genders[''];
        }
    }
?>