<?php
    class Driver_forms_fields_int extends Profile_Field
    {
        public function __toString()
        {
            return 'Integer';
        }

        public function isValid($val)
        {
            return preg_match('/^\d+$/', $val);
        }

        public function set($val)
        {
            if (strlen($val) == 0)
                $this->_value = null;
            else
                $this->_value = (int) $val;

            return true;
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['type']  = 'text';
            $attrs['name']  = $name;
            $attrs['value'] = $this->get();

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-int';
            }

            $elt = new HTML_Element('input', $attrs);

            return (string) $elt;
        }

        public function getDatabaseType()
        {
            $helper = Application::GetDb()->getManagerHelper();
            return $helper->getFieldTypeName(Db_Schema_Table_Field::TYPE_INT);
        }

        public function getDatabaseDefault()
        {
            return new Zend_Db_Expr("'0'");
        }
    }
?>