<?php
    class Driver_forms_fields_locale extends Profile_Field
    {
        public function __toString()
        {
            return 'Locale';
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['name'] = $name;

            $elt = new HTML_Element('select', $attrs);

            foreach ($this->prepare() as $k => $v) {
                $option = new HTML_Element('option', array('value' => $k));
                $option->insert($v);

                if ($this->_value == $k) {
                    $option->writeAttribute('selected');
                }

                $elt->insert($option);
            }

            return (string) $elt;
        }

        public function prepare()
        {
            $locales = Zend_Locale::GetLocaleList();

            $ret = array('' => 'System Default');

            foreach ($locales as $name => $true) {
                $ret[$name] = $name;
            }

            return $ret;
        }

        public function set($val)
        {
            $locales = $this->prepare();

            if (!array_key_exists($val, $locales)) {
                $keys = array_keys($locales);
                $val = $keys[0];
            }

            $this->_value = $val;
            return true;
        }

        public function isValid($val)
        {
            return array_key_exists($val, $this->prepare());
        }

    }
?>