<?php
    class Driver_forms_fields_number extends Profile_Field
    {
        public function __toString()
        {
            return 'Number';
        }

        public function isValid($val)
        {
            return preg_match('/^\d+(\.\d+)?$/', $val);
        }

        public function set($val)
        {
            if (strlen($val) == 0) {
                $this->_value = null;
            }
            else{
                $this->_value = FormProcessor::sanitize($val);
                
                if(!$this->isValid($this->_value)){
                    return false;
                }
            }

            return true;
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['type']  = 'text';
            $attrs['name']  = $name;
            $attrs['value'] = $this->get();

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-number';
            }

            $elt = new HTML_Element('input', $attrs);

            return (string) $elt;
        }
    }
?>