<?php
    class Driver_forms_fields_time extends Profile_Field
    {
        protected $_date;

        public function __construct($options = array())
        {
            parent::__construct($options);

            $this->_date = new Zend_Date(Application::GetLocale());
        }

        public function __toString()
        {
            return 'Time';
        }

        public function getInputTemplate($name, $attrs = array())
        {
            $useScript = Application::GetSite() == 'cp';

            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['type']  = 'text';
            $attrs['name']  = $name;
            $attrs['value'] = $this->isEmpty($this->get()) ? '' : $this->_date->get(Zend_Date::TIME_SHORT);

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-time';
            }

            $input = new HTML_Element('input', $attrs);


            if ($useScript) {
                $options = array(
                );

                $js = sprintf('jQuery(\'#%s\').reciteTimeInput(%s);', $input->getUniqueId(), Zend_Json::encode($options));

                $script = new HTML_Element('script', array('type' => 'text/javascript'));
                $script->insert($js);

                return (string) $input . ' ' . $script;
            }
            else {
                return (string) $input;
            }
        }

        public function set($val)
        {
            if ($this->isEmpty($val)) {
                $this->_value = null;
                return true;
            }

            try {
                $this->_date->set($val, Zend_Date::TIMES);
                $this->_value = $this->_date->toString('HH:mm:ss');
                return true;
            }
            catch (Zend_Date_Exception $ex) {
                $this->_value = $val;
                return false;
            }
        }

        public function isValid($val)
        {
            $date = new Zend_Date(Application::GetLocale());

            try {
                $date->set($val, Zend_Date::TIMES);
                return true;
            }
            catch (Zend_Date_Exception $ex) {
                return false;
            }
        }

        public function getHour()
        {
            return $this->_date->get(Zend_Date::HOUR);
        }

        public function getMinute()
        {
            return $this->_date->get(Zend_Date::MINUTE);
        }

        public function getSecond()
        {
            return $this->_date->get(Zend_Date::SECOND);
        }
    }
?>