<?php
    class Driver_forms_fields_url extends Profile_Field
    {
        public function __toString()
        {
            return 'URL';
        }

        public function isValid($val)
        {
            return $this->isEmpty($val) || HTTP_URL::IsValidUrl($val);
        }

        public function getInputTemplate($name, $attrs = array())
        {
            if (!is_array($attrs)) {
                $attrs = array();
            }

            $attrs['name']  = $name;
            $attrs['type']  = 'text';
            $attrs['value'] = $this->get();

            if (!array_key_exists('class', $attrs)) {
                $attrs['class'] = 'profile-string';
            }

            if (strlen($attrs['value']) == 0) {
                $attrs['value'] = 'http://';
            }

            $element = new HTML_Element('input', $attrs);

            return (string) $element;
        }

        public function isEmpty($val)
        {
            $val = strtolower(trim($val));

            return strlen($val) == 0 || $val == 'http://' || $val == 'https://';
        }
    }
?>