<?php
    class Driver_forms_fields_user extends Profile_Field_Selector
    {
        public function __toString()
        {
            return 'User';
        }

        public function getUrlData()
        {
            $ret = array();
            return $ret;
        }

        public function getItemSelector()
        {
            return new Application_User_ItemSelector();
        }

        public function getClientTemplateData()
        {
            try {
                $obj = self::_GetObjectForValue($this->get());

                if ($obj instanceof Application_User) {
                    return $obj->getClientTemplateData();
                }
            }
            catch (Exception $ex) {
            }

            return array();
        }

        public function preview()
        {
            try {
                $obj = self::_GetObjectForValue($this->get());

                if ($obj instanceof Application_User) {
                    $ret = $obj->getFullName();
                }
                else {
                    $ret = '';
                }
            }
            catch (Exception $ex) {
                $ret = '';
            }

            return $ret;
        }

        protected static function _GetObjectForValue($value)
        {
            if (!preg_match('/^(user)_(\d+)$/', $value, $matches)) {
                throw new Exception('Invalid object');
            }

            $id = $matches[2];

            $user = new Application_User();
            $user->load($id);
            
            return $user;
        }

        public function previewBulk($vals)
        {
            $ret = array();

            $userIds = array();

            foreach ($vals as $k => $v) {
                if (!preg_match('/^(user)_(\d+)$/', $v, $matches)) {
                    continue;
                }

                $id = (int) $matches[2];
                $userIds[$k] = $id;
            }

            if (count($userIds) > 0) {
                foreach ($userIds as $k => $id) {
                    $user = new Application_User();
                    $user->load($id);
                    $ret[$k] = $user->getClientTemplateData();
                }
            }

            return $ret;
        }

        public function isPublic()
        {
            return true;
        }

        public function export()
        {
            return '';
        }

        public function import($value)
        {
            return false;
        }
    }
?>
