<?php
    class Driver_forms_fields_wysiwyg extends Profile_Field
    {
        public function __toString()
        {
            return 'WYSIWYG Editor';
        }

        public function isCore()
        {
            return true;
        }

        public function getInputTemplate($name, $attrs = array())
        {
            $container = new HTML_Element('div', array('class' => 'ui-wysiwyg-field'));

            $button = new HTML_Element('button', array('class' => 'ui-wysiwyg-field-open ui-corner-all ui-state-default'));
            $button->insert('Open Editor...');

            $input = new HTML_Element(
                'textarea',
                array(
                    'class' => 'ui-wysiwyg-field-input ui-helper-hidden',
                    'name'  => $name
                )
            );

            $input->insert($this->get());

            $container->insert($button)
                      ->insert($input);

            return (string) $container;
        }

        public function set($val)
        {
            $this->_value = self::CleanHTML($val);
            return true;
        }

        public function canBeUsedInSummary()
        {
            return false;
        }


        /**
         * This sanitizes any submitted HTML, filtering out any unwanted tags.
         * Currently it's not doing any filtering, but in the future it should
         * be possible to specify a blacklist or whitelist as a client setting
         * in which case this routine would obey that list.
         *
         * @todo    Implement blacklist/whitelist solution
         * @todo    Ability to define JavaScript policy (e.g. whether or not it can be embedded)
         */
        public static function CleanHTML($html)
        {
            return $html;
            /*
            $chain = new Zend_Filter();
            $chain->addFilter(new Zend_Filter_StripTags(array('allowTags' => self::$tags)));
            $chain->addFilter(new Zend_Filter_StringTrim());

            $html = $chain->filter($html);

            $tmp = $html;
            while (1) {
                // Try and replace an occurrence of javascript:
                $html = preg_replace('/(<[^>]*)javascript:([^>]*>)/i',
                                     '$1$2',
                                     $html);

                // If nothing changed this iteration then break the loop
                if ($html == $tmp)
                    break;

                $tmp = $html;
            }

            return $html;
            */
        }

        public function getIndexableField($name)
        {
            $filter = new Zend_Filter_StripTags(array(
                'allowComments' => false
            ));

            $data = $filter->filter($this->preview());
            $data = html_entity_decode($data, ENT_QUOTES);
            $data = str_replace('&nbsp;', '', $data);

            return Zend_Search_Lucene_Field::Text(self::getFormKey($name), $data);
        }
    }
?>